commit a0bf6d25b5b68c897d63580d1ca9ee182f04cce1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 19:33:07 2012 +0000

    version: bump for 1.12.0 release!

 NEWS            | 80 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |  4 +--
 2 files changed, 82 insertions(+), 2 deletions(-)

commit 9cb7586fb05f72d4b10b33c9a8e8870ee4865af5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 18:08:40 2012 +0000

    cairo: Add some missing doc entries for cairo_raster_source_pattern_t
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-raster-source-pattern.c | 2 ++
 src/cairo.h                       | 9 ++++++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 8416b40f4357d0660ccb9f5b24b07b4d2f663fbc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 14:22:22 2012 +0000

    win32: mark-dirty cannot assume the fallback has been discarded
    
    Flushing only releases the fallback if we flush twice with no
    intervening damage (the theory is to try and reduce readbacks). So it is
    possible for a correctly behaving application to call mark-dirty and there
    still be a fallback.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 21218870300bfb4050b87c9a872b7664ce44d94e
Author: Igor Oliveira <igor.o@sisa.samsung.com>
Date:   Fri Mar 23 16:54:22 2012 +0000

    gl: GL_UNPACK_ROW_LENGTH does not accept negative values
    
    Use the slow fallback path if passed an image with a negative stride.
    
    Fixes negative-stride-image.

 src/cairo-gl-surface.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 60549f7a56d2b021ab612a6b66e720d31f3400ad
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 13:03:27 2012 +0000

    win32: Copy back the fallback damage to the right location
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit c5b8cfab87754a0b7b41a257fdaa1b0776537cf8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 12:26:12 2012 +0000

    test: Tweak the results summary
    
    Fix up the rules for the new directory structure.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.am | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 8a65d8e2de7d26bf285953a327b24a667eee62da
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 23 00:31:58 2012 +0000

    image: Fix leak of white solid color for masked composition of CLEAR
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit bc97bcf0efec761dff3e77499e1dfa42fdefef59
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Mar 20 00:32:01 2012 +0000

    gl: use direct mode for uploading gradient texture
    
    The gradient is relatively small and any differences between upload
    methods should be hidden by the caching. As it stands, using pbo with
    the gradient fails with fglrx. As the workaround to use a simple
    TexImage2D is inconsequential (may even be a minute win) and simplifies
    the code, just do it.

 src/cairo-gl-gradient.c | 52 +++++++++++++++++++------------------------------
 1 file changed, 20 insertions(+), 32 deletions(-)

commit 02e3b6bc80f1903352676d03102b6ca5f8def0b4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 22 14:27:31 2012 +0000

    directfb: Tweak, tweak, tweak.
    
    A couple of mistakes, such as inverting the logic as to when to flush
    damage back from the shadow, meant that nothing happened when drawing to
    the directfb surface.
    
    Again still only compile tested.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-directfb-surface.c | 88 ++++++++------------------------------------
 1 file changed, 16 insertions(+), 72 deletions(-)

commit be8a5f13b712920940c4819af59b77a291153870
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 22 12:25:58 2012 +0000

    win32: Remove obsolete font rendering routines
    
    These are now done by cairo-win32-gdi-compositor.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-font.c | 187 -------------------------------------------
 1 file changed, 187 deletions(-)

commit 28b38312235c73aa436e8c1887db3d31620158ec
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 22 12:07:06 2012 +0000

    win32: Hook up glyph creation again
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-font.c | 80 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 61 insertions(+), 19 deletions(-)

commit 9bb5b02694e1bbd5c0cdd28606d80fb2d2d701ee
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Mar 21 20:08:15 2012 +0000

    win32: Fix damage flushing
    
    The damage wasn't being created on the right surface, so the damage to
    the fallback image surface was not being tracked. Perform a little bit
    of juggling so that we track dirty regions on the fallback surface itself.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c | 42 ++++++++++++++++++++++++---------
 src/win32/cairo-win32-gdi-compositor.c  |  5 ++--
 2 files changed, 34 insertions(+), 13 deletions(-)

commit c504dba5a76def6358a5b309ad5bc4a8dfe6199e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Mar 21 20:07:00 2012 +0000

    damage: Fix memcpy size
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-damage.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit eafa127001319942e2a5e2009979e3ffd36320ed
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Mar 21 20:07:55 2012 +0000

    compositor: Add tracing for damage
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-compositor.c | 35 ++++++++++++++++++++++++++++++-----
 1 file changed, 30 insertions(+), 5 deletions(-)

commit 86a89a8c1de88f279b306ac8e3461773895aa7a2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 20 19:14:28 2012 +0000

    win32: Check for damage before blitting
    
    During the surface flush, we reduce any pending damage and then blit. If
    no damage had been accrued then the damage->region would be NULL leading
    to a segfault.
    
    Patch suggested by Szuromi Gábor.
    
    Reported-by: Szuromi Gábor <kukkerman@gmail.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=47605
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a778d974f2dca2555711ef79e738cb0614b2a3f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 19 19:42:01 2012 +0000

    stroke: Adapt rectilinear stroker to handle separable non-unity scaling
    
    Reported-by: Christos Sotiriou <csotiriou@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-matrix.c                        |  15 ----
 src/cairo-path-stroke-boxes.c             | 125 ++++++++++++++++--------------
 src/cairoint.h                            |  23 +++++-
 test/reference/text-rotate.argb32.ref.png | Bin 16655 -> 0 bytes
 test/reference/text-rotate.ref.png        | Bin 14682 -> 16667 bytes
 test/reference/text-rotate.rgb24.ref.png  | Bin 16655 -> 0 bytes
 6 files changed, 84 insertions(+), 79 deletions(-)

commit 1e4f385dec03083b2453205bf5f4bef25b3af806
Author: Henry (Yu) Song <hsong@sisa.samsung.com>
Date:   Tue Mar 13 22:06:46 2012 +0000

    boilerplate/gl: set width and height to be at least 1

 boilerplate/cairo-boilerplate-egl.c | 5 +++++
 1 file changed, 5 insertions(+)

commit a473c035676168d21cd3b2fb61eaad2117b40057
Author: Dongyeon Kim <dy5.kim@samsung.com>
Date:   Fri Mar 16 10:31:05 2012 +0900

    trace: Wrap GL surfaces

 util/cairo-trace/trace.c | 183 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 183 insertions(+)

commit a3612610b15c5c2b6155cfb7e54d6eacae7a0d92
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 19 10:30:58 2012 +0000

    gl: Manually invert images without MESA_pack_invert extension
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-surface.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit cc98926cdea02ce4c11ed2c0d792429c25e7b5fa
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Mon Mar 19 10:28:56 2012 +0000

    skia: add a missing header into archive

 src/Makefile.sources | 1 +
 1 file changed, 1 insertion(+)

commit f5b5fad66e9c545f332a5f5cf8bd86c7d77caa93
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 15 11:58:51 2012 +0000

    trace: Add breadcrumb for cairo_image_surface_get_data()
    
    Just emit a marker for when cairo_image_surface_get_data() is called on
    a surface so that we have a breadcrumb for when the pixels are first
    exported. (Though note that pointer may be kept around and used much
    later.)
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-trace/trace.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit efb2018309aa7ad81b6a71dfa322fb871d94c36d
Author: Henry (Yu) Song <hsong@sisa.samsung.com>
Date:   Tue Mar 13 16:35:21 2012 +0000

    scaled-font: Ignore empty glyphs when checking for potential overlap
    
    A zero-sized box contains no pixels and so cannot overlap, but it does
    still need to contribute to the extents.

 src/cairo-scaled-font.c | 3 +++
 1 file changed, 3 insertions(+)

commit 91113a9e4583fac275cc0fa01fc957abd9b7dc0e
Author: Chuanbo Weng <strgnm@gmail.com>
Date:   Tue Mar 13 11:19:23 2012 +0000

    subsurface: Avoid potential crash when subsurface's size is less than 0
    
    When cairo_surface_create_for_rectangle() is given non-integer parameters,
    the subsurface's size may be negative(e.g x = 0.2, width = 0.7, the
    final width will be -1). This illegal surface may cause crash somewhere
    upon later use, and although the fractional subsurface is ill-defined,
    we should never crash!

 src/cairo-surface-subsurface.c | 5 +++++
 1 file changed, 5 insertions(+)

commit d67f02e23e008b21425e319b5c95022348363749
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 13 11:16:39 2012 +0000

    spans-compositor: Only destroy the clip if we made the copy
    
    The extents->clip may be replaced elsewhere and so we cannot assume that
    simply because it changed from the stashed value, that it was us that
    made that copy. So becareful to only free our copy.
    
    Fixes a double-free of a clip after a complex fallback operation.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 94a9e06a930ba985de461826ea3e64fd7c222bc6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 12 18:41:45 2012 +0000

    clip: Intialise polygon fill-rule prior to use
    
    The earliest use of the clip path's polygon fill rule is now for
    intersecting the original polygon with the plurality of clip boxes.
    However, the initialisation of the fill rule remained after the
    intersection.
    
    ==8968== Conditional jump or move depends on uninitialised value(s)
    ==8968==    at 0x4C99449: _cairo_polygon_intersect (cairo-polygon-intersect.c:1382)
    ==8968==    by 0x4C9B788: _cairo_polygon_intersect_with_boxes.part.12 (cairo-polygon-intersect.c:1520)
    ==8968==    by 0x4C6AE6E: _cairo_clip_get_polygon (cairo-clip-polygon.c:104)
    ==8968==    by 0x4CAA667: clip_and_composite_boxes.part.13 (cairo-spans-compositor.c:773)
    ==8968==    by 0x4CAAD1D: clip_and_composite_boxes (cairo-spans-compositor.c:758)
    ==8968==    by 0x4CAB25C: _cairo_spans_compositor_fill (cairo-spans-compositor.c:1023)
    ==8968==    by 0x4C6CB69: _cairo_compositor_fill (cairo-compositor.c:184)
    ==8968==    by 0x4C7CE3E: _cairo_image_surface_fill (cairo-image-surface.c:945)
    ==8968==    by 0x4CAE2B6: _cairo_surface_fill (cairo-surface.c:2047)
    ==8968==    by 0x4C74AB7: _cairo_gstate_fill (cairo-gstate.c:1268)
    ==8968==    by 0x4C6E6D3: _cairo_default_context_fill (cairo-default-context.c:1009)
    ==8968==    by 0x4C67944: cairo_fill (cairo.c:2105)
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-clip-polygon.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ea0703524f1a508b4c60c7a3ea5b5da3c40bca2f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 12 18:20:16 2012 +0000

    image: Support SRC compositing with in the inline span-compositor
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c                  | 106 +++++++++++++++++++++++---
 test/reference/operator-source.argb32.ref.png | Bin 5630 -> 5625 bytes
 test/reference/operator-source.rgb24.ref.png  | Bin 4000 -> 3967 bytes
 3 files changed, 96 insertions(+), 10 deletions(-)

commit e0be011207a2efdd81f9fdededa6f6ec2031cbf1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Mar 10 11:02:13 2012 +0000

    skia: Setup opacity for cairo_paint_with_alpha()
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/skia/cairo-skia-context.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit f7897e7cbd43e6ed01b5fe13ae76a65c1d4a5e83
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 12 10:11:17 2012 +0000

    version: Post-release version bump to 1.11.5
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8dbc68056af9f32b6ebc6c1a0191e9ca7ec2e7d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 12 09:00:50 2012 +0000

    version: Bump for snapshot 1.11.4
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 NEWS            | 88 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |  2 +-
 2 files changed, 89 insertions(+), 1 deletion(-)

commit 49f03c2738f3984a7bd93687973fd20e9fe4ba5c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 12 09:24:36 2012 +0000

    test: Restore 'release-verify-sane-tests' makefile target
    
    Empty for the moment as there is no need to cross-reference the files in
    git against the list in the Makefile anymore, but the release process
    still requires it - and it may prove to be useful again in the future.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ab0e224b999c005c0d59b887188fddf34189a74a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Mar 10 10:46:39 2012 +0000

    skia: compile fix
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/skia/cairo-skia-surface.cpp | 1 +
 1 file changed, 1 insertion(+)

commit f7d4653c1b945c93d394541e5c32397c90c2c139
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 9 14:06:58 2012 +0000

    stroke: Do not initialise the pen if will not use it
    
    The pen is only used for ensuring that we generate consist vertices
    around a fan used for end-capping or line-joining when set to ROUND.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-path-stroke-polygon.c | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit 5ff689c01771165d26cc272d65e01dfb1a1fd57e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 9 14:06:06 2012 +0000

    mono-scan-converter: Use edge->is_vertical flag
    
    The earlier bug found in edge advancement was actually due to the missed
    opportunity of not performing the increment when we know the step is
    zero.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mono-scan-converter.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 07b540fd35d7312bbfb362f22dac20f57f6900e6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 9 00:14:48 2012 +0000

    bentley-ottmann: Sort by edge bounding boxes before computing x
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-bentley-ottmann.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 247c42357c2aaccfbcccd0656b22fc73c0303194
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 9 00:01:21 2012 +0000

    bentley-ottmann: Skip intersection check if the bounds do not overlap
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-bentley-ottmann.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2ab171467be53f190239e8cee083b2687ca66025
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 8 20:30:45 2012 +0000

    hash: Keep a simple lut in front of the main hash
    
    Whilst we wait for IvyBridge with its fast integer divide, in the
    meantime avoid the overhead by inspecting a smaller simpler cache before
    doing the full hash table lookup.
    
    Shaves around 10% off glyph microbenchmarks for -image.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-hash.c | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

commit 002a3d8b95e5aaf795d95cdfccd16a6e78c36d6e
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 17:22:56 2012 +0100

    doc: fix broken link
    
    cairo_win32_scaled_font_create_for_logfontw() does not exist. Probably
    cairo_win32_font_face_create_for_logfontw() was meant instead.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/win32/cairo-win32-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed89a3eeb08d200eb91fd003d52b6f40bb2f0a06
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 17:04:15 2012 +0100

    doc/xcb: document cairo_xcb_device_get_connection
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-connection.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e44186fdfe1334354152744c25894e1e08dd9f81
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 16:52:22 2012 +0100

    doc/xlib/xcb: document get/set_precision API
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-connection.c | 21 ++++++++++++++++++++-
 src/cairo-xlib-display.c   | 20 ++++++++++++++++++++
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 423990ba7065da8f204723cdce6e4d10af1ae4fd
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 17:52:58 2012 +0100

    doc/ps-surface: minor improvements
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ps-surface.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 70af9e68514accd63ec9ce8fee0344e1eefe04ee
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 15:36:34 2012 +0100

    doc/ft-font: add reference to cairo_ft_synthesize_t
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft-font.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f22ecd3568ec8e0f0be2549e688f12d79f6053e0
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 13:49:17 2012 +0100

    doc: describe cairo_recording_surface_get_extents
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-recording-surface.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2184bd6672ccc3dbd29799ae3d8890d36f64a3ab
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 13:20:15 2012 +0100

    doc: avoid confusing gtk-doc by double asterisks
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/drm/cairo-drm-i915-private.h        |  24 +++---
 src/drm/cairo-drm-i965-shader.c         |   4 +-
 src/drm/cairo-drm-intel-brw-eu.c        |  26 +++----
 src/drm/cairo-drm-intel-brw-eu.h        |  50 ++++++-------
 src/drm/cairo-drm-intel-ioctl-private.h | 126 ++++++++++++++++----------------
 5 files changed, 115 insertions(+), 115 deletions(-)

commit 6d2582a22ab00f4f87966bb1f965c86d94c4f077
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 12:45:04 2012 +0100

    doc: move value descriptions up
    
    to make gtk-doc happy
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft.h | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 16d6b938c876065afb4a3b63a521b7d4d5ea17cf
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 23:43:56 2012 +0100

    doc: ensure "compatibility" spelling
    
    This changes not only comments, but also code!
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-cogl-gradient-private.h |  6 +++---
 src/cairo-cogl-gradient.c         | 22 +++++++++++-----------
 src/cairo-xlib-surface.c          |  2 +-
 3 files changed, 15 insertions(+), 15 deletions(-)

commit 6ce412e15a22db588a9fe690724d6bee64fdb667
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 23:31:25 2012 +0100

    doc: symbol names in header and comment must match
    
    The names of the function arguments in the function prototype and
    in the description comment must match, otherwise gtk-doc is confused.
    When the argument names differ between function prototype and
    definition, use the names from the prototype.
    
    Also add a missing colon.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft.h                   | 4 ++--
 src/cairo-quartz-image-surface.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b42270a3f14774c6557d798b8cc4c310785f4e70
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 23:19:20 2012 +0100

    doc: preserve whitespace by using docbook screen tag
    
    Using the programlisting tag is not appropriate everywhere. Use the
    screen tag where the formatting shall be preserved and the text is no
    code listing.
    
    Also add whitespace to prevent gtk-doc from inserting paragraph breaks.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-pattern.c |  4 ++--
 src/cairo-version.c | 18 +++++++++---------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 77da76ac6c31709962e81b2683d984bc58c412d6
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 23:00:54 2012 +0100

    doc: fix a few typos found by codespell
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 perf/README                           | 4 ++--
 src/cairo-beos-surface.cpp            | 2 +-
 src/cairo-cogl-context.c              | 2 +-
 src/cairo-cogl-surface.c              | 4 ++--
 src/cairo-ft-font.c                   | 2 +-
 src/cairo-mesh-pattern-rasterizer.c   | 2 +-
 src/cairo-os2-surface.c               | 2 +-
 src/cairo-region.c                    | 2 +-
 src/cairo-types-private.h             | 2 +-
 src/cairo-wideint-private.h           | 2 +-
 src/cairo-xcb-shm.c                   | 2 +-
 src/cairo.c                           | 2 +-
 src/drm/cairo-drm-intel-brw-eu-emit.c | 2 +-
 src/win32/cairo-win32-font.c          | 2 +-
 test/Makefile.am                      | 2 +-
 test/README                           | 2 +-
 test/dash-offset.c                    | 2 +-
 test/glyph-cache-pressure.c           | 2 +-
 util/cairo-trace/cairo-trace.in       | 2 +-
 19 files changed, 21 insertions(+), 21 deletions(-)

commit 4a1d4205580b793f46101aafe432e9eaf39cf8f2
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Mar 4 17:46:10 2012 +0100

    doc: script_mode_t needs at least one line of text
    
    Gtk-doc recognizes documentation only if there is additional text.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-script.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 344d62b011a9b4ef77b76c9d4377b73133a01cfc
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 22:06:56 2012 +0100

    doc: Add colon to Returns statement
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b2d12e78a80dd8687b927defbe0704df9cdecf1
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 22:06:33 2012 +0100

    doc: do not confuse gtk-doc by @ and double *
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-gl.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e1c9e7acfcea89e7e0bd5c425968b1ef8840dc4d
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 21:43:27 2012 +0100

    doc: add missing _face to function names
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft-font.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 95ba71812de7c754939e8e15f784ecb65d129fd6
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 21:38:39 2012 +0100

    doc: add colon to .._padded_image_from_image
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ps-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 914448c30454e77f0204a78cae8eef8fd85c4d25
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 20:45:05 2012 +0100

    doc: add index of new symbols in 1.12
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 doc/public/cairo-docs.xml | 3 +++
 1 file changed, 3 insertions(+)

commit acf50966e63598c9ef2a1479048fe2554828ad43
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 20:31:12 2012 +0100

    doc: typo
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-pattern.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4353eafa32e396093f845e32c1d015c044f589fe
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Mar 3 20:28:47 2012 +0100

    doc: add missing colons to since tags
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft-font.c | 12 ++++++------
 src/cairo-ft.h      |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit c0eaaa1680ff95abb1b897cd98266a4ed5ce6287
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 8 15:27:03 2012 +0000

    test: Refresh the fallback-resolution reference images
    
    Despite copying across the font options from the PDF backend, it still
    looks like the image surface is override the glyph placement... Odd.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/fallback-resolution.c                          |  20 +++++++++++++++++++-
 .../fallback-resolution.ppi144x144.ref.png          | Bin 8697 -> 8746 bytes
 .../reference/fallback-resolution.ppi144x72.ref.png | Bin 8445 -> 8531 bytes
 .../reference/fallback-resolution.ppi288x72.ref.png | Bin 7166 -> 7203 bytes
 .../reference/fallback-resolution.ppi576x72.ref.png | Bin 6432 -> 6457 bytes
 .../reference/fallback-resolution.ppi72x144.ref.png | Bin 8677 -> 8710 bytes
 .../reference/fallback-resolution.ppi72x288.ref.png | Bin 7231 -> 7224 bytes
 .../reference/fallback-resolution.ppi72x576.ref.png | Bin 6523 -> 6604 bytes
 test/reference/fallback-resolution.ppi72x72.ref.png | Bin 8510 -> 8579 bytes
 9 files changed, 19 insertions(+), 1 deletion(-)

commit 1952fec8294b6473cb1c0719d1ef0fb0b864b6b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 8 15:11:40 2012 +0000

    surface: Relax assertion about not rendering to a snapshot
    
    Recently I began using the surface->snapshot_of member of a subsurface
    to cache a target representation of the current subsurface. More
    recently, I discovered this caused an assertion failure in epiphany, and
    probably other GTK3 based programs.
    
    Throwaway the assertion and trust that the programmer doesn't make any
    mistakes...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 04108ce4925f7de8211e3b06dcf351e4ad2700c5
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Mar 6 14:28:52 2012 -0800

    gl/msaa: Do not attach a depth-stencil attachment to the default framebuffer
    
    Only texture surfaces need to have a depth-stencil attachment.
    The default framebuffer is responsible for managing its own
    depth and stencil attachments.

 src/cairo-gl-device.c | 3 +++
 1 file changed, 3 insertions(+)

commit 345460445973548374c171e30e6add02de1e1922
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 21:05:40 2012 +0000

    xlib: Apply the glyph offset
    
    The (dst_x, dst_y) parameters passed to the XRenderCompositeText are
    misleading and do not perform any adjustment, so we have to do it
    ourselves.
    
    Fixes clip-operator
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ad758280b6e7d9f7bcc3b02796b3a1d9df908471
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 21:03:02 2012 +0000

    traps: The CompositeTrapezoids requires the unbounded fixup for clipping
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 70 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 69 insertions(+), 1 deletion(-)

commit 753007ea0097ecd3ea9611dba69e995f755d5f5c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 15:01:05 2012 +0000

    traps: Avoid double application of unaligned clip boxes
    
    Both combine-with-clip functions now take care of any intersection with
    clip boxes so the result would be to have overdrawn the unaligned clip
    box mask twice.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 59 +++++++++++++++++++++++++++-----------------
 1 file changed, 37 insertions(+), 22 deletions(-)

commit d40b90a577f3dd159d3871185ed8d649a03a2a4e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 14:59:44 2012 +0000

    clip: Use the boxes-intersection routine for computing the clip polygon
    
    If we have more than a single box, run the boxes intersection as a
    post-processing step on the clip polygon, as it should be faster than
    doing it inline.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-clip-polygon.c | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit f8f0510f8929980f9b8da7ef0f39d231dfe24686
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 14:42:19 2012 +0000

    image: Add unbounded support to the mono rasteriser fast-paths
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 120 +++++++++++++++++++++++++++++++++++--------
 1 file changed, 100 insertions(+), 20 deletions(-)

commit 5bd29eda63ee54daecfdfe36b12a1b6c4b592740
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 6 14:11:49 2012 +0000

    surface-wrapper: Only apply the wrapped transform to the scaled-font
    
    And not the device_transform of the target. This smells fishy, but
    appears to make the test suite happy.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface-wrapper.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit c65ed9c79dea9c906db5f34d074500c821ad3228
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 5 14:23:57 2012 +0000

    image: Try performing span composition a row at a time
    
    In theory, this should be more cache efficient and allow us to trim the
    operation to the width of row, shaving a few texel fetches. The cost is
    that we cause pixman to evaluate the composite operation per-row. This
    should only be a temporary solution until we can do something better
    through pixman...
    
    On a i5-2520m, ymmv,
    
      firefox-fishtank  64585.38 -> 56823.41:  1.14x speedup
      swfdec-fill-rate   1383.24  -> 1665.88:  1.20x slowdown
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 137 +++++++++++++++++++++++++++++++++++--------
 1 file changed, 114 insertions(+), 23 deletions(-)

commit c19bf1499a95bed5fb1be145eefd8e0c6ee2a634
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 5 10:06:49 2012 +0000

    image: Add a simple inplace blitter for spans
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c                       | 148 ++++++++++++++++-----
 .../recording-surface-extend-none.rgb24.ref.png    | Bin 3133 -> 3128 bytes
 .../reference/recording-surface-over.rgb24.ref.png | Bin 3133 -> 3128 bytes
 3 files changed, 116 insertions(+), 32 deletions(-)

commit 9f83ac5c63684d6576fcbd6c902ee127c457f724
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 5 05:15:52 2012 +0000

    image: Perform the simple solid-fill spans inplace
    
    Reducing the number of passes has the usual change in the antialiasing
    side-effects, as well as the boon of being faster (and theorectically more
    accurate through reduced loss of dynamic range.)
    
    On an i5-2520m:
        swfdec-giant-steps-full   3240.43  ->  2651.36:  1.22x speedup
                 grads-heat-map    166.84  ->   136.79:  1.22x speedup
             swfdec-giant-steps    940.19  ->   796.24:  1.18x speedup
                      ocitysmap    953.51  ->   831.96:  1.15x speedup
            webkit-canvas-alpha  13924.01  -> 13115.70:  1.06x speedup
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c                       | 349 ++++++++++++++++++++-
 test/reference/clip-operator.argb32.ref.png        | Bin 8245 -> 8216 bytes
 test/reference/clip-operator.rgb24.ref.png         | Bin 3333 -> 3293 bytes
 test/reference/fallback.argb32.ref.png             | Bin 4070 -> 4059 bytes
 test/reference/fallback.rgb24.ref.png              | Bin 3141 -> 3139 bytes
 test/reference/hatchings.ref.png                   | Bin 93586 -> 95333 bytes
 test/reference/operator-source.argb32.ref.png      | Bin 5612 -> 5630 bytes
 test/reference/operator-source.rgb24.ref.png       | Bin 3975 -> 4000 bytes
 test/reference/overlapping-boxes.argb32.ref.png    | Bin 187 -> 192 bytes
 test/reference/overlapping-boxes.rgb24.ref.png     | Bin 179 -> 185 bytes
 .../recording-surface-extend-none.rgb24.ref.png    | Bin 3128 -> 3133 bytes
 .../reference/recording-surface-over.rgb24.ref.png | Bin 3128 -> 3133 bytes
 12 files changed, 348 insertions(+), 1 deletion(-)

commit e572ae253a9fe62ba5d61bc6e98c9efc502d7414
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 5 11:49:50 2012 +0000

    spans: Handle fallbacks from upload-boxes by reverting to the normal composite
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ac80097a31098a9ac746c3d14c1eeaa2198dbef8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 19:01:45 2012 +0000

    traps: First attempt to convert curvy unantialiased polygon to scanlines
    
    If we have a curvy polygon, we can expect to generate lots of short
    trapezoids. However, we may be able to reduce the transport size by
    converting them into a set of boxes instead.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-boxes-private.h    |  5 ++++
 src/cairo-boxes.c            | 59 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-traps-compositor.c | 14 +++++++++++
 3 files changed, 78 insertions(+)

commit c45822886aae53def2e76ef582aac167adf7fd56
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 18:31:20 2012 +0000

    traps: Use the mono-scan-converter to reduce the number of traps
    
    This trick only seems effective with mono-rasterisation, with a win of
    about 10% for tiger-demo --antialias=none. At other antialias setting,
    performance is reduced.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 31 +++++++++++++++++++---
 src/cairo-traps-private.h    |  6 +++++
 src/cairo-traps.c            | 62 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 95 insertions(+), 4 deletions(-)

commit 38a242a380d24c669f10dd542c3bab606434b8ad
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 17:59:28 2012 +0000

    spans,image,gl: Add fast-path for simple copies
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-spans-compositor.c      | 65 +++++++++++++++++++++++++++++++++++-
 src/cairo-image-compositor.c         |  2 ++
 src/cairo-spans-compositor-private.h | 11 ++++++
 src/cairo-spans-compositor.c         | 47 ++++++++++++++++++++++++--
 4 files changed, 121 insertions(+), 4 deletions(-)

commit aed5a1cf1e38ae451d2aeaf0a56aa1248b42c0fa
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 17:22:38 2012 +0000

    spans: Reduce composite_aligned_boxes with over to source for opaque patterns
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit cc13379ee37cc077cd728588dfbb15a38980c23c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 16:51:02 2012 +0000

    image: Add a fast-path for mono-rasterised blits
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 195 ++++++++++++++++++++++++++++++++-----------
 1 file changed, 144 insertions(+), 51 deletions(-)

commit 937325d6640aed9c1367627260f80a47b9ed7042
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 16:16:38 2012 +0000

    image: Perform the general composite operation inplace for mono rasterisation
    
    We suffer from the large overhead in calling pixman_image_composite32
    per-span, but even will that overhead it is a net win with the usual
    caveat about cache efficiency and function call overhead.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c     | 120 ++++++++++++++++++++++++++++++---------
 test/reference/hatchings.ref.png | Bin 93764 -> 93586 bytes
 2 files changed, 92 insertions(+), 28 deletions(-)

commit bda545dee47e6ddc4a82406262a8f2c75413fc75
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 16:15:43 2012 +0000

    spans: Retrim extents to clipped polygon
    
    After combining the mask polygon with the clip polygon, recompute the
    extents of the operation.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 61cb5539fa81bc543781b8a3a8f1b7a2d5df9f35
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 15:07:24 2012 +0000

    image: Add a fast path for solid-filled polygons
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-composite-rectangles.c |   1 +
 src/cairo-image-compositor.c     | 209 ++++++++++++++++++++++++++++++++++++++-
 2 files changed, 207 insertions(+), 3 deletions(-)

commit b55e7c776fadb3e730b2a5970736a2f84a1fefdc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 4 14:15:22 2012 +0000

    spans: Pass antialiasing hint down to the backends
    
    The actual span rasterisers may be able to specialise if they know that
    the spans will be pixel aligned.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-spans-compositor.c      | 1 +
 src/cairo-image-compositor.c         | 1 +
 src/cairo-spans-compositor-private.h | 1 +
 src/cairo-spans-compositor.c         | 6 ++++--
 src/test-null-compositor-surface.c   | 3 ++-
 5 files changed, 9 insertions(+), 3 deletions(-)

commit a77db2f6e290b2c06c22b7050a04276f3054f52b
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Mar 3 15:10:41 2012 +0100

    xlib-xcb: Fix make check
    
    cairo_xcb_device_debug_cap_xrender_version is called by xlib-xcb's
    cairo_xlib_device_debug_cap_xrender_version and thus must be marked slim_hidden.
    
    Checking .libs/libcairo.so for local PLT entries
    0000000000306ff8  0000024200000007 R_X86_64_JUMP_SLOT
         000000000009e720 cairo_xcb_device_debug_cap_xrender_version + 0
    FAIL: check-plt.sh
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-connection.c | 3 +++
 src/cairo-xcb-private.h    | 1 +
 2 files changed, 4 insertions(+)

commit f905f7100663f34542d782f97d35639ae9208d99
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Mar 3 13:45:59 2012 +0100

    Fix docs for cairo_xlib_device_debug_cap_xrender_version
    
    The documentation was apparently copied from
    cairo_xcb_device_debug_cap_xrender_version without changing "XCB" into "Xlib".
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-display.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 03df52a833f6d4845394e7e657dbbc5619079be7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Mar 3 12:33:24 2012 +0000

    image: Correct origin of unbound recording surface source
    
    Clearly demonstrated by using the test-base with the recording surfaces
    and exemplified by the fallback-resolution with PDF, which is *almost*
    fixed!
    
    We're very close to making a release candidate for 1.12 now...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-source.c                           |  29 ++++++++++++---------
 .../record-extend-none-similar.base.argb32.ref.png | Bin 0 -> 293 bytes
 .../record-extend-none-similar.base.rgb24.ref.png  | Bin 0 -> 293 bytes
 .../record-extend-none.base.argb32.ref.png         | Bin 0 -> 293 bytes
 .../record-extend-none.base.rgb24.ref.png          | Bin 0 -> 293 bytes
 .../record-extend-pad-similar.base.argb32.ref.png  | Bin 0 -> 298 bytes
 .../record-extend-pad-similar.base.rgb24.ref.png   | Bin 0 -> 298 bytes
 .../record-extend-pad.base.argb32.ref.png          | Bin 0 -> 298 bytes
 .../reference/record-extend-pad.base.rgb24.ref.png | Bin 0 -> 298 bytes
 ...cord-extend-reflect-similar.base.argb32.ref.png | Bin 0 -> 335 bytes
 ...ecord-extend-reflect-similar.base.rgb24.ref.png | Bin 0 -> 335 bytes
 .../record-extend-reflect.base.argb32.ref.png      | Bin 0 -> 335 bytes
 .../record-extend-reflect.base.rgb24.ref.png       | Bin 0 -> 335 bytes
 ...ecord-extend-repeat-similar.base.argb32.ref.png | Bin 0 -> 286 bytes
 ...record-extend-repeat-similar.base.rgb24.ref.png | Bin 0 -> 286 bytes
 .../record-extend-repeat.base.argb32.ref.png       | Bin 0 -> 286 bytes
 .../record-extend-repeat.base.rgb24.ref.png        | Bin 0 -> 286 bytes
 .../record-fill-alpha.base.argb32.ref.png          | Bin 0 -> 2824 bytes
 .../reference/record-fill-alpha.base.rgb24.ref.png | Bin 0 -> 2824 bytes
 test/reference/record-fill-alpha.base.xfail.png    | Bin 0 -> 2853 bytes
 test/reference/record-mesh.base.argb32.ref.png     | Bin 0 -> 15229 bytes
 test/reference/record-mesh.base.rgb24.ref.png      | Bin 0 -> 15229 bytes
 ...ecord-paint-alpha-clip-mask.base.argb32.ref.png | Bin 0 -> 330 bytes
 ...record-paint-alpha-clip-mask.base.rgb24.ref.png | Bin 0 -> 330 bytes
 .../record-paint-alpha-clip-mask.base.xfail.png    | Bin 0 -> 337 bytes
 .../record-paint-alpha-clip.base.argb32.ref.png    | Bin 0 -> 269 bytes
 .../record-paint-alpha-clip.base.rgb24.ref.png     | Bin 0 -> 269 bytes
 ...cord-paint-alpha-solid-clip.base.argb32.ref.png | Bin 0 -> 248 bytes
 ...ecord-paint-alpha-solid-clip.base.rgb24.ref.png | Bin 0 -> 248 bytes
 .../record-paint-alpha.base.argb32.ref.png         | Bin 0 -> 224 bytes
 .../record-paint-alpha.base.rgb24.ref.png          | Bin 0 -> 224 bytes
 test/reference/record-paint.base.argb32.ref.png    | Bin 0 -> 93 bytes
 test/reference/record-paint.base.rgb24.ref.png     | Bin 0 -> 93 bytes
 .../record-select-font-face.base.argb32.ref.png    | Bin 0 -> 2250 bytes
 .../record-select-font-face.base.rgb24.ref.png     | Bin 0 -> 2250 bytes
 .../record-self-intersecting.base.argb32.ref.png   | Bin 0 -> 208 bytes
 .../record-self-intersecting.base.rgb24.ref.png    | Bin 0 -> 208 bytes
 .../record-text-transform.base.argb32.ref.png      | Bin 0 -> 5579 bytes
 .../record-text-transform.base.rgb24.ref.png       | Bin 0 -> 5579 bytes
 .../record1414x-fill-alpha.base.argb32.ref.png     | Bin 0 -> 4191 bytes
 .../record1414x-fill-alpha.base.rgb24.ref.png      | Bin 0 -> 4191 bytes
 .../record1414x-fill-alpha.base.xfail.png          | Bin 0 -> 4138 bytes
 ...1414x-paint-alpha-clip-mask.base.argb32.ref.png | Bin 0 -> 466 bytes
 ...d1414x-paint-alpha-clip-mask.base.rgb24.ref.png | Bin 0 -> 466 bytes
 ...ecord1414x-paint-alpha-clip.base.argb32.ref.png | Bin 0 -> 380 bytes
 ...record1414x-paint-alpha-clip.base.rgb24.ref.png | Bin 0 -> 380 bytes
 ...414x-paint-alpha-solid-clip.base.argb32.ref.png | Bin 0 -> 317 bytes
 ...1414x-paint-alpha-solid-clip.base.rgb24.ref.png | Bin 0 -> 317 bytes
 .../record1414x-paint-alpha.base.argb32.ref.png    | Bin 0 -> 265 bytes
 .../record1414x-paint-alpha.base.rgb24.ref.png     | Bin 0 -> 265 bytes
 .../record1414x-paint.base.argb32.ref.png          | Bin 0 -> 95 bytes
 .../reference/record1414x-paint.base.rgb24.ref.png | Bin 0 -> 95 bytes
 ...ecord1414x-select-font-face.base.argb32.ref.png | Bin 0 -> 3177 bytes
 ...record1414x-select-font-face.base.rgb24.ref.png | Bin 0 -> 3177 bytes
 ...cord1414x-self-intersecting.base.argb32.ref.png | Bin 0 -> 353 bytes
 ...ecord1414x-self-intersecting.base.rgb24.ref.png | Bin 0 -> 353 bytes
 .../record1414x-text-transform.base.argb32.ref.png | Bin 0 -> 8706 bytes
 .../record1414x-text-transform.base.rgb24.ref.png  | Bin 0 -> 8706 bytes
 .../record2x-fill-alpha.base.argb32.ref.png        | Bin 0 -> 5896 bytes
 .../record2x-fill-alpha.base.rgb24.ref.png         | Bin 0 -> 5896 bytes
 test/reference/record2x-fill-alpha.base.xfail.png  | Bin 0 -> 5724 bytes
 ...ord2x-paint-alpha-clip-mask.base.argb32.ref.png | Bin 0 -> 488 bytes
 ...cord2x-paint-alpha-clip-mask.base.rgb24.ref.png | Bin 0 -> 488 bytes
 .../record2x-paint-alpha-clip.base.argb32.ref.png  | Bin 0 -> 322 bytes
 .../record2x-paint-alpha-clip.base.rgb24.ref.png   | Bin 0 -> 322 bytes
 ...rd2x-paint-alpha-solid-clip.base.argb32.ref.png | Bin 0 -> 281 bytes
 ...ord2x-paint-alpha-solid-clip.base.rgb24.ref.png | Bin 0 -> 281 bytes
 .../record2x-paint-alpha.base.argb32.ref.png       | Bin 0 -> 291 bytes
 .../record2x-paint-alpha.base.rgb24.ref.png        | Bin 0 -> 291 bytes
 test/reference/record2x-paint.base.argb32.ref.png  | Bin 0 -> 98 bytes
 test/reference/record2x-paint.base.rgb24.ref.png   | Bin 0 -> 98 bytes
 .../record2x-select-font-face.base.argb32.ref.png  | Bin 0 -> 4407 bytes
 .../record2x-select-font-face.base.rgb24.ref.png   | Bin 0 -> 4407 bytes
 .../record2x-self-intersecting.base.argb32.ref.png | Bin 0 -> 171 bytes
 .../record2x-self-intersecting.base.rgb24.ref.png  | Bin 0 -> 171 bytes
 .../record2x-text-transform.base.argb32.ref.png    | Bin 0 -> 13476 bytes
 .../record2x-text-transform.base.rgb24.ref.png     | Bin 0 -> 13476 bytes
 .../record90-fill-alpha.base.argb32.ref.png        | Bin 0 -> 2658 bytes
 .../record90-fill-alpha.base.rgb24.ref.png         | Bin 0 -> 2658 bytes
 ...ord90-paint-alpha-clip-mask.base.argb32.ref.png | Bin 0 -> 332 bytes
 ...cord90-paint-alpha-clip-mask.base.rgb24.ref.png | Bin 0 -> 332 bytes
 .../record90-paint-alpha-clip.base.argb32.ref.png  | Bin 0 -> 279 bytes
 .../record90-paint-alpha-clip.base.rgb24.ref.png   | Bin 0 -> 279 bytes
 ...rd90-paint-alpha-solid-clip.base.argb32.ref.png | Bin 0 -> 254 bytes
 ...ord90-paint-alpha-solid-clip.base.rgb24.ref.png | Bin 0 -> 254 bytes
 .../record90-paint-alpha.base.argb32.ref.png       | Bin 0 -> 105 bytes
 .../record90-paint-alpha.base.rgb24.ref.png        | Bin 0 -> 105 bytes
 test/reference/record90-paint.base.argb32.ref.png  | Bin 0 -> 93 bytes
 test/reference/record90-paint.base.rgb24.ref.png   | Bin 0 -> 93 bytes
 .../record90-select-font-face.base.argb32.ref.png  | Bin 0 -> 2272 bytes
 .../record90-select-font-face.base.rgb24.ref.png   | Bin 0 -> 2272 bytes
 .../record90-self-intersecting.base.argb32.ref.png | Bin 0 -> 208 bytes
 .../record90-self-intersecting.base.rgb24.ref.png  | Bin 0 -> 208 bytes
 .../record90-text-transform.base.argb32.ref.png    | Bin 0 -> 5811 bytes
 .../record90-text-transform.base.rgb24.ref.png     | Bin 0 -> 5811 bytes
 95 files changed, 16 insertions(+), 13 deletions(-)

commit 8968f010356fc946193aa1ee0a28af39730b8338
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 1 23:24:55 2012 +0000

    base: Remove the double application of the clip boxes
    
    The clipping code was modified to handle partial boxes itself, so update
    the base compositor to simply use the core clipping code and avoid
    double application.

 src/test-base-compositor-surface.c                 | 174 ++++++---------------
 .../clip-disjoint-hatching.base.argb32.ref.png     | Bin 8021 -> 7948 bytes
 .../clip-disjoint-hatching.base.rgb24.ref.png      | Bin 8021 -> 7948 bytes
 .../clip-fill-eo-unbounded.base.argb32.ref.png     | Bin 3693 -> 3735 bytes
 .../clip-fill-eo-unbounded.base.rgb24.ref.png      | Bin 3198 -> 3224 bytes
 .../clip-fill-nz-unbounded.base.argb32.ref.png     | Bin 3693 -> 3735 bytes
 .../clip-fill-nz-unbounded.base.rgb24.ref.png      | Bin 3198 -> 3224 bytes
 test/reference/clip-fill-rule.base.argb32.ref.png  | Bin 412 -> 437 bytes
 test/reference/clip-fill-rule.base.rgb24.ref.png   | Bin 361 -> 393 bytes
 test/reference/clip-fill.base.argb32.ref.png       | Bin 1049 -> 1039 bytes
 test/reference/clip-fill.base.rgb24.ref.png        | Bin 1049 -> 1039 bytes
 .../clip-group-shapes-circles.base.argb32.ref.png  | Bin 1534 -> 1511 bytes
 .../clip-group-shapes-circles.base.rgb24.ref.png   | Bin 1534 -> 1511 bytes
 ...shapes-unaligned-rectangles.base.argb32.ref.png | Bin 431 -> 415 bytes
 ...-shapes-unaligned-rectangles.base.rgb24.ref.png | Bin 431 -> 415 bytes
 test/reference/clip-image.base.argb32.ref.png      | Bin 2686 -> 2677 bytes
 test/reference/clip-image.base.rgb24.ref.png       | Bin 2686 -> 2677 bytes
 test/reference/clip-intersect.base.argb32.ref.png  | Bin 193 -> 200 bytes
 test/reference/clip-intersect.base.rgb24.ref.png   | Bin 193 -> 200 bytes
 test/reference/clip-nesting.base.argb32.ref.png    | Bin 1031 -> 1044 bytes
 test/reference/clip-nesting.base.rgb24.ref.png     | Bin 936 -> 937 bytes
 test/reference/clip-operator.base.argb32.ref.png   | Bin 8179 -> 8182 bytes
 test/reference/clip-operator.base.rgb24.ref.png    | Bin 3243 -> 3244 bytes
 test/reference/clip-polygons.base.argb32.ref.png   | Bin 1296 -> 1336 bytes
 test/reference/clip-polygons.base.rgb24.ref.png    | Bin 1296 -> 1336 bytes
 test/reference/clip-push-group.base.argb32.ref.png | Bin 155 -> 164 bytes
 test/reference/clip-push-group.base.rgb24.ref.png  | Bin 155 -> 164 bytes
 .../reference/clip-rectilinear.base.argb32.ref.png | Bin 440 -> 439 bytes
 test/reference/clip-rectilinear.base.rgb24.ref.png | Bin 440 -> 439 bytes
 test/reference/clip-shape.base.argb32.ref.png      | Bin 2943 -> 2916 bytes
 test/reference/clip-shape.base.rgb24.ref.png       | Bin 2943 -> 2916 bytes
 .../clip-stroke-unbounded.base.argb32.ref.png      | Bin 3617 -> 3655 bytes
 .../clip-stroke-unbounded.base.rgb24.ref.png       | Bin 3108 -> 3135 bytes
 test/reference/clip-stroke.base.argb32.ref.png     | Bin 1491 -> 1444 bytes
 test/reference/clip-stroke.base.rgb24.ref.png      | Bin 1491 -> 1444 bytes
 test/reference/clip-text.base.argb32.ref.png       | Bin 899 -> 921 bytes
 test/reference/clip-text.base.rgb24.ref.png        | Bin 899 -> 921 bytes
 test/reference/clip-twice.base.argb32.ref.png      | Bin 1343 -> 1341 bytes
 test/reference/clip-twice.base.rgb24.ref.png       | Bin 1179 -> 1194 bytes
 test/reference/clipped-group.base.argb32.ref.png   | Bin 316 -> 316 bytes
 test/reference/clipped-group.base.rgb24.ref.png    | Bin 316 -> 316 bytes
 test/reference/hatchings.base.argb32.ref.png       | Bin 90611 -> 94196 bytes
 test/reference/hatchings.base.rgb24.ref.png        | Bin 90611 -> 94196 bytes
 test/reference/mask.base.argb32.ref.png            | Bin 8451 -> 8439 bytes
 test/reference/mask.base.rgb24.ref.png             | Bin 7058 -> 7044 bytes
 .../paint-with-alpha-clip-mask.base.argb32.ref.png | Bin 305 -> 330 bytes
 .../paint-with-alpha-clip-mask.base.rgb24.ref.png  | Bin 305 -> 330 bytes
 .../paint-with-alpha-clip.base.argb32.ref.png      | Bin 303 -> 269 bytes
 .../paint-with-alpha-clip.base.rgb24.ref.png       | Bin 303 -> 269 bytes
 ...paint-with-alpha-solid-clip.base.argb32.ref.png | Bin 266 -> 248 bytes
 .../paint-with-alpha-solid-clip.base.rgb24.ref.png | Bin 266 -> 248 bytes
 .../pdf-isolated-group.base.argb32.ref.png         | Bin 0 -> 217 bytes
 .../pdf-isolated-group.base.rgb24.ref.png          | Bin 0 -> 217 bytes
 test/reference/random-clip.base.argb32.ref.png     | Bin 521040 -> 521821 bytes
 test/reference/random-clip.base.rgb24.ref.png      | Bin 521040 -> 521821 bytes
 ...te-clip-image-surface-paint.base.argb32.ref.png | Bin 303 -> 331 bytes
 ...ate-clip-image-surface-paint.base.rgb24.ref.png | Bin 303 -> 331 bytes
 test/reference/rotated-clip.base.argb32.ref.png    | Bin 3922 -> 3912 bytes
 test/reference/rotated-clip.base.rgb24.ref.png     | Bin 3922 -> 3912 bytes
 test/reference/tighten-bounds.base.argb32.ref.png  | Bin 8486 -> 8490 bytes
 test/reference/tighten-bounds.base.rgb24.ref.png   | Bin 7856 -> 7847 bytes
 test/reference/trap-clip.base.argb32.ref.png       | Bin 5753 -> 5651 bytes
 test/reference/trap-clip.base.rgb24.ref.png        | Bin 5379 -> 5351 bytes
 63 files changed, 49 insertions(+), 125 deletions(-)

commit 705cd6e1c642863a06b9cfc269572ceb473ac87a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 2 12:22:22 2012 +0000

    test/record1414: Pixel align the clip for replay
    
    In order to match the reference image we need complete coverage, and the
    purpose of the test is to check non-integer scaling of replays rather
    than handling of the clip pixels. That partial coverage is better tested
    elsewhere.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/record1414x.c                              |   1 +
 test/reference/record1414x-fill-alpha.xfail.png | Bin 0 -> 4216 bytes
 2 files changed, 1 insertion(+)

commit b8a6019e0c5f93d59faaec12de4bec454e9d8f9d
Author: Zhigang Gong <zhigang.gong@linux.intel.com>
Date:   Thu Mar 1 14:38:30 2012 +0000

    mono: Always bias initial edge advancement
    
    Even for a vertical edge, we still need to bias the error term otherwise
    later we will find the error term is too larger and advance a pixel on
    every row.
    
    Signed-off-by: Zhigang Gong <zhigang.gong@linux.intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mono-scan-converter.c      |   2 +-
 test/reference/a1-bug.argb32.ref.png | Bin 3735 -> 0 bytes
 test/reference/a1-bug.ref.png        | Bin 3220 -> 3736 bytes
 test/reference/a1-bug.rgb24.ref.png  | Bin 3735 -> 0 bytes
 4 files changed, 1 insertion(+), 1 deletion(-)

commit cdbf4c60fe373c896ac71e2f681e42744bcbd7e3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 29 14:38:13 2012 +0000

    spans,traps-compositor: Check for all-clipped after intersecting clip with boxes
    
    If the mask does not intersect the clip, then there is no drawing to be
    performed and we can report NOTHING_TO_DO.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 3 +++
 src/cairo-traps-compositor.c | 3 +++
 2 files changed, 6 insertions(+)

commit 300e32a4a9d79c26077f33e9b67bad2106071849
Author: Seongwon Cho <seongwon1.cho@samsung.com>
Date:   Wed Feb 29 18:59:34 2012 +0900

    mono-scan-convertor: Include space for the closing span
    
    When estimating the maximum number of spans required for a particular
    width, we need to include a closing span.
    
    Reviewed-by: Zhigang Gong <zhigang.gong@linux.intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mono-scan-converter.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2587b9dfd391fc1dc6e20eaa4c2d64fafe2e809b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 29 11:51:02 2012 +0000

    ft: Export FreeType synthesis options
    
    Currently you can only specify that a cairo_ft_font_face_t should
    synthesize a font (to make a bold variant) through an FcPattern. That is
    direct consumers of the public cairo-ft API have no control over the
    synthesize options.
    
    Rectify this by creating some public API to allow control over the
    synthesis flags, and include the ability to construct an oblique as
    well an embolden font.
    
    Based on a patch by Deokjin Kim <deokjin81.kim@samsung.com>.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac        |   2 +-
 src/cairo-ft-font.c | 108 +++++++++++++++++++++++++++++++++++++++++-----------
 src/cairo-ft.h      |  37 ++++++++++++++++++
 3 files changed, 124 insertions(+), 23 deletions(-)

commit 231f0e32b916d436465fe16cfa38da27eb4df698
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 29 11:21:28 2012 +0000

    ft: Remove unused HINT_METRICS from ft_font.extra-flags
    
    This is handled through the normal cairo_font_options_t and was not
    used.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-ft-font.c | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit a49a26f961bc284d496ea7e16dd79e0ddb36c98e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 29 10:03:00 2012 +0000

    gl: Various fixes for glyphs
    
    Not 100% improvement, there are still a variety of failures with
    GLXWindows, but getting there. At least it fixes more things than its
    breaks...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-compositor.c          |  5 +++++
 src/cairo-fallback-compositor.c |  5 +++++
 src/cairo-gl-composite.c        |  3 +--
 src/cairo-gl-glyphs.c           | 47 ++++++++++++++++++++++-------------------
 src/cairo-gl-msaa-compositor.c  |  6 ++----
 src/cairo-gl-operand.c          | 13 ++++++++++--
 src/cairo-gl-private.h          |  7 ++++--
 src/cairo-gl-source.c           |  1 +
 src/cairo-gl-spans-compositor.c | 43 ++++++++++++++++++++++---------------
 src/cairo-gl-surface.c          |  4 ++--
 src/cairo-gl-traps-compositor.c | 12 +++++------
 src/cairo-spans-compositor.c    | 13 ++++++++++++
 src/cairo-surface.c             |  6 ++++++
 13 files changed, 108 insertions(+), 57 deletions(-)

commit 3c665102c2b7ccd69aec7658e398ce6dd6dae38b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 22:27:18 2012 +0000

    spans+image: Fix clipping with polygons and spans
    
    Fixes: clip-source, random-clip
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources                               |   1 +
 src/cairo-clip-private.h                           |   3 +
 src/cairo-clip.c                                   |  18 ++
 src/cairo-compositor-private.h                     |   4 +
 src/cairo-image-compositor.c                       |  36 ++-
 src/cairo-image-spans-compositor.c                 | 131 --------
 src/cairo-shape-mask-compositor.c                  | 337 +++++++++++++++++++++
 src/cairo-spans-compositor.c                       |  49 ++-
 test/reference/a1-tiger.argb32.ref.png             | Bin 20328 -> 0 bytes
 test/reference/a1-tiger.rgb24.ref.png              | Bin 20328 -> 0 bytes
 test/reference/clip-disjoint.argb32.ref.png        | Bin 5399 -> 0 bytes
 test/reference/clip-disjoint.ref.png               | Bin 3934 -> 5438 bytes
 test/reference/clip-disjoint.rgb24.ref.png         | Bin 5399 -> 0 bytes
 test/reference/clip-operator.argb32.ref.png        | Bin 8158 -> 8245 bytes
 test/reference/clip-operator.rgb24.ref.png         | Bin 3231 -> 3333 bytes
 test/reference/clip-stroke.argb32.ref.png          | Bin 1522 -> 0 bytes
 test/reference/clip-stroke.ref.png                 | Bin 1206 -> 1445 bytes
 test/reference/clip-stroke.rgb24.ref.png           | Bin 1522 -> 0 bytes
 test/reference/degenerate-arc.argb32.ref.png       | Bin 653 -> 0 bytes
 test/reference/degenerate-arc.ref.png              | Bin 690 -> 646 bytes
 test/reference/degenerate-arc.rgb24.ref.png        | Bin 653 -> 0 bytes
 .../finer-grained-fallbacks.argb32.ref.png         | Bin 1167 -> 1068 bytes
 .../finer-grained-fallbacks.rgb24.ref.png          | Bin 891 -> 837 bytes
 test/reference/hatchings.argb32.ref.png            | Bin 92730 -> 0 bytes
 test/reference/hatchings.ref.png                   | Bin 45496 -> 93764 bytes
 test/reference/hatchings.rgb24.ref.png             | Bin 92730 -> 0 bytes
 test/reference/operator-source.argb32.ref.png      | Bin 5585 -> 5612 bytes
 test/reference/operator-source.rgb24.ref.png       | Bin 3954 -> 3975 bytes
 test/reference/over-around-source.argb32.ref.png   | Bin 618 -> 633 bytes
 test/reference/over-around-source.rgb24.ref.png    | Bin 501 -> 499 bytes
 test/reference/over-below-source.argb32.ref.png    | Bin 443 -> 447 bytes
 test/reference/over-below-source.rgb24.ref.png     | Bin 377 -> 385 bytes
 test/reference/over-between-source.argb32.ref.png  | Bin 593 -> 596 bytes
 test/reference/over-between-source.rgb24.ref.png   | Bin 460 -> 463 bytes
 test/reference/overlapping-boxes.argb32.ref.png    | Bin 210 -> 187 bytes
 test/reference/overlapping-boxes.rgb24.ref.png     | Bin 201 -> 179 bytes
 test/reference/random-clip.ref.png                 | Bin 523342 -> 529871 bytes
 test/reference/tighten-bounds.argb32.ref.png       | Bin 9127 -> 9115 bytes
 test/reference/tighten-bounds.rgb24.ref.png        | Bin 8433 -> 8256 bytes
 39 files changed, 420 insertions(+), 159 deletions(-)

commit be5ab6df68cba1bd0709fa4319e29141d4491d94
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 18:11:22 2012 +0000

    surface-wrapper: Apply the scaled-font ctm and non-default font-options
    
    Improves record*-text-transform.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-matrix.c          | 15 +++++++++++++++
 src/cairo-surface-wrapper.c | 18 ++++++++++++++++--
 src/cairoint.h              |  5 +++++
 3 files changed, 36 insertions(+), 2 deletions(-)

commit 2c908f8a42456ab0ec6f12c36a2cf68523287ba7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 17:55:41 2012 +0000

    test: Regenerate reference images for vanilla record tests
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/record.c                                         |   6 ++++++
 .../record-extend-none-similar.argb32.ref.png         | Bin 0 -> 293 bytes
 .../record-extend-none-similar.image16.rgb24.ref.png  | Bin 0 -> 293 bytes
 .../record-extend-none-similar.rgb24.ref.png          | Bin 0 -> 293 bytes
 test/reference/record-extend-none.argb32.ref.png      | Bin 0 -> 293 bytes
 .../record-extend-none.image16.rgb24.ref.png          | Bin 0 -> 293 bytes
 test/reference/record-extend-none.rgb24.ref.png       | Bin 0 -> 293 bytes
 .../record-extend-pad-similar.argb32.ref.png          | Bin 0 -> 298 bytes
 .../record-extend-pad-similar.image16.rgb24.ref.png   | Bin 0 -> 298 bytes
 .../reference/record-extend-pad-similar.rgb24.ref.png | Bin 0 -> 298 bytes
 test/reference/record-extend-pad.argb32.ref.png       | Bin 0 -> 298 bytes
 .../reference/record-extend-pad.image16.rgb24.ref.png | Bin 0 -> 298 bytes
 test/reference/record-extend-pad.rgb24.ref.png        | Bin 0 -> 298 bytes
 .../record-extend-reflect-similar.argb32.ref.png      | Bin 0 -> 335 bytes
 ...ecord-extend-reflect-similar.image16.rgb24.ref.png | Bin 0 -> 335 bytes
 .../record-extend-reflect-similar.rgb24.ref.png       | Bin 0 -> 335 bytes
 test/reference/record-extend-reflect.argb32.ref.png   | Bin 0 -> 335 bytes
 .../record-extend-reflect.image16.rgb24.ref.png       | Bin 0 -> 335 bytes
 test/reference/record-extend-reflect.rgb24.ref.png    | Bin 0 -> 335 bytes
 .../record-extend-repeat-similar.argb32.ref.png       | Bin 0 -> 286 bytes
 ...record-extend-repeat-similar.image16.rgb24.ref.png | Bin 0 -> 286 bytes
 .../record-extend-repeat-similar.rgb24.ref.png        | Bin 0 -> 286 bytes
 test/reference/record-extend-repeat.argb32.ref.png    | Bin 0 -> 286 bytes
 .../record-extend-repeat.image16.rgb24.ref.png        | Bin 0 -> 286 bytes
 test/reference/record-extend-repeat.rgb24.ref.png     | Bin 0 -> 286 bytes
 test/reference/record-fill-alpha.argb32.ref.png       | Bin 0 -> 2736 bytes
 .../reference/record-fill-alpha.image16.rgb24.ref.png | Bin 0 -> 2232 bytes
 test/reference/record-fill-alpha.rgb24.ref.png        | Bin 0 -> 2736 bytes
 test/reference/record-fill-alpha.xfail.png            | Bin 0 -> 2839 bytes
 test/reference/record-mesh.argb32.ref.png             | Bin 0 -> 15229 bytes
 test/reference/record-mesh.image16.rgb24.ref.png      | Bin 0 -> 9027 bytes
 test/reference/record-mesh.rgb24.ref.png              | Bin 0 -> 15229 bytes
 .../record-paint-alpha-clip-mask.argb32.ref.png       | Bin 0 -> 340 bytes
 ...record-paint-alpha-clip-mask.image16.rgb24.ref.png | Bin 0 -> 352 bytes
 .../record-paint-alpha-clip-mask.rgb24.ref.png        | Bin 0 -> 340 bytes
 test/reference/record-paint-alpha-clip-mask.xfail.png | Bin 0 -> 333 bytes
 test/reference/record-paint-alpha-clip.argb32.ref.png | Bin 0 -> 290 bytes
 .../record-paint-alpha-clip.image16.rgb24.ref.png     | Bin 0 -> 313 bytes
 test/reference/record-paint-alpha-clip.rgb24.ref.png  | Bin 0 -> 290 bytes
 .../record-paint-alpha-solid-clip.argb32.ref.png      | Bin 0 -> 248 bytes
 ...ecord-paint-alpha-solid-clip.image16.rgb24.ref.png | Bin 0 -> 274 bytes
 .../record-paint-alpha-solid-clip.rgb24.ref.png       | Bin 0 -> 248 bytes
 test/reference/record-paint-alpha.argb32.ref.png      | Bin 0 -> 224 bytes
 .../record-paint-alpha.image16.rgb24.ref.png          | Bin 0 -> 253 bytes
 test/reference/record-paint-alpha.rgb24.ref.png       | Bin 0 -> 224 bytes
 test/reference/record-paint.argb32.ref.png            | Bin 0 -> 93 bytes
 test/reference/record-paint.image16.rgb24.ref.png     | Bin 0 -> 93 bytes
 test/reference/record-paint.rgb24.ref.png             | Bin 0 -> 93 bytes
 test/reference/record-select-font-face.argb32.ref.png | Bin 0 -> 2250 bytes
 .../record-select-font-face.image16.rgb24.ref.png     | Bin 0 -> 1236 bytes
 test/reference/record-select-font-face.ref.png        | Bin 2473 -> 2245 bytes
 test/reference/record-select-font-face.rgb24.ref.png  | Bin 0 -> 2250 bytes
 .../reference/record-self-intersecting.argb32.ref.png | Bin 0 -> 168 bytes
 .../record-self-intersecting.image16.rgb24.ref.png    | Bin 0 -> 228 bytes
 test/reference/record-self-intersecting.rgb24.ref.png | Bin 0 -> 168 bytes
 test/reference/record-text-transform.argb32.ref.png   | Bin 0 -> 5579 bytes
 .../record-text-transform.image16.rgb24.ref.png       | Bin 0 -> 2688 bytes
 test/reference/record-text-transform.rgb24.ref.png    | Bin 0 -> 5579 bytes
 58 files changed, 6 insertions(+)

commit ef7e57f0fd1aaf96be87cc73b4d51d6ce55f231b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 17:44:15 2012 +0000

    scaled-font: Assign a temporary hash value for the placeholder
    
    Fixes [large-]twin-antialias-mixed.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-scaled-font.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 050c246174e480a3e27b1665e70f1958d02d9008
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 17:38:21 2012 +0000

    test: Add record90 to exercise replaying a rotated recording surface
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources                              |   1 +
 test/record90.c                                    | 495 +++++++++++++++++++++
 test/reference/record90-fill-alpha.argb32.ref.png  | Bin 0 -> 2651 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png   | Bin 0 -> 2651 bytes
 test/reference/record90-fill-alpha.xfail.png       | Bin 0 -> 2654 bytes
 .../record90-paint-alpha-clip-mask.argb32.ref.png  | Bin 0 -> 343 bytes
 .../record90-paint-alpha-clip-mask.rgb24.ref.png   | Bin 0 -> 343 bytes
 .../record90-paint-alpha-clip-mask.xfail.png       | Bin 0 -> 324 bytes
 .../record90-paint-alpha-clip.argb32.ref.png       | Bin 0 -> 296 bytes
 .../record90-paint-alpha-clip.rgb24.ref.png        | Bin 0 -> 296 bytes
 test/reference/record90-paint-alpha-clip.xfail.png | Bin 0 -> 327 bytes
 .../record90-paint-alpha-solid-clip.argb32.ref.png | Bin 0 -> 254 bytes
 .../record90-paint-alpha-solid-clip.rgb24.ref.png  | Bin 0 -> 254 bytes
 test/reference/record90-paint-alpha.argb32.ref.png | Bin 0 -> 105 bytes
 test/reference/record90-paint-alpha.rgb24.ref.png  | Bin 0 -> 105 bytes
 test/reference/record90-paint.argb32.ref.png       | Bin 0 -> 93 bytes
 test/reference/record90-paint.rgb24.ref.png        | Bin 0 -> 93 bytes
 .../record90-select-font-face.argb32.ref.png       | Bin 0 -> 2272 bytes
 .../record90-select-font-face.rgb24.ref.png        | Bin 0 -> 2272 bytes
 .../record90-self-intersecting.argb32.ref.png      | Bin 0 -> 167 bytes
 .../record90-self-intersecting.rgb24.ref.png       | Bin 0 -> 167 bytes
 .../record90-text-transform.argb32.ref.png         | Bin 0 -> 5811 bytes
 .../record90-text-transform.rgb24.ref.png          | Bin 0 -> 5811 bytes
 23 files changed, 496 insertions(+)

commit 4429c7a3016622f9a31af6b6b9ff353e896885db
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 15:05:57 2012 +0000

    scaled-font: Refactor the hash computation
    
    Remove the cut'n'paste duplication and replace the hash computation with
    a proper function.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-scaled-font.c | 54 +++++++++++++++++++++----------------------------
 1 file changed, 23 insertions(+), 31 deletions(-)

commit da381da7f324497132ca547246c5299708fb968e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 28 14:50:16 2012 +0000

    scaled-font: Key the cache on the original font face
    
    Complete the task started in cd4b2d843b2a8c06ba78c15ff65763b5bdf54dc6 by
    remembering to compute the insertion hash on the original font face as
    well as the lookup hashes. Also take advantage by deferring resolution
    of the implementation for the font face until after we fail to find an
    already constructed scaled font.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-scaled-font.c | 181 +++++++++++++++++++++++++-----------------------
 1 file changed, 94 insertions(+), 87 deletions(-)

commit 1cfd27851e4700270204bb39d48827eaa33b849d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 27 15:04:58 2012 +0000

    test: Set record2x-fill-alpha as an xfail
    
    As the path is converted to fixed-point prior to application of the
    replay scale factor, we currently do anticipate some loss in precision
    and slight difference in antialiasing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/record2x-fill-alpha.xfail.png | Bin 0 -> 5978 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 668e8eac3af27ddad050c0975d1aa43b2ccca01a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 27 15:02:30 2012 +0000

    test/record: Fix typo in record*-text-transform
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/record.c                                         |   2 +-
 test/record1414x.c                                    |   2 +-
 test/record2x.c                                       |   2 +-
 test/reference/record-text-transform.ref.png          | Bin 6200 -> 5281 bytes
 .../record1414x-text-transform.argb32.ref.png         | Bin 5459 -> 0 bytes
 test/reference/record1414x-text-transform.ref.png     | Bin 0 -> 8706 bytes
 .../record1414x-text-transform.rgb24.ref.png          | Bin 5459 -> 0 bytes
 test/reference/record2x-text-transform.argb32.ref.png | Bin 8267 -> 0 bytes
 test/reference/record2x-text-transform.ref.png        | Bin 0 -> 13476 bytes
 test/reference/record2x-text-transform.rgb24.ref.png  | Bin 8267 -> 0 bytes
 10 files changed, 3 insertions(+), 3 deletions(-)

commit b1b5e9b9087ff3e0679f850b36314ca38986a11d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 27 14:25:39 2012 +0000

    surface-wrapper: Apply replay transforms to scaled font
    
    Improves: record2x-select-font-face, record2x-text-transform
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface-wrapper.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 78aeb0d14c7941964c232f4fc199d6d277835a79
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 27 14:46:02 2012 +0000

    test: Verify scaled replay of a recording surface
    
    After this works, we may also like to check simple rotations and an
    affine transform.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources                              |   2 +
 test/record1414x.c                                 | 497 +++++++++++++++++++++
 test/record2x.c                                    | 493 ++++++++++++++++++++
 .../record1414x-fill-alpha.argb32.ref.png          | Bin 0 -> 4129 bytes
 .../reference/record1414x-fill-alpha.rgb24.ref.png | Bin 0 -> 4129 bytes
 ...ecord1414x-paint-alpha-clip-mask.argb32.ref.png | Bin 0 -> 473 bytes
 ...record1414x-paint-alpha-clip-mask.rgb24.ref.png | Bin 0 -> 473 bytes
 .../record1414x-paint-alpha-clip.argb32.ref.png    | Bin 0 -> 378 bytes
 .../record1414x-paint-alpha-clip.rgb24.ref.png     | Bin 0 -> 378 bytes
 ...cord1414x-paint-alpha-solid-clip.argb32.ref.png | Bin 0 -> 317 bytes
 ...ecord1414x-paint-alpha-solid-clip.rgb24.ref.png | Bin 0 -> 317 bytes
 .../record1414x-paint-alpha.argb32.ref.png         | Bin 0 -> 265 bytes
 .../record1414x-paint-alpha.rgb24.ref.png          | Bin 0 -> 265 bytes
 test/reference/record1414x-paint.argb32.ref.png    | Bin 0 -> 95 bytes
 test/reference/record1414x-paint.rgb24.ref.png     | Bin 0 -> 95 bytes
 .../record1414x-select-font-face.argb32.ref.png    | Bin 0 -> 3177 bytes
 .../record1414x-select-font-face.rgb24.ref.png     | Bin 0 -> 3177 bytes
 .../record1414x-self-intersecting.argb32.ref.png   | Bin 0 -> 394 bytes
 .../record1414x-self-intersecting.rgb24.ref.png    | Bin 0 -> 394 bytes
 .../record1414x-text-transform.argb32.ref.png      | Bin 0 -> 5459 bytes
 .../record1414x-text-transform.rgb24.ref.png       | Bin 0 -> 5459 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png  | Bin 0 -> 5715 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png   | Bin 0 -> 5715 bytes
 .../record2x-paint-alpha-clip-mask.argb32.ref.png  | Bin 0 -> 503 bytes
 .../record2x-paint-alpha-clip-mask.rgb24.ref.png   | Bin 0 -> 503 bytes
 .../record2x-paint-alpha-clip.argb32.ref.png       | Bin 0 -> 322 bytes
 .../record2x-paint-alpha-clip.rgb24.ref.png        | Bin 0 -> 322 bytes
 .../record2x-paint-alpha-solid-clip.argb32.ref.png | Bin 0 -> 281 bytes
 .../record2x-paint-alpha-solid-clip.rgb24.ref.png  | Bin 0 -> 281 bytes
 test/reference/record2x-paint-alpha.argb32.ref.png | Bin 0 -> 291 bytes
 test/reference/record2x-paint-alpha.rgb24.ref.png  | Bin 0 -> 291 bytes
 test/reference/record2x-paint.argb32.ref.png       | Bin 0 -> 98 bytes
 test/reference/record2x-paint.rgb24.ref.png        | Bin 0 -> 98 bytes
 .../record2x-select-font-face.argb32.ref.png       | Bin 0 -> 4407 bytes
 .../record2x-select-font-face.rgb24.ref.png        | Bin 0 -> 4407 bytes
 .../record2x-self-intersecting.argb32.ref.png      | Bin 0 -> 171 bytes
 .../record2x-self-intersecting.rgb24.ref.png       | Bin 0 -> 171 bytes
 .../record2x-text-transform.argb32.ref.png         | Bin 0 -> 8267 bytes
 .../record2x-text-transform.rgb24.ref.png          | Bin 0 -> 8267 bytes
 39 files changed, 992 insertions(+)

commit 2d3a1c7318df67347f65b0098cb9ea091ed93b3a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 25 16:56:08 2012 +1030

    pdf: ensure all transparency groups are isolated

 src/cairo-pdf-surface.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2de75b1a3453f734feeb67de1c09d70d640c7b24
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 25 16:53:26 2012 +1030

    test: add test to check that pdf transparency groups are non-isolated

 test/Makefile.sources                     |   1 +
 test/pdf-isolated-group.c                 |  73 ++++++++++++++++++++++++++++++
 test/reference/pdf-isolated-group.ref.png | Bin 0 -> 217 bytes
 3 files changed, 74 insertions(+)

commit 589216c1e36a2925de08929702615c593a31eff4
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 25 09:52:10 2012 +1030

    win32: fix compilation on cygwin

 boilerplate/cairo-boilerplate-win32-printing.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7154f646d30132104f69098b1d0c2f903c32ed53
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 16:15:31 2012 +0000

    pdf,ps: The device offset only needs to taken into account for raster patterns
    
    Ordinary patterns have their device offsets pre-baked into the pattern
    matrix. The difference with raster patterns is that the surface is
    generated upon use by the pdf,ps and so its device offset is not known
    until then.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-pdf-surface.c | 2 --
 src/cairo-ps-surface.c  | 3 +--
 2 files changed, 1 insertion(+), 4 deletions(-)

commit 99ec915b97e36a7576e30c45160cc2b90d0cc92f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 14:30:14 2012 +0000

    test: a1-line-width is a test of rasterisation, so skip for the vector backends
    
    PDF/PS do not have the concept of aliased rendering, so like many of the
    other rasterisation tests, a1-line-width cannot be tested satisfactorily
    on those backends.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/line-width.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 513841263e27502646af45fad7f34e96b7f3322e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 14:07:10 2012 +0000

    recording: Remove superfluous reset
    
    When merging the two-clauses, I forgot to remove the second
    _cairo_recording_surface_reset()
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface.c | 1 -
 1 file changed, 1 deletion(-)

commit 61050f5445000be014764cedb6da36cb357bf434
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 13:56:41 2012 +0000

    test: Add a couple of reference images for the recording surface
    
    In tests where we apply a scale factor to a similar source, the
    recording surface will produce different results to image as the scaling
    of the source is performed on the geometry and not on a raster image and
    so avoids scaling artefacts.

 .../reference/mask-transformed-similar.recording.ref.png | Bin 0 -> 3528 bytes
 test/reference/source-clip-scale.recording.ref.png       | Bin 0 -> 116 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit c39cb77d64afdeff522a74d31af6386f5fd3c10f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 13:00:44 2012 +0000

    subsurface: Fix typo in snapshot creation
    
    I need to remember that the translation for the pattern matrix is the
    inverse of the translation for drawing.
    
    Fixes: subsurface-modify-parent
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface-subsurface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2cb9ec31ea580164a3d5a267bff334a0c6b4dc5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 13:45:44 2012 +0000

    recording: Optimize a copy of one recording surface onto another
    
    Rather than store a command to copy from a reference of another recording
    surface onto this, just replay the other recording surface.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 8028f04a919d1e6afe95c21cd16172c367f05392
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 13:46:54 2012 +0000

    debug: Add some TRACE statements for recording surfaces and snapshots
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface.c  | 10 ++++++++++
 src/cairo-surface-snapshot.c   |  7 +++++++
 src/cairo-surface-subsurface.c |  7 +++++++
 3 files changed, 24 insertions(+)

commit 6b5199645af00a11e445e0ebdf74d8a9f6a3718a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 13:44:52 2012 +0000

    image: Handle recursive drawing of recording surface
    
    Borrow the technique for installing a proxy-snapshot developed for
    acquiring the image from a recording surface.
    
    This prevents the cairo from exploding and using up all memory due to
    infinite recursion, but it does break a few tests that perform
    self-copies with differing transformations.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-source.c | 89 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 88 insertions(+), 1 deletion(-)

commit 080bcfcb1a8f1c17340529e51b0d9dfaa9a66fa7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 24 12:12:24 2012 +0000

    {mask,traps}-composite: Restore unsetting of the is-clear flags for the mask
    
    I forgot that creating any image by defaults results in pixman
    calloc'ing the pixel data and so cairo helpfully sets the is-clear flag
    on the surface.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mask-compositor.c  | 3 ++-
 src/cairo-traps-compositor.c | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit b079f18fade93472db83b4decf086e30711a86d3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 23 13:39:37 2012 +0000

    xlib: Handle window-to-window copies by avoiding the use of a clip region
    
    Rather than compress the copies into a clip + copy, iterate over and
    perform each copy separately so as to avoid the confusion for
    window-to-window copies and the solitary GC->pCompositeClip.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c | 96 +++++++++++++++++++++-----------------
 1 file changed, 54 insertions(+), 42 deletions(-)

commit cc09b29752e857e55879a7d773b8be1317eb2001
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 23 13:40:59 2012 +0000

    xlib: Tidy conversion of xrender format to cairo_content_t
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit d95cf87c03f2b4f2677450cae1d0be3aa15c0a97
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Wed Feb 22 23:50:21 2012 +0100

    boilerplate: Use any2ppm from ANY2PPM env variable
    
    If the environment variable ANY2PPM is set, use it as the path to the
    any2ppm program. Otherwise, default to "./any2ppm" as before.
    
    This makes it possible to set the ANY2PPM variable in the
    Makefile.win32 build system, which makes it possible to use the "test"
    target on the script backend.

 boilerplate/cairo-boilerplate.c | 11 +++++++++--
 test/Makefile.win32             |  2 +-
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 716a79bfcbc97401a9c43434783068b40da9a1f4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 21:33:43 2012 +0000

    xlib-xcb: Wrap cairo_xlib_device_debug_cap_xrender_version
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-xcb-surface.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 7e3c9631915b85acd915161cb2ba00cb24033e58
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 19:55:22 2012 +0000

    surface-wrapper: Transform the clip by the device-transform correctly
    
    Fixes paginated fallbacks.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface-wrapper.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit d6908135f4fc98496bc1e9a1d48a3ae95cc30594
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 19:54:12 2012 +0000

    image: Tidy reduction to EXTEND_NONE for replay surfaces
    
    As _cairo_surface_get_source() returns the limits of the source, a chunk
    of code to query the source extents became redundant.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-source.c | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit 58639857f9fbe99f4fca6ab2b1d13306ffbfe8d8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 17:42:16 2012 +0000

    script: Update mesh pattern for earlier change of csi operators
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-script-surface.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 1b1b1ecc6f4343295aad177d127c95af0a5e8611
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 15:57:36 2012 +0000

    traps-compositor: add a missing release()
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e5cb567f5d7c87faf09e240fc1649eebf0b1f0f6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 15:49:34 2012 +0000

    xlib: Trim the ximage to match the trimming of the intermediate
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1111cc50d3311fa47b0828e28085388ef746322a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 15:43:55 2012 +0000

    xlib: Make the core compositor actually paint
    
    It helps to actually set the fill colour when drawing...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-core-compositor.c | 49 ++++++++++++++++++++++++++++++++++++----
 1 file changed, 44 insertions(+), 5 deletions(-)

commit 5b107587e7f67f1b6829b3eb64f9238a65a16528
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 15:13:26 2012 +0000

    xlib: Correct the device-offset applied to the map-to-image result
    
    A typo, a typo surely, to use extents->y twice instead of the more
    normal x, y.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface.c      | 2 +-
 src/cairo-xlib-surface.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 85110d9ce1a5ffd1cf274cf4233538fb55949078
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 15:04:45 2012 +0000

    xlib: Trim the intermediate upload image to match the upload extents
    
    Rather than transform the whole image, just convert the region of
    interest.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 89fddc38ebc3cd6f02dd09cd071ef7ba0a94631d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 12:57:12 2012 +0000

    traps-compositor: Reduce a complex clip generation to an ADD operator
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 126 ++++++++++++++++++++++++++++++++++---------
 1 file changed, 100 insertions(+), 26 deletions(-)

commit 9e640c7ae2cc968cbf4607efdf7f7ab26e5c0bb8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 11:42:15 2012 +0000

    mask-compositor: Acquire the target surface when creating the composite mask
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mask-compositor.c  | 52 ++++++++++++++++++++++++++++++++------------
 src/cairo-traps-compositor.c | 39 +++++++++++++++++++++++----------
 2 files changed, 65 insertions(+), 26 deletions(-)

commit 605f23d15562d28138ade7f0717cbcf3d01147bf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 11:27:05 2012 +0000

    xlib: Hook up copy_boxes for the mask compositor
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c | 1 +
 1 file changed, 1 insertion(+)

commit 6ab1deb5c6377828877253a7ec0ca43d97ca4a99
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 11:03:54 2012 +0000

    boilerplate/xlib: Exercise the mask based compositor for xrender version 0.0
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate-xlib.c | 73 +++++++++++++++++++++++++++++++++++-
 1 file changed, 72 insertions(+), 1 deletion(-)

commit 08de30d8b5700040d3ff953bae8d801a4a05aff0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:51:30 2012 +0000

    test: Add a set of reference images for the mask-based compositor
    
    Serves as another reference for some xlib targets.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a1-bug.mask.argb32.ref.png              | Bin 0 -> 3735 bytes
 test/reference/a1-bug.mask.rgb24.ref.png               | Bin 0 -> 3735 bytes
 test/reference/a1-clip-fill-equal.mask.argb32.ref.png  | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill-equal.mask.rgb24.ref.png   | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill-rule.mask.argb32.ref.png   | Bin 0 -> 236 bytes
 test/reference/a1-clip-fill-rule.mask.rgb24.ref.png    | Bin 0 -> 218 bytes
 test/reference/a1-clip-fill.mask.argb32.ref.png        | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill.mask.rgb24.ref.png         | Bin 0 -> 120 bytes
 test/reference/a1-clip-paint.mask.argb32.ref.png       | Bin 0 -> 120 bytes
 test/reference/a1-clip-paint.mask.rgb24.ref.png        | Bin 0 -> 120 bytes
 test/reference/a1-clip-stroke.mask.argb32.ref.png      | Bin 0 -> 120 bytes
 test/reference/a1-clip-stroke.mask.rgb24.ref.png       | Bin 0 -> 120 bytes
 test/reference/a1-fill.base.argb32.ref.png             | Bin 0 -> 328 bytes
 test/reference/a1-fill.base.rgb24.ref.png              | Bin 0 -> 328 bytes
 test/reference/a1-fill.mask.argb32.ref.png             | Bin 0 -> 328 bytes
 test/reference/a1-fill.mask.rgb24.ref.png              | Bin 0 -> 328 bytes
 test/reference/a1-fill.traps.argb32.ref.png            | Bin 0 -> 328 bytes
 test/reference/a1-fill.traps.rgb24.ref.png             | Bin 0 -> 328 bytes
 test/reference/a1-image-sample.mask.argb32.ref.png     | Bin 0 -> 122 bytes
 test/reference/a1-image-sample.mask.rgb24.ref.png      | Bin 0 -> 122 bytes
 test/reference/a1-line-width.mask.argb32.ref.png       | Bin 0 -> 154 bytes
 test/reference/a1-line-width.mask.rgb24.ref.png        | Bin 0 -> 154 bytes
 test/reference/a1-mask-sample.mask.argb32.ref.png      | Bin 0 -> 122 bytes
 test/reference/a1-mask-sample.mask.rgb24.ref.png       | Bin 0 -> 122 bytes
 test/reference/a1-mask.mask.argb32.ref.png             | Bin 0 -> 106 bytes
 test/reference/a1-mask.mask.rgb24.ref.png              | Bin 0 -> 106 bytes
 .../a1-rasterisation-rectangles.mask.argb32.ref.png    | Bin 0 -> 1729 bytes
 .../a1-rasterisation-rectangles.mask.rgb24.ref.png     | Bin 0 -> 1729 bytes
 .../a1-rasterisation-triangles.mask.argb32.ref.png     | Bin 0 -> 1729 bytes
 .../a1-rasterisation-triangles.mask.rgb24.ref.png      | Bin 0 -> 1729 bytes
 test/reference/a1-rectilinear-grid.mask.argb32.ref.png | Bin 0 -> 207 bytes
 test/reference/a1-rectilinear-grid.mask.rgb24.ref.png  | Bin 0 -> 207 bytes
 test/reference/a1-sample.mask.argb32.ref.png           | Bin 0 -> 786 bytes
 test/reference/a1-sample.mask.rgb24.ref.png            | Bin 0 -> 786 bytes
 test/reference/a1-tiger.mask.argb32.ref.png            | Bin 0 -> 20328 bytes
 test/reference/a1-tiger.mask.rgb24.ref.png             | Bin 0 -> 20328 bytes
 test/reference/a1-traps-sample.mask.argb32.ref.png     | Bin 0 -> 120 bytes
 test/reference/a1-traps-sample.mask.rgb24.ref.png      | Bin 0 -> 120 bytes
 test/reference/a8-clear.mask.argb32.ref.png            | Bin 0 -> 271 bytes
 test/reference/a8-clear.mask.rgb24.ref.png             | Bin 0 -> 271 bytes
 test/reference/a8-mask.mask.argb32.ref.png             | Bin 0 -> 103 bytes
 test/reference/a8-mask.mask.rgb24.ref.png              | Bin 0 -> 103 bytes
 test/reference/aliasing.mask.argb32.ref.png            | Bin 0 -> 104324 bytes
 test/reference/aliasing.mask.rgb24.ref.png             | Bin 0 -> 104324 bytes
 test/reference/alpha-similar.mask.argb32.ref.png       | Bin 0 -> 99 bytes
 test/reference/alpha-similar.mask.rgb24.ref.png        | Bin 0 -> 88 bytes
 test/reference/api-special-cases.mask.argb32.ref.png   | Bin 0 -> 95 bytes
 test/reference/api-special-cases.mask.rgb24.ref.png    | Bin 0 -> 95 bytes
 test/reference/arc-direction.base.argb32.ref.png       | Bin 0 -> 5864 bytes
 test/reference/arc-direction.base.rgb24.ref.png        | Bin 0 -> 5864 bytes
 test/reference/arc-direction.mask.argb32.ref.png       | Bin 0 -> 6380 bytes
 test/reference/arc-direction.mask.rgb24.ref.png        | Bin 0 -> 6380 bytes
 test/reference/arc-direction.traps.argb32.ref.png      | Bin 0 -> 6380 bytes
 test/reference/arc-direction.traps.rgb24.ref.png       | Bin 0 -> 6380 bytes
 test/reference/arc-infinite-loop.mask.argb32.ref.png   | Bin 0 -> 96 bytes
 test/reference/arc-infinite-loop.mask.rgb24.ref.png    | Bin 0 -> 96 bytes
 test/reference/arc-looping-dash.mask.argb32.ref.png    | Bin 0 -> 464 bytes
 test/reference/arc-looping-dash.mask.rgb24.ref.png     | Bin 0 -> 464 bytes
 test/reference/big-empty-triangle.mask.argb32.ref.png  | Bin 0 -> 111 bytes
 test/reference/big-empty-triangle.mask.rgb24.ref.png   | Bin 0 -> 108 bytes
 test/reference/big-line.mask.argb32.ref.png            | Bin 0 -> 977 bytes
 test/reference/big-line.mask.rgb24.ref.png             | Bin 0 -> 977 bytes
 test/reference/big-little-box.mask.argb32.ref.png      | Bin 0 -> 169 bytes
 test/reference/big-little-box.mask.rgb24.ref.png       | Bin 0 -> 160 bytes
 test/reference/big-little-triangle.mask.argb32.ref.png | Bin 0 -> 409 bytes
 test/reference/big-little-triangle.mask.rgb24.ref.png  | Bin 0 -> 328 bytes
 test/reference/big-trap.mask.argb32.ref.png            | Bin 0 -> 319 bytes
 test/reference/big-trap.mask.rgb24.ref.png             | Bin 0 -> 319 bytes
 test/reference/bilevel-image.mask.argb32.ref.png       | Bin 0 -> 105 bytes
 test/reference/bilevel-image.mask.rgb24.ref.png        | Bin 0 -> 105 bytes
 test/reference/bitmap-font.mask.argb32.ref.png         | Bin 0 -> 931 bytes
 test/reference/bitmap-font.mask.rgb24.ref.png          | Bin 0 -> 871 bytes
 test/reference/bug-40410.mask.argb32.ref.png           | Bin 0 -> 429 bytes
 test/reference/bug-40410.mask.rgb24.ref.png            | Bin 0 -> 429 bytes
 test/reference/bug-bo-rectangular.mask.argb32.ref.png  | Bin 0 -> 950 bytes
 test/reference/bug-bo-rectangular.mask.rgb24.ref.png   | Bin 0 -> 950 bytes
 test/reference/bug-bo-ricotz.base.argb32.ref.png       | Bin 0 -> 2125 bytes
 test/reference/bug-bo-ricotz.base.rgb24.ref.png        | Bin 0 -> 2125 bytes
 test/reference/bug-bo-ricotz.mask.argb32.ref.png       | Bin 0 -> 2128 bytes
 test/reference/bug-bo-ricotz.mask.rgb24.ref.png        | Bin 0 -> 2128 bytes
 test/reference/bug-bo-ricotz.traps.argb32.ref.png      | Bin 0 -> 2128 bytes
 test/reference/bug-bo-ricotz.traps.rgb24.ref.png       | Bin 0 -> 2128 bytes
 test/reference/bug-extents.mask.argb32.ref.png         | Bin 0 -> 9251 bytes
 test/reference/bug-extents.mask.rgb24.ref.png          | Bin 0 -> 9251 bytes
 test/reference/bug-seams.mask.argb32.ref.png           | Bin 0 -> 1647 bytes
 test/reference/bug-seams.mask.rgb24.ref.png            | Bin 0 -> 1647 bytes
 test/reference/caps-joins-alpha.mask.argb32.ref.png    | Bin 0 -> 2662 bytes
 test/reference/caps-joins-alpha.mask.rgb24.ref.png     | Bin 0 -> 2662 bytes
 test/reference/caps-joins-curve.mask.argb32.ref.png    | Bin 0 -> 6217 bytes
 test/reference/caps-joins-curve.mask.rgb24.ref.png     | Bin 0 -> 6217 bytes
 test/reference/caps-joins.mask.argb32.ref.png          | Bin 0 -> 2893 bytes
 test/reference/caps-joins.mask.rgb24.ref.png           | Bin 0 -> 2893 bytes
 test/reference/caps-sub-paths.mask.argb32.ref.png      | Bin 0 -> 168 bytes
 test/reference/caps-sub-paths.mask.rgb24.ref.png       | Bin 0 -> 168 bytes
 test/reference/caps-tails-curve.mask.argb32.ref.png    | Bin 0 -> 53311 bytes
 test/reference/caps-tails-curve.mask.rgb24.ref.png     | Bin 0 -> 53311 bytes
 test/reference/caps.mask.argb32.ref.png                | Bin 0 -> 2115 bytes
 test/reference/caps.mask.rgb24.ref.png                 | Bin 0 -> 2115 bytes
 test/reference/checkerboard.mask.argb32.ref.png        | Bin 0 -> 142 bytes
 test/reference/checkerboard.mask.rgb24.ref.png         | Bin 0 -> 142 bytes
 test/reference/clear-source.mask.argb32.ref.png        | Bin 0 -> 882 bytes
 test/reference/clear-source.mask.rgb24.ref.png         | Bin 0 -> 882 bytes
 test/reference/clear.mask.argb32.ref.png               | Bin 0 -> 692 bytes
 test/reference/clear.mask.rgb24.ref.png                | Bin 0 -> 617 bytes
 test/reference/clip-all.mask.argb32.ref.png            | Bin 0 -> 95 bytes
 test/reference/clip-all.mask.rgb24.ref.png             | Bin 0 -> 95 bytes
 .../clip-complex-shape-eo-aa.mask.argb32.ref.png       | Bin 0 -> 325 bytes
 .../clip-complex-shape-eo-aa.mask.rgb24.ref.png        | Bin 0 -> 325 bytes
 .../clip-complex-shape-eo-mono.mask.argb32.ref.png     | Bin 0 -> 325 bytes
 .../clip-complex-shape-eo-mono.mask.rgb24.ref.png      | Bin 0 -> 325 bytes
 test/reference/clip-contexts.mask.argb32.ref.png       | Bin 0 -> 98 bytes
 test/reference/clip-contexts.mask.rgb24.ref.png        | Bin 0 -> 98 bytes
 test/reference/clip-device-offset.mask.argb32.ref.png  | Bin 0 -> 175 bytes
 test/reference/clip-device-offset.mask.rgb24.ref.png   | Bin 0 -> 168 bytes
 .../clip-disjoint-hatching.mask.argb32.ref.png         | Bin 0 -> 8789 bytes
 .../clip-disjoint-hatching.mask.rgb24.ref.png          | Bin 0 -> 8789 bytes
 test/reference/clip-disjoint.mask.argb32.ref.png       | Bin 0 -> 5399 bytes
 test/reference/clip-disjoint.mask.rgb24.ref.png        | Bin 0 -> 5399 bytes
 test/reference/clip-empty-group.mask.argb32.ref.png    | Bin 0 -> 103 bytes
 test/reference/clip-empty-group.mask.rgb24.ref.png     | Bin 0 -> 103 bytes
 test/reference/clip-empty-save.mask.argb32.ref.png     | Bin 0 -> 95 bytes
 test/reference/clip-empty-save.mask.rgb24.ref.png      | Bin 0 -> 95 bytes
 test/reference/clip-empty.mask.argb32.ref.png          | Bin 0 -> 95 bytes
 test/reference/clip-empty.mask.rgb24.ref.png           | Bin 0 -> 95 bytes
 .../clip-fill-eo-unbounded.mask.argb32.ref.png         | Bin 0 -> 3769 bytes
 .../clip-fill-eo-unbounded.mask.rgb24.ref.png          | Bin 0 -> 3211 bytes
 test/reference/clip-fill-no-op.mask.argb32.ref.png     | Bin 0 -> 152 bytes
 test/reference/clip-fill-no-op.mask.rgb24.ref.png      | Bin 0 -> 152 bytes
 .../clip-fill-nz-unbounded.mask.argb32.ref.png         | Bin 0 -> 3764 bytes
 .../clip-fill-nz-unbounded.mask.rgb24.ref.png          | Bin 0 -> 3215 bytes
 .../clip-fill-rule-pixel-aligned.mask.argb32.ref.png   | Bin 0 -> 176 bytes
 .../clip-fill-rule-pixel-aligned.mask.rgb24.ref.png    | Bin 0 -> 165 bytes
 test/reference/clip-fill-rule.mask.argb32.ref.png      | Bin 0 -> 437 bytes
 test/reference/clip-fill-rule.mask.rgb24.ref.png       | Bin 0 -> 393 bytes
 test/reference/clip-fill.mask.argb32.ref.png           | Bin 0 -> 1039 bytes
 test/reference/clip-fill.mask.rgb24.ref.png            | Bin 0 -> 1039 bytes
 ...group-shapes-aligned-rectangles.mask.argb32.ref.png | Bin 0 -> 378 bytes
 ...-group-shapes-aligned-rectangles.mask.rgb24.ref.png | Bin 0 -> 378 bytes
 .../clip-group-shapes-circles.mask.argb32.ref.png      | Bin 0 -> 1511 bytes
 .../clip-group-shapes-circles.mask.rgb24.ref.png       | Bin 0 -> 1511 bytes
 ...oup-shapes-unaligned-rectangles.mask.argb32.ref.png | Bin 0 -> 431 bytes
 ...roup-shapes-unaligned-rectangles.mask.rgb24.ref.png | Bin 0 -> 431 bytes
 test/reference/clip-image.mask.argb32.ref.png          | Bin 0 -> 2678 bytes
 test/reference/clip-image.mask.rgb24.ref.png           | Bin 0 -> 2678 bytes
 test/reference/clip-intersect.mask.argb32.ref.png      | Bin 0 -> 200 bytes
 test/reference/clip-intersect.mask.rgb24.ref.png       | Bin 0 -> 200 bytes
 .../reference/clip-mixed-antialias.mask.argb32.ref.png | Bin 0 -> 1084 bytes
 test/reference/clip-mixed-antialias.mask.rgb24.ref.png | Bin 0 -> 1084 bytes
 test/reference/clip-nesting.mask.argb32.ref.png        | Bin 0 -> 1044 bytes
 test/reference/clip-nesting.mask.rgb24.ref.png         | Bin 0 -> 937 bytes
 test/reference/clip-operator.mask.argb32.ref.png       | Bin 0 -> 8680 bytes
 test/reference/clip-operator.mask.rgb24.ref.png        | Bin 0 -> 3519 bytes
 test/reference/clip-polygons.base.argb32.ref.png       | Bin 0 -> 1296 bytes
 test/reference/clip-polygons.base.rgb24.ref.png        | Bin 0 -> 1296 bytes
 test/reference/clip-polygons.mask.argb32.ref.png       | Bin 0 -> 1336 bytes
 test/reference/clip-polygons.mask.rgb24.ref.png        | Bin 0 -> 1336 bytes
 test/reference/clip-polygons.traps.argb32.ref.png      | Bin 0 -> 1336 bytes
 test/reference/clip-polygons.traps.rgb24.ref.png       | Bin 0 -> 1336 bytes
 test/reference/clip-push-group.mask.argb32.ref.png     | Bin 0 -> 164 bytes
 test/reference/clip-push-group.mask.rgb24.ref.png      | Bin 0 -> 164 bytes
 test/reference/clip-rectilinear.base.argb32.ref.png    | Bin 0 -> 440 bytes
 test/reference/clip-rectilinear.base.rgb24.ref.png     | Bin 0 -> 440 bytes
 test/reference/clip-rectilinear.mask.argb32.ref.png    | Bin 0 -> 440 bytes
 test/reference/clip-rectilinear.mask.rgb24.ref.png     | Bin 0 -> 440 bytes
 test/reference/clip-rectilinear.traps.argb32.ref.png   | Bin 0 -> 440 bytes
 test/reference/clip-rectilinear.traps.rgb24.ref.png    | Bin 0 -> 440 bytes
 ...clip-rotate-image-surface-paint.mask.argb32.ref.png | Bin 0 -> 202 bytes
 .../clip-rotate-image-surface-paint.mask.rgb24.ref.png | Bin 0 -> 202 bytes
 test/reference/clip-shape.mask.argb32.ref.png          | Bin 0 -> 3094 bytes
 test/reference/clip-shape.mask.rgb24.ref.png           | Bin 0 -> 3094 bytes
 test/reference/clip-stroke-no-op.mask.argb32.ref.png   | Bin 0 -> 152 bytes
 test/reference/clip-stroke-no-op.mask.rgb24.ref.png    | Bin 0 -> 152 bytes
 .../clip-stroke-unbounded.mask.argb32.ref.png          | Bin 0 -> 3991 bytes
 .../reference/clip-stroke-unbounded.mask.rgb24.ref.png | Bin 0 -> 3372 bytes
 test/reference/clip-stroke.mask.argb32.ref.png         | Bin 0 -> 1500 bytes
 test/reference/clip-stroke.mask.rgb24.ref.png          | Bin 0 -> 1500 bytes
 test/reference/clip-text.mask.argb32.ref.png           | Bin 0 -> 918 bytes
 test/reference/clip-text.mask.rgb24.ref.png            | Bin 0 -> 918 bytes
 .../reference/clip-twice-rectangle.mask.argb32.ref.png | Bin 0 -> 323 bytes
 test/reference/clip-twice-rectangle.mask.rgb24.ref.png | Bin 0 -> 323 bytes
 test/reference/clip-twice.mask.argb32.ref.png          | Bin 0 -> 1306 bytes
 test/reference/clip-twice.mask.rgb24.ref.png           | Bin 0 -> 1215 bytes
 test/reference/clip-unbounded.mask.argb32.ref.png      | Bin 0 -> 100 bytes
 test/reference/clip-unbounded.mask.rgb24.ref.png       | Bin 0 -> 97 bytes
 test/reference/clipped-group.mask.argb32.ref.png       | Bin 0 -> 336 bytes
 test/reference/clipped-group.mask.rgb24.ref.png        | Bin 0 -> 336 bytes
 test/reference/clipped-surface.mask.argb32.ref.png     | Bin 0 -> 345 bytes
 test/reference/clipped-surface.mask.rgb24.ref.png      | Bin 0 -> 345 bytes
 .../close-path-current-point.mask.argb32.ref.png       | Bin 0 -> 2324 bytes
 .../close-path-current-point.mask.rgb24.ref.png        | Bin 0 -> 2324 bytes
 test/reference/close-path.mask.argb32.ref.png          | Bin 0 -> 294 bytes
 test/reference/close-path.mask.rgb24.ref.png           | Bin 0 -> 294 bytes
 ...e-integer-translate-over-repeat.mask.argb32.ref.png | Bin 0 -> 334 bytes
 ...te-integer-translate-over-repeat.mask.rgb24.ref.png | Bin 0 -> 334 bytes
 ...omposite-integer-translate-over.mask.argb32.ref.png | Bin 0 -> 13998 bytes
 ...composite-integer-translate-over.mask.rgb24.ref.png | Bin 0 -> 13998 bytes
 ...posite-integer-translate-source.mask.argb32.ref.png | Bin 0 -> 13998 bytes
 ...mposite-integer-translate-source.mask.rgb24.ref.png | Bin 0 -> 13998 bytes
 test/reference/copy-disjoint.base.argb32.ref.png       | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.base.rgb24.ref.png        | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.mask.argb32.ref.png       | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.mask.rgb24.ref.png        | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.traps.argb32.ref.png      | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.traps.rgb24.ref.png       | Bin 0 -> 1098 bytes
 test/reference/copy-path.mask.argb32.ref.png           | Bin 0 -> 616 bytes
 test/reference/copy-path.mask.rgb24.ref.png            | Bin 0 -> 616 bytes
 .../create-from-png-stream.mask.argb32.ref.png         | Bin 0 -> 96 bytes
 .../create-from-png-stream.mask.rgb24.ref.png          | Bin 0 -> 96 bytes
 test/reference/create-from-png.mask.argb32.ref.png     | Bin 0 -> 96 bytes
 test/reference/create-from-png.mask.rgb24.ref.png      | Bin 0 -> 96 bytes
 test/reference/create-from-png.traps.argb32.ref.png    | Bin 0 -> 96 bytes
 test/reference/create-from-png.traps.rgb24.ref.png     | Bin 0 -> 96 bytes
 test/reference/culled-glyphs.mask.argb32.ref.png       | Bin 0 -> 440 bytes
 test/reference/culled-glyphs.mask.rgb24.ref.png        | Bin 0 -> 440 bytes
 test/reference/curve-to-as-line-to.mask.argb32.ref.png | Bin 0 -> 109 bytes
 test/reference/curve-to-as-line-to.mask.rgb24.ref.png  | Bin 0 -> 109 bytes
 test/reference/dash-caps-joins.mask.argb32.ref.png     | Bin 0 -> 5157 bytes
 test/reference/dash-caps-joins.mask.rgb24.ref.png      | Bin 0 -> 5157 bytes
 test/reference/dash-curve.mask.argb32.ref.png          | Bin 0 -> 41040 bytes
 test/reference/dash-curve.mask.rgb24.ref.png           | Bin 0 -> 41040 bytes
 test/reference/dash-infinite-loop.mask.argb32.ref.png  | Bin 0 -> 877 bytes
 test/reference/dash-infinite-loop.mask.rgb24.ref.png   | Bin 0 -> 877 bytes
 test/reference/dash-no-dash.mask.argb32.ref.png        | Bin 0 -> 119 bytes
 test/reference/dash-no-dash.mask.rgb24.ref.png         | Bin 0 -> 119 bytes
 .../reference/dash-offset-negative.mask.argb32.ref.png | Bin 0 -> 129 bytes
 test/reference/dash-offset-negative.mask.rgb24.ref.png | Bin 0 -> 129 bytes
 test/reference/dash-offset.mask.argb32.ref.png         | Bin 0 -> 794 bytes
 test/reference/dash-offset.mask.rgb24.ref.png          | Bin 0 -> 794 bytes
 test/reference/dash-scale.mask.argb32.ref.png          | Bin 0 -> 8913 bytes
 test/reference/dash-scale.mask.rgb24.ref.png           | Bin 0 -> 8913 bytes
 test/reference/dash-state.mask.argb32.ref.png          | Bin 0 -> 8027 bytes
 test/reference/dash-state.mask.rgb24.ref.png           | Bin 0 -> 8027 bytes
 test/reference/dash-zero-length.mask.argb32.ref.png    | Bin 0 -> 230 bytes
 test/reference/dash-zero-length.mask.rgb24.ref.png     | Bin 0 -> 210 bytes
 test/reference/degenerate-arc.mask.argb32.ref.png      | Bin 0 -> 653 bytes
 test/reference/degenerate-arc.mask.rgb24.ref.png       | Bin 0 -> 653 bytes
 test/reference/degenerate-arcs.mask.argb32.ref.png     | Bin 0 -> 120 bytes
 test/reference/degenerate-arcs.mask.rgb24.ref.png      | Bin 0 -> 120 bytes
 test/reference/degenerate-curve-to.mask.argb32.ref.png | Bin 0 -> 280 bytes
 test/reference/degenerate-curve-to.mask.rgb24.ref.png  | Bin 0 -> 280 bytes
 test/reference/degenerate-dash.mask.argb32.ref.png     | Bin 0 -> 2086 bytes
 test/reference/degenerate-dash.mask.rgb24.ref.png      | Bin 0 -> 2086 bytes
 .../degenerate-linear-gradient.mask.argb32.ref.png     | Bin 0 -> 336 bytes
 .../degenerate-linear-gradient.mask.rgb24.ref.png      | Bin 0 -> 336 bytes
 test/reference/degenerate-path.mask.argb32.ref.png     | Bin 0 -> 250 bytes
 test/reference/degenerate-path.mask.rgb24.ref.png      | Bin 0 -> 219 bytes
 test/reference/degenerate-pen.mask.argb32.ref.png      | Bin 0 -> 1019 bytes
 test/reference/degenerate-pen.mask.rgb24.ref.png       | Bin 0 -> 1019 bytes
 .../degenerate-radial-gradient.mask.argb32.ref.png     | Bin 0 -> 428 bytes
 .../degenerate-radial-gradient.mask.rgb24.ref.png      | Bin 0 -> 428 bytes
 .../degenerate-rel-curve-to.mask.argb32.ref.png        | Bin 0 -> 277 bytes
 .../degenerate-rel-curve-to.mask.rgb24.ref.png         | Bin 0 -> 277 bytes
 .../device-offset-fractional.mask.argb32.ref.png       | Bin 0 -> 266 bytes
 .../device-offset-fractional.mask.rgb24.ref.png        | Bin 0 -> 266 bytes
 .../device-offset-positive.mask.argb32.ref.png         | Bin 0 -> 120 bytes
 .../device-offset-positive.mask.rgb24.ref.png          | Bin 0 -> 111 bytes
 test/reference/device-offset-scale.mask.argb32.ref.png | Bin 0 -> 109 bytes
 test/reference/device-offset-scale.mask.rgb24.ref.png  | Bin 0 -> 109 bytes
 test/reference/device-offset.mask.argb32.ref.png       | Bin 0 -> 118 bytes
 test/reference/device-offset.mask.rgb24.ref.png        | Bin 0 -> 111 bytes
 test/reference/drunkard-tails.mask.argb32.ref.png      | Bin 0 -> 6116 bytes
 test/reference/drunkard-tails.mask.rgb24.ref.png       | Bin 0 -> 6116 bytes
 test/reference/extend-pad-border.mask.argb32.ref.png   | Bin 0 -> 495 bytes
 test/reference/extend-pad-border.mask.rgb24.ref.png    | Bin 0 -> 495 bytes
 test/reference/extend-pad-similar.mask.argb32.ref.png  | Bin 0 -> 279 bytes
 test/reference/extend-pad-similar.mask.rgb24.ref.png   | Bin 0 -> 279 bytes
 test/reference/extend-pad.mask.argb32.ref.png          | Bin 0 -> 279 bytes
 test/reference/extend-pad.mask.rgb24.ref.png           | Bin 0 -> 279 bytes
 .../extend-reflect-similar.mask.argb32.ref.png         | Bin 0 -> 133406 bytes
 .../extend-reflect-similar.mask.rgb24.ref.png          | Bin 0 -> 133406 bytes
 test/reference/extend-reflect.mask.argb32.ref.png      | Bin 0 -> 133406 bytes
 test/reference/extend-reflect.mask.rgb24.ref.png       | Bin 0 -> 133406 bytes
 .../extend-repeat-similar.mask.argb32.ref.png          | Bin 0 -> 108603 bytes
 .../reference/extend-repeat-similar.mask.rgb24.ref.png | Bin 0 -> 108603 bytes
 test/reference/extend-repeat.mask.argb32.ref.png       | Bin 0 -> 108603 bytes
 test/reference/extend-repeat.mask.rgb24.ref.png        | Bin 0 -> 108603 bytes
 .../extended-blend-alpha-mask.mask.argb32.ref.png      | Bin 0 -> 9221 bytes
 .../extended-blend-alpha-mask.mask.rgb24.ref.png       | Bin 0 -> 4597 bytes
 .../reference/extended-blend-alpha.mask.argb32.ref.png | Bin 0 -> 9406 bytes
 test/reference/extended-blend-alpha.mask.rgb24.ref.png | Bin 0 -> 5740 bytes
 test/reference/extended-blend-mask.mask.argb32.ref.png | Bin 0 -> 3971 bytes
 test/reference/extended-blend-mask.mask.rgb24.ref.png  | Bin 0 -> 3643 bytes
 .../extended-blend-solid-alpha.mask.argb32.ref.png     | Bin 0 -> 9406 bytes
 .../extended-blend-solid-alpha.mask.rgb24.ref.png      | Bin 0 -> 5740 bytes
 .../reference/extended-blend-solid.mask.argb32.ref.png | Bin 0 -> 4063 bytes
 test/reference/extended-blend-solid.mask.rgb24.ref.png | Bin 0 -> 3775 bytes
 test/reference/extended-blend.mask.argb32.ref.png      | Bin 0 -> 4063 bytes
 test/reference/extended-blend.mask.rgb24.ref.png       | Bin 0 -> 3775 bytes
 test/reference/fallback.base.argb32.ref.png            | Bin 0 -> 4156 bytes
 test/reference/fallback.base.rgb24.ref.png             | Bin 0 -> 3332 bytes
 test/reference/fallback.mask.argb32.ref.png            | Bin 0 -> 4070 bytes
 test/reference/fallback.mask.rgb24.ref.png             | Bin 0 -> 3141 bytes
 test/reference/fallback.traps.argb32.ref.png           | Bin 0 -> 4070 bytes
 test/reference/fallback.traps.rgb24.ref.png            | Bin 0 -> 3141 bytes
 test/reference/fill-alpha-pattern.mask.argb32.ref.png  | Bin 0 -> 3381 bytes
 test/reference/fill-alpha-pattern.mask.rgb24.ref.png   | Bin 0 -> 3381 bytes
 test/reference/fill-alpha.mask.argb32.ref.png          | Bin 0 -> 2736 bytes
 test/reference/fill-alpha.mask.rgb24.ref.png           | Bin 0 -> 2736 bytes
 .../fill-and-stroke-alpha-add.mask.argb32.ref.png      | Bin 0 -> 556 bytes
 .../fill-and-stroke-alpha-add.mask.rgb24.ref.png       | Bin 0 -> 556 bytes
 .../fill-and-stroke-alpha.mask.argb32.ref.png          | Bin 0 -> 508 bytes
 .../reference/fill-and-stroke-alpha.mask.rgb24.ref.png | Bin 0 -> 508 bytes
 test/reference/fill-and-stroke.mask.argb32.ref.png     | Bin 0 -> 312 bytes
 test/reference/fill-and-stroke.mask.rgb24.ref.png      | Bin 0 -> 283 bytes
 .../fill-degenerate-sort-order.mask.argb32.ref.png     | Bin 0 -> 2400 bytes
 .../fill-degenerate-sort-order.mask.rgb24.ref.png      | Bin 0 -> 2049 bytes
 test/reference/fill-disjoint.base.argb32.ref.png       | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.base.rgb24.ref.png        | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.mask.argb32.ref.png       | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.mask.rgb24.ref.png        | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.traps.argb32.ref.png      | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.traps.rgb24.ref.png       | Bin 0 -> 1098 bytes
 test/reference/fill-empty.mask.argb32.ref.png          | Bin 0 -> 99 bytes
 test/reference/fill-empty.mask.rgb24.ref.png           | Bin 0 -> 97 bytes
 test/reference/fill-image.mask.argb32.ref.png          | Bin 0 -> 1315 bytes
 test/reference/fill-image.mask.rgb24.ref.png           | Bin 0 -> 1315 bytes
 test/reference/fill-missed-stop.mask.argb32.ref.png    | Bin 0 -> 455 bytes
 test/reference/fill-missed-stop.mask.rgb24.ref.png     | Bin 0 -> 382 bytes
 test/reference/fill-rule.mask.argb32.ref.png           | Bin 0 -> 2065 bytes
 test/reference/fill-rule.mask.rgb24.ref.png            | Bin 0 -> 1803 bytes
 .../filter-bilinear-extents.mask.argb32.ref.png        | Bin 0 -> 1210 bytes
 .../filter-bilinear-extents.mask.rgb24.ref.png         | Bin 0 -> 1210 bytes
 .../filter-nearest-offset.mask.argb32.ref.png          | Bin 0 -> 201 bytes
 .../reference/filter-nearest-offset.mask.rgb24.ref.png | Bin 0 -> 201 bytes
 .../filter-nearest-transformed.mask.argb32.ref.png     | Bin 0 -> 514 bytes
 .../filter-nearest-transformed.mask.rgb24.ref.png      | Bin 0 -> 514 bytes
 .../finer-grained-fallbacks.mask.argb32.ref.png        | Bin 0 -> 1167 bytes
 .../finer-grained-fallbacks.mask.rgb24.ref.png         | Bin 0 -> 891 bytes
 .../font-matrix-translation.mask.argb32.ref.png        | Bin 0 -> 865 bytes
 .../font-matrix-translation.mask.rgb24.ref.png         | Bin 0 -> 865 bytes
 .../font-matrix-translation.traps.argb32.ref.png       | Bin 0 -> 865 bytes
 .../font-matrix-translation.traps.rgb24.ref.png        | Bin 0 -> 865 bytes
 .../ft-show-glyphs-positioning.mask.argb32.ref.png     | Bin 0 -> 3243 bytes
 .../ft-show-glyphs-positioning.mask.rgb24.ref.png      | Bin 0 -> 3243 bytes
 .../ft-show-glyphs-positioning.traps.argb32.ref.png    | Bin 0 -> 3243 bytes
 .../ft-show-glyphs-positioning.traps.rgb24.ref.png     | Bin 0 -> 3243 bytes
 .../reference/ft-show-glyphs-table.mask.argb32.ref.png | Bin 0 -> 9975 bytes
 test/reference/ft-show-glyphs-table.mask.rgb24.ref.png | Bin 0 -> 9975 bytes
 .../ft-show-glyphs-table.traps.argb32.ref.png          | Bin 0 -> 9975 bytes
 .../reference/ft-show-glyphs-table.traps.rgb24.ref.png | Bin 0 -> 9975 bytes
 .../ft-text-antialias-none.mask.argb32.ref.png         | Bin 0 -> 295 bytes
 .../ft-text-antialias-none.mask.rgb24.ref.png          | Bin 0 -> 295 bytes
 .../ft-text-vertical-layout-type1.mask.argb32.ref.png  | Bin 0 -> 3062 bytes
 .../ft-text-vertical-layout-type1.mask.rgb24.ref.png   | Bin 0 -> 3062 bytes
 .../ft-text-vertical-layout-type3.mask.argb32.ref.png  | Bin 0 -> 3610 bytes
 .../ft-text-vertical-layout-type3.mask.rgb24.ref.png   | Bin 0 -> 3610 bytes
 test/reference/get-group-target.mask.argb32.ref.png    | Bin 0 -> 113 bytes
 test/reference/get-group-target.mask.rgb24.ref.png     | Bin 0 -> 113 bytes
 test/reference/gl-surface-source.base.argb32.ref.png   | Bin 0 -> 377 bytes
 test/reference/gl-surface-source.base.rgb24.ref.png    | Bin 0 -> 301 bytes
 test/reference/gl-surface-source.mask.argb32.ref.png   | Bin 0 -> 377 bytes
 test/reference/gl-surface-source.mask.rgb24.ref.png    | Bin 0 -> 301 bytes
 test/reference/gl-surface-source.traps.argb32.ref.png  | Bin 0 -> 377 bytes
 test/reference/gl-surface-source.traps.rgb24.ref.png   | Bin 0 -> 301 bytes
 .../reference/glyph-cache-pressure.mask.argb32.ref.png | Bin 0 -> 2858 bytes
 test/reference/glyph-cache-pressure.mask.rgb24.ref.png | Bin 0 -> 2858 bytes
 .../glyph-cache-pressure.traps.argb32.ref.png          | Bin 0 -> 2858 bytes
 .../reference/glyph-cache-pressure.traps.rgb24.ref.png | Bin 0 -> 2858 bytes
 test/reference/gradient-alpha.mask.argb32.ref.png      | Bin 0 -> 125 bytes
 test/reference/gradient-alpha.mask.rgb24.ref.png       | Bin 0 -> 119 bytes
 .../gradient-constant-alpha.mask.argb32.ref.png        | Bin 0 -> 111 bytes
 .../gradient-constant-alpha.mask.rgb24.ref.png         | Bin 0 -> 106 bytes
 .../gradient-zero-stops-mask.mask.argb32.ref.png       | Bin 0 -> 86 bytes
 .../gradient-zero-stops-mask.mask.rgb24.ref.png        | Bin 0 -> 86 bytes
 test/reference/gradient-zero-stops.mask.argb32.ref.png | Bin 0 -> 86 bytes
 test/reference/gradient-zero-stops.mask.rgb24.ref.png  | Bin 0 -> 86 bytes
 test/reference/group-clip.mask.argb32.ref.png          | Bin 0 -> 191 bytes
 test/reference/group-clip.mask.rgb24.ref.png           | Bin 0 -> 191 bytes
 test/reference/group-paint.mask.argb32.ref.png         | Bin 0 -> 95 bytes
 test/reference/group-paint.mask.rgb24.ref.png          | Bin 0 -> 95 bytes
 test/reference/group-unaligned.mask.argb32.ref.png     | Bin 0 -> 427 bytes
 test/reference/group-unaligned.mask.rgb24.ref.png      | Bin 0 -> 427 bytes
 test/reference/halo-transform.mask.argb32.ref.png      | Bin 0 -> 15063 bytes
 test/reference/halo-transform.mask.rgb24.ref.png       | Bin 0 -> 15063 bytes
 test/reference/halo-transform.traps.argb32.ref.png     | Bin 0 -> 15063 bytes
 test/reference/halo-transform.traps.rgb24.ref.png      | Bin 0 -> 15063 bytes
 test/reference/halo.mask.argb32.ref.png                | Bin 0 -> 8726 bytes
 test/reference/halo.mask.rgb24.ref.png                 | Bin 0 -> 8726 bytes
 test/reference/halo.traps.argb32.ref.png               | Bin 0 -> 8726 bytes
 test/reference/halo.traps.rgb24.ref.png                | Bin 0 -> 8726 bytes
 test/reference/hatchings.mask.argb32.ref.png           | Bin 0 -> 94631 bytes
 test/reference/hatchings.mask.rgb24.ref.png            | Bin 0 -> 94631 bytes
 test/reference/horizontal-clip.mask.argb32.ref.png     | Bin 0 -> 113 bytes
 test/reference/horizontal-clip.mask.rgb24.ref.png      | Bin 0 -> 113 bytes
 test/reference/huge-linear.mask.argb32.ref.png         | Bin 0 -> 1600 bytes
 test/reference/huge-linear.mask.rgb24.ref.png          | Bin 0 -> 1600 bytes
 test/reference/huge-radial.mask.argb32.ref.png         | Bin 0 -> 41702 bytes
 test/reference/huge-radial.mask.rgb24.ref.png          | Bin 0 -> 41702 bytes
 .../image-bug-710072-aligned.mask.argb32.ref.png       | Bin 0 -> 151 bytes
 .../image-bug-710072-aligned.mask.rgb24.ref.png        | Bin 0 -> 151 bytes
 .../image-bug-710072-unaligned.mask.argb32.ref.png     | Bin 0 -> 212 bytes
 .../image-bug-710072-unaligned.mask.rgb24.ref.png      | Bin 0 -> 212 bytes
 .../reference/image-surface-source.mask.argb32.ref.png | Bin 0 -> 377 bytes
 test/reference/image-surface-source.mask.rgb24.ref.png | Bin 0 -> 301 bytes
 test/reference/implicit-close.mask.argb32.ref.png      | Bin 0 -> 251 bytes
 test/reference/implicit-close.mask.rgb24.ref.png       | Bin 0 -> 251 bytes
 test/reference/infinite-join.mask.argb32.ref.png       | Bin 0 -> 164 bytes
 test/reference/infinite-join.mask.rgb24.ref.png        | Bin 0 -> 164 bytes
 test/reference/inverse-text.base.argb32.ref.png        | Bin 0 -> 2162 bytes
 test/reference/inverse-text.base.rgb24.ref.png         | Bin 0 -> 2162 bytes
 test/reference/inverse-text.mask.argb32.ref.png        | Bin 0 -> 2162 bytes
 test/reference/inverse-text.mask.rgb24.ref.png         | Bin 0 -> 2162 bytes
 test/reference/inverse-text.traps.argb32.ref.png       | Bin 0 -> 2162 bytes
 test/reference/inverse-text.traps.rgb24.ref.png        | Bin 0 -> 2162 bytes
 test/reference/joins-loop.mask.argb32.ref.png          | Bin 0 -> 4492 bytes
 test/reference/joins-loop.mask.rgb24.ref.png           | Bin 0 -> 4492 bytes
 test/reference/joins-retrace.mask.argb32.ref.png       | Bin 0 -> 4997 bytes
 test/reference/joins-retrace.mask.rgb24.ref.png        | Bin 0 -> 4997 bytes
 test/reference/joins-star.mask.argb32.ref.png          | Bin 0 -> 4914 bytes
 test/reference/joins-star.mask.rgb24.ref.png           | Bin 0 -> 4914 bytes
 test/reference/joins.mask.argb32.ref.png               | Bin 0 -> 6970 bytes
 test/reference/joins.mask.rgb24.ref.png                | Bin 0 -> 6970 bytes
 test/reference/large-clip.mask.argb32.ref.png          | Bin 0 -> 305 bytes
 test/reference/large-clip.mask.rgb24.ref.png           | Bin 0 -> 305 bytes
 test/reference/large-font.mask.argb32.ref.png          | Bin 0 -> 6117 bytes
 test/reference/large-font.mask.rgb24.ref.png           | Bin 0 -> 6117 bytes
 test/reference/large-source-roi.mask.argb32.ref.png    | Bin 0 -> 93 bytes
 test/reference/large-source-roi.mask.rgb24.ref.png     | Bin 0 -> 93 bytes
 test/reference/large-source.mask.argb32.ref.png        | Bin 0 -> 112 bytes
 test/reference/large-source.mask.rgb24.ref.png         | Bin 0 -> 112 bytes
 .../large-twin-antialias-mixed.mask.argb32.ref.png     | Bin 0 -> 16660 bytes
 .../large-twin-antialias-mixed.mask.rgb24.ref.png      | Bin 0 -> 16660 bytes
 test/reference/leaky-dash.mask.argb32.ref.png          | Bin 0 -> 197 bytes
 test/reference/leaky-dash.mask.rgb24.ref.png           | Bin 0 -> 197 bytes
 .../leaky-dashed-rectangle.mask.argb32.ref.png         | Bin 0 -> 357 bytes
 .../leaky-dashed-rectangle.mask.rgb24.ref.png          | Bin 0 -> 357 bytes
 test/reference/leaky-dashed-stroke.mask.argb32.ref.png | Bin 0 -> 9387 bytes
 test/reference/leaky-dashed-stroke.mask.rgb24.ref.png  | Bin 0 -> 9387 bytes
 test/reference/leaky-polygon.mask.argb32.ref.png       | Bin 0 -> 337 bytes
 test/reference/leaky-polygon.mask.rgb24.ref.png        | Bin 0 -> 337 bytes
 ...line-width-large-overlap-dashed.base.argb32.ref.png | Bin 0 -> 338 bytes
 .../line-width-large-overlap-dashed.base.rgb24.ref.png | Bin 0 -> 338 bytes
 ...line-width-large-overlap-dashed.mask.argb32.ref.png | Bin 0 -> 343 bytes
 .../line-width-large-overlap-dashed.mask.rgb24.ref.png | Bin 0 -> 343 bytes
 ...ine-width-large-overlap-dashed.traps.argb32.ref.png | Bin 0 -> 343 bytes
 ...line-width-large-overlap-dashed.traps.rgb24.ref.png | Bin 0 -> 343 bytes
 ...ine-width-large-overlap-flipped.base.argb32.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-flipped.base.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-flipped.mask.argb32.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-flipped.mask.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ne-width-large-overlap-flipped.traps.argb32.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-flipped.traps.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-flopped.base.argb32.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-flopped.base.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-flopped.mask.argb32.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-flopped.mask.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ne-width-large-overlap-flopped.traps.argb32.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-flopped.traps.rgb24.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-offset.base.argb32.ref.png | Bin 0 -> 305 bytes
 .../line-width-large-overlap-offset.base.rgb24.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-offset.mask.argb32.ref.png | Bin 0 -> 305 bytes
 .../line-width-large-overlap-offset.mask.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-offset.traps.argb32.ref.png | Bin 0 -> 305 bytes
 ...line-width-large-overlap-offset.traps.rgb24.ref.png | Bin 0 -> 305 bytes
 ...ine-width-large-overlap-rotated.base.argb32.ref.png | Bin 0 -> 404 bytes
 ...line-width-large-overlap-rotated.base.rgb24.ref.png | Bin 0 -> 404 bytes
 ...ine-width-large-overlap-rotated.mask.argb32.ref.png | Bin 0 -> 427 bytes
 ...line-width-large-overlap-rotated.mask.rgb24.ref.png | Bin 0 -> 427 bytes
 ...ne-width-large-overlap-rotated.traps.argb32.ref.png | Bin 0 -> 427 bytes
 ...ine-width-large-overlap-rotated.traps.rgb24.ref.png | Bin 0 -> 427 bytes
 .../line-width-large-overlap.base.argb32.ref.png       | Bin 0 -> 305 bytes
 .../line-width-large-overlap.base.rgb24.ref.png        | Bin 0 -> 305 bytes
 .../line-width-large-overlap.mask.argb32.ref.png       | Bin 0 -> 305 bytes
 .../line-width-large-overlap.mask.rgb24.ref.png        | Bin 0 -> 305 bytes
 .../line-width-large-overlap.traps.argb32.ref.png      | Bin 0 -> 305 bytes
 .../line-width-large-overlap.traps.rgb24.ref.png       | Bin 0 -> 305 bytes
 .../line-width-overlap-dashed.mask.argb32.ref.png      | Bin 0 -> 401 bytes
 .../line-width-overlap-dashed.mask.rgb24.ref.png       | Bin 0 -> 401 bytes
 .../line-width-overlap-flipped.mask.argb32.ref.png     | Bin 0 -> 324 bytes
 .../line-width-overlap-flipped.mask.rgb24.ref.png      | Bin 0 -> 324 bytes
 .../line-width-overlap-flopped.mask.argb32.ref.png     | Bin 0 -> 324 bytes
 .../line-width-overlap-flopped.mask.rgb24.ref.png      | Bin 0 -> 324 bytes
 .../line-width-overlap-offset.mask.argb32.ref.png      | Bin 0 -> 348 bytes
 .../line-width-overlap-offset.mask.rgb24.ref.png       | Bin 0 -> 348 bytes
 .../line-width-overlap-offset.traps.argb32.ref.png     | Bin 0 -> 365 bytes
 .../line-width-overlap-offset.traps.rgb24.ref.png      | Bin 0 -> 365 bytes
 .../line-width-overlap-rotated.mask.argb32.ref.png     | Bin 0 -> 828 bytes
 .../line-width-overlap-rotated.mask.rgb24.ref.png      | Bin 0 -> 828 bytes
 test/reference/line-width-overlap.mask.argb32.ref.png  | Bin 0 -> 324 bytes
 test/reference/line-width-overlap.mask.rgb24.ref.png   | Bin 0 -> 324 bytes
 test/reference/line-width-scale.mask.argb32.ref.png    | Bin 0 -> 5721 bytes
 test/reference/line-width-scale.mask.rgb24.ref.png     | Bin 0 -> 5721 bytes
 .../reference/line-width-tolerance.mask.argb32.ref.png | Bin 0 -> 168 bytes
 test/reference/line-width-tolerance.mask.rgb24.ref.png | Bin 0 -> 168 bytes
 test/reference/line-width.mask.argb32.ref.png          | Bin 0 -> 178 bytes
 test/reference/line-width.mask.rgb24.ref.png           | Bin 0 -> 178 bytes
 .../linear-gradient-extend.mask.argb32.ref.png         | Bin 0 -> 371 bytes
 .../linear-gradient-extend.mask.rgb24.ref.png          | Bin 0 -> 371 bytes
 .../linear-gradient-large.mask.argb32.ref.png          | Bin 0 -> 4076 bytes
 .../reference/linear-gradient-large.mask.rgb24.ref.png | Bin 0 -> 4076 bytes
 .../linear-gradient-one-stop.mask.argb32.ref.png       | Bin 0 -> 225 bytes
 .../linear-gradient-one-stop.mask.rgb24.ref.png        | Bin 0 -> 174 bytes
 .../linear-gradient-reflect.mask.argb32.ref.png        | Bin 0 -> 185 bytes
 .../linear-gradient-reflect.mask.rgb24.ref.png         | Bin 0 -> 185 bytes
 .../linear-gradient-subset.mask.argb32.ref.png         | Bin 0 -> 820 bytes
 .../linear-gradient-subset.mask.rgb24.ref.png          | Bin 0 -> 820 bytes
 test/reference/linear-gradient.mask.argb32.ref.png     | Bin 0 -> 974 bytes
 test/reference/linear-gradient.mask.rgb24.ref.png      | Bin 0 -> 974 bytes
 .../reference/linear-step-function.mask.argb32.ref.png | Bin 0 -> 118 bytes
 test/reference/linear-step-function.mask.rgb24.ref.png | Bin 0 -> 118 bytes
 test/reference/linear-uniform.mask.argb32.ref.png      | Bin 0 -> 128 bytes
 test/reference/linear-uniform.mask.rgb24.ref.png       | Bin 0 -> 128 bytes
 test/reference/long-dashed-lines.mask.argb32.ref.png   | Bin 0 -> 2548 bytes
 test/reference/long-dashed-lines.mask.rgb24.ref.png    | Bin 0 -> 2548 bytes
 test/reference/long-lines.mask.argb32.ref.png          | Bin 0 -> 201 bytes
 test/reference/long-lines.mask.rgb24.ref.png           | Bin 0 -> 201 bytes
 test/reference/map-all-to-image.mask.argb32.ref.png    | Bin 0 -> 86 bytes
 test/reference/map-all-to-image.mask.rgb24.ref.png     | Bin 0 -> 86 bytes
 test/reference/map-bit-to-image.mask.argb32.ref.png    | Bin 0 -> 103 bytes
 test/reference/map-bit-to-image.mask.rgb24.ref.png     | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.mask.argb32.ref.png   | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.mask.rgb24.ref.png    | Bin 0 -> 103 bytes
 test/reference/mask-alpha.mask.argb32.ref.png          | Bin 0 -> 632 bytes
 test/reference/mask-alpha.mask.rgb24.ref.png           | Bin 0 -> 589 bytes
 test/reference/mask-ctm.mask.argb32.ref.png            | Bin 0 -> 110 bytes
 test/reference/mask-ctm.mask.rgb24.ref.png             | Bin 0 -> 105 bytes
 test/reference/mask-surface-ctm.mask.argb32.ref.png    | Bin 0 -> 110 bytes
 test/reference/mask-surface-ctm.mask.rgb24.ref.png     | Bin 0 -> 105 bytes
 .../mask-transformed-image.mask.argb32.ref.png         | Bin 0 -> 3812 bytes
 .../mask-transformed-image.mask.rgb24.ref.png          | Bin 0 -> 3812 bytes
 .../mask-transformed-similar.mask.argb32.ref.png       | Bin 0 -> 3812 bytes
 .../mask-transformed-similar.mask.rgb24.ref.png        | Bin 0 -> 3812 bytes
 test/reference/mask.mask.argb32.ref.png                | Bin 0 -> 8565 bytes
 test/reference/mask.mask.rgb24.ref.png                 | Bin 0 -> 7135 bytes
 .../mesh-pattern-accuracy.mask.argb32.ref.png          | Bin 0 -> 8086 bytes
 .../reference/mesh-pattern-accuracy.mask.rgb24.ref.png | Bin 0 -> 8086 bytes
 .../reference/mesh-pattern-conical.mask.argb32.ref.png | Bin 0 -> 8655 bytes
 test/reference/mesh-pattern-conical.mask.rgb24.ref.png | Bin 0 -> 8655 bytes
 .../mesh-pattern-control-points.mask.argb32.ref.png    | Bin 0 -> 10665 bytes
 .../mesh-pattern-control-points.mask.rgb24.ref.png     | Bin 0 -> 10665 bytes
 test/reference/mesh-pattern-fold.mask.argb32.ref.png   | Bin 0 -> 52980 bytes
 test/reference/mesh-pattern-fold.mask.rgb24.ref.png    | Bin 0 -> 52980 bytes
 .../reference/mesh-pattern-overlap.mask.argb32.ref.png | Bin 0 -> 9129 bytes
 test/reference/mesh-pattern-overlap.mask.rgb24.ref.png | Bin 0 -> 9129 bytes
 .../mesh-pattern-transformed.mask.argb32.ref.png       | Bin 0 -> 14463 bytes
 .../mesh-pattern-transformed.mask.rgb24.ref.png        | Bin 0 -> 14463 bytes
 test/reference/mesh-pattern.mask.argb32.ref.png        | Bin 0 -> 19566 bytes
 test/reference/mesh-pattern.mask.rgb24.ref.png         | Bin 0 -> 19566 bytes
 test/reference/mime-data.mask.argb32.ref.png           | Bin 0 -> 185 bytes
 test/reference/mime-data.mask.rgb24.ref.png            | Bin 0 -> 185 bytes
 test/reference/miter-precision.mask.argb32.ref.png     | Bin 0 -> 1030 bytes
 test/reference/miter-precision.mask.rgb24.ref.png      | Bin 0 -> 1030 bytes
 .../reference/move-to-show-surface.mask.argb32.ref.png | Bin 0 -> 96 bytes
 test/reference/move-to-show-surface.mask.rgb24.ref.png | Bin 0 -> 96 bytes
 .../negative-stride-image.base.argb32.ref.png          | Bin 0 -> 81121 bytes
 .../reference/negative-stride-image.base.rgb24.ref.png | Bin 0 -> 81121 bytes
 .../negative-stride-image.mask.argb32.ref.png          | Bin 0 -> 81121 bytes
 .../reference/negative-stride-image.mask.rgb24.ref.png | Bin 0 -> 81121 bytes
 .../negative-stride-image.traps.argb32.ref.png         | Bin 0 -> 81121 bytes
 .../negative-stride-image.traps.rgb24.ref.png          | Bin 0 -> 81121 bytes
 test/reference/new-sub-path.mask.argb32.ref.png        | Bin 0 -> 408 bytes
 test/reference/new-sub-path.mask.rgb24.ref.png         | Bin 0 -> 371 bytes
 test/reference/nil-surface.mask.argb32.ref.png         | Bin 0 -> 88 bytes
 test/reference/nil-surface.mask.rgb24.ref.png          | Bin 0 -> 87 bytes
 .../reference/operator-alpha-alpha.mask.argb32.ref.png | Bin 0 -> 3441 bytes
 test/reference/operator-alpha-alpha.mask.rgb24.ref.png | Bin 0 -> 3441 bytes
 test/reference/operator-alpha.mask.argb32.ref.png      | Bin 0 -> 280 bytes
 test/reference/operator-alpha.mask.rgb24.ref.png       | Bin 0 -> 205 bytes
 test/reference/operator-clear.mask.argb32.ref.png      | Bin 0 -> 1071 bytes
 test/reference/operator-clear.mask.rgb24.ref.png       | Bin 0 -> 947 bytes
 test/reference/operator-source.mask.argb32.ref.png     | Bin 0 -> 5612 bytes
 test/reference/operator-source.mask.rgb24.ref.png      | Bin 0 -> 3975 bytes
 test/reference/operator.mask.argb32.ref.png            | Bin 0 -> 238 bytes
 test/reference/operator.mask.rgb24.ref.png             | Bin 0 -> 189 bytes
 test/reference/over-above-source.mask.argb32.ref.png   | Bin 0 -> 564 bytes
 test/reference/over-above-source.mask.rgb24.ref.png    | Bin 0 -> 465 bytes
 test/reference/over-around-source.mask.argb32.ref.png  | Bin 0 -> 633 bytes
 test/reference/over-around-source.mask.rgb24.ref.png   | Bin 0 -> 499 bytes
 test/reference/over-below-source.mask.argb32.ref.png   | Bin 0 -> 447 bytes
 test/reference/over-below-source.mask.rgb24.ref.png    | Bin 0 -> 385 bytes
 test/reference/over-between-source.mask.argb32.ref.png | Bin 0 -> 596 bytes
 test/reference/over-between-source.mask.rgb24.ref.png  | Bin 0 -> 463 bytes
 test/reference/overlapping-boxes.mask.argb32.ref.png   | Bin 0 -> 179 bytes
 test/reference/overlapping-boxes.mask.rgb24.ref.png    | Bin 0 -> 170 bytes
 .../overlapping-dash-caps.mask.argb32.ref.png          | Bin 0 -> 3986 bytes
 .../reference/overlapping-dash-caps.mask.rgb24.ref.png | Bin 0 -> 3986 bytes
 test/reference/overlapping-glyphs.mask.argb32.ref.png  | Bin 0 -> 2717 bytes
 test/reference/overlapping-glyphs.mask.rgb24.ref.png   | Bin 0 -> 1663 bytes
 test/reference/paint-clip-fill-aa.mask.argb32.ref.png  | Bin 0 -> 327 bytes
 test/reference/paint-clip-fill-aa.mask.rgb24.ref.png   | Bin 0 -> 327 bytes
 .../reference/paint-clip-fill-mono.mask.argb32.ref.png | Bin 0 -> 327 bytes
 test/reference/paint-clip-fill-mono.mask.rgb24.ref.png | Bin 0 -> 327 bytes
 test/reference/paint-repeat.mask.argb32.ref.png        | Bin 0 -> 122 bytes
 test/reference/paint-repeat.mask.rgb24.ref.png         | Bin 0 -> 122 bytes
 test/reference/paint-source-alpha.mask.argb32.ref.png  | Bin 0 -> 224 bytes
 test/reference/paint-source-alpha.mask.rgb24.ref.png   | Bin 0 -> 224 bytes
 .../paint-with-alpha-clip-mask.mask.argb32.ref.png     | Bin 0 -> 330 bytes
 .../paint-with-alpha-clip-mask.mask.rgb24.ref.png      | Bin 0 -> 330 bytes
 .../paint-with-alpha-clip.mask.argb32.ref.png          | Bin 0 -> 269 bytes
 .../reference/paint-with-alpha-clip.mask.rgb24.ref.png | Bin 0 -> 269 bytes
 .../paint-with-alpha-solid-clip.mask.argb32.ref.png    | Bin 0 -> 266 bytes
 .../paint-with-alpha-solid-clip.mask.rgb24.ref.png     | Bin 0 -> 266 bytes
 test/reference/paint-with-alpha.mask.argb32.ref.png    | Bin 0 -> 224 bytes
 test/reference/paint-with-alpha.mask.rgb24.ref.png     | Bin 0 -> 224 bytes
 test/reference/paint.mask.argb32.ref.png               | Bin 0 -> 93 bytes
 test/reference/paint.mask.rgb24.ref.png                | Bin 0 -> 93 bytes
 .../partial-clip-text-bottom.mask.argb32.ref.png       | Bin 0 -> 261 bytes
 .../partial-clip-text-bottom.mask.rgb24.ref.png        | Bin 0 -> 261 bytes
 .../partial-clip-text-left.mask.argb32.ref.png         | Bin 0 -> 301 bytes
 .../partial-clip-text-left.mask.rgb24.ref.png          | Bin 0 -> 301 bytes
 .../partial-clip-text-right.mask.argb32.ref.png        | Bin 0 -> 155 bytes
 .../partial-clip-text-right.mask.rgb24.ref.png         | Bin 0 -> 155 bytes
 .../partial-clip-text-right.traps.argb32.ref.png       | Bin 0 -> 155 bytes
 .../partial-clip-text-right.traps.rgb24.ref.png        | Bin 0 -> 155 bytes
 .../partial-clip-text-top.mask.argb32.ref.png          | Bin 0 -> 181 bytes
 .../reference/partial-clip-text-top.mask.rgb24.ref.png | Bin 0 -> 181 bytes
 .../partial-clip-text-top.traps.argb32.ref.png         | Bin 0 -> 181 bytes
 .../partial-clip-text-top.traps.rgb24.ref.png          | Bin 0 -> 181 bytes
 ...partial-coverage-half-reference.mask.argb32.ref.png | Bin 0 -> 189 bytes
 .../partial-coverage-half-reference.mask.rgb24.ref.png | Bin 0 -> 189 bytes
 .../partial-coverage-reference.mask.argb32.ref.png     | Bin 0 -> 202 bytes
 .../partial-coverage-reference.mask.rgb24.ref.png      | Bin 0 -> 202 bytes
 ...overage-three-quarter-reference.mask.argb32.ref.png | Bin 0 -> 186 bytes
 ...coverage-three-quarter-reference.mask.rgb24.ref.png | Bin 0 -> 186 bytes
 test/reference/pass-through.base.argb32.ref.png        | Bin 0 -> 221 bytes
 test/reference/pass-through.base.rgb24.ref.png         | Bin 0 -> 158 bytes
 test/reference/pass-through.mask.argb32.ref.png        | Bin 0 -> 221 bytes
 test/reference/pass-through.mask.rgb24.ref.png         | Bin 0 -> 158 bytes
 test/reference/pass-through.traps.argb32.ref.png       | Bin 0 -> 221 bytes
 test/reference/pass-through.traps.rgb24.ref.png        | Bin 0 -> 158 bytes
 test/reference/path-append.mask.argb32.ref.png         | Bin 0 -> 6144 bytes
 test/reference/path-append.mask.rgb24.ref.png          | Bin 0 -> 6144 bytes
 test/reference/path-stroke-twice.mask.argb32.ref.png   | Bin 0 -> 240 bytes
 test/reference/path-stroke-twice.mask.rgb24.ref.png    | Bin 0 -> 240 bytes
 test/reference/pattern-getters.mask.argb32.ref.png     | Bin 0 -> 87 bytes
 test/reference/pattern-getters.mask.rgb24.ref.png      | Bin 0 -> 87 bytes
 test/reference/pdf-surface-source.mask.argb32.ref.png  | Bin 0 -> 377 bytes
 test/reference/pdf-surface-source.mask.rgb24.ref.png   | Bin 0 -> 301 bytes
 test/reference/pixman-rotate.mask.argb32.ref.png       | Bin 0 -> 260 bytes
 test/reference/pixman-rotate.mask.rgb24.ref.png        | Bin 0 -> 225 bytes
 test/reference/ps-surface-source.mask.argb32.ref.png   | Bin 0 -> 377 bytes
 test/reference/ps-surface-source.mask.rgb24.ref.png    | Bin 0 -> 301 bytes
 test/reference/pthread-same-source.mask.argb32.ref.png | Bin 0 -> 1000 bytes
 test/reference/pthread-same-source.mask.rgb24.ref.png  | Bin 0 -> 1000 bytes
 test/reference/pthread-show-text.mask.argb32.ref.png   | Bin 0 -> 30199 bytes
 test/reference/pthread-show-text.mask.rgb24.ref.png    | Bin 0 -> 30199 bytes
 test/reference/pthread-show-text.traps.argb32.ref.png  | Bin 0 -> 30199 bytes
 test/reference/pthread-show-text.traps.rgb24.ref.png   | Bin 0 -> 30199 bytes
 test/reference/pthread-similar.mask.argb32.ref.png     | Bin 0 -> 170 bytes
 test/reference/pthread-similar.mask.rgb24.ref.png      | Bin 0 -> 170 bytes
 test/reference/push-group-color.mask.argb32.ref.png    | Bin 0 -> 2892 bytes
 test/reference/push-group-color.mask.rgb24.ref.png     | Bin 0 -> 2892 bytes
 .../push-group-path-offset.mask.argb32.ref.png         | Bin 0 -> 186 bytes
 .../push-group-path-offset.mask.rgb24.ref.png          | Bin 0 -> 186 bytes
 test/reference/push-group.mask.argb32.ref.png          | Bin 0 -> 3062 bytes
 test/reference/push-group.mask.rgb24.ref.png           | Bin 0 -> 2899 bytes
 .../radial-gradient-extend.mask.argb32.ref.png         | Bin 0 -> 466 bytes
 .../radial-gradient-extend.mask.rgb24.ref.png          | Bin 0 -> 466 bytes
 .../radial-gradient-mask-source.mask.argb32.ref.png    | Bin 0 -> 145713 bytes
 .../radial-gradient-mask-source.mask.rgb24.ref.png     | Bin 0 -> 150945 bytes
 .../reference/radial-gradient-mask.mask.argb32.ref.png | Bin 0 -> 286065 bytes
 test/reference/radial-gradient-mask.mask.rgb24.ref.png | Bin 0 -> 286065 bytes
 .../radial-gradient-one-stop.mask.argb32.ref.png       | Bin 0 -> 6306 bytes
 .../radial-gradient-one-stop.mask.rgb24.ref.png        | Bin 0 -> 6306 bytes
 .../radial-gradient-source.mask.argb32.ref.png         | Bin 0 -> 408848 bytes
 .../radial-gradient-source.mask.rgb24.ref.png          | Bin 0 -> 263908 bytes
 test/reference/radial-gradient.mask.argb32.ref.png     | Bin 0 -> 382283 bytes
 test/reference/radial-gradient.mask.rgb24.ref.png      | Bin 0 -> 382283 bytes
 test/reference/radial-outer-focus.base.argb32.ref.png  | Bin 0 -> 38310 bytes
 test/reference/radial-outer-focus.base.rgb24.ref.png   | Bin 0 -> 38310 bytes
 test/reference/radial-outer-focus.mask.argb32.ref.png  | Bin 0 -> 38310 bytes
 test/reference/radial-outer-focus.mask.rgb24.ref.png   | Bin 0 -> 38310 bytes
 test/reference/radial-outer-focus.traps.argb32.ref.png | Bin 0 -> 38310 bytes
 test/reference/radial-outer-focus.traps.rgb24.ref.png  | Bin 0 -> 38310 bytes
 test/reference/random-clip.base.argb32.ref.png         | Bin 0 -> 521040 bytes
 test/reference/random-clip.base.rgb24.ref.png          | Bin 0 -> 521040 bytes
 test/reference/random-clip.mask.argb32.ref.png         | Bin 0 -> 550190 bytes
 test/reference/random-clip.mask.rgb24.ref.png          | Bin 0 -> 550190 bytes
 .../random-intersections-curves-eo.mask.argb32.ref.png | Bin 0 -> 245848 bytes
 .../random-intersections-curves-eo.mask.rgb24.ref.png  | Bin 0 -> 245848 bytes
 .../random-intersections-curves-nz.mask.argb32.ref.png | Bin 0 -> 265249 bytes
 .../random-intersections-curves-nz.mask.rgb24.ref.png  | Bin 0 -> 265249 bytes
 .../random-intersections-eo.mask.argb32.ref.png        | Bin 0 -> 136632 bytes
 .../random-intersections-eo.mask.rgb24.ref.png         | Bin 0 -> 136632 bytes
 .../random-intersections-nonzero.mask.argb32.ref.png   | Bin 0 -> 142139 bytes
 .../random-intersections-nonzero.mask.rgb24.ref.png    | Bin 0 -> 142139 bytes
 test/reference/raster-source.mask.argb32.ref.png       | Bin 0 -> 1209 bytes
 test/reference/raster-source.mask.rgb24.ref.png        | Bin 0 -> 1209 bytes
 .../rectangle-rounding-error.mask.argb32.ref.png       | Bin 0 -> 212 bytes
 .../rectangle-rounding-error.mask.rgb24.ref.png        | Bin 0 -> 212 bytes
 test/reference/rectilinear-dash.mask.argb32.ref.png    | Bin 0 -> 291 bytes
 test/reference/rectilinear-dash.mask.rgb24.ref.png     | Bin 0 -> 291 bytes
 test/reference/rectilinear-fill.mask.argb32.ref.png    | Bin 0 -> 151 bytes
 test/reference/rectilinear-fill.mask.rgb24.ref.png     | Bin 0 -> 151 bytes
 test/reference/rectilinear-grid.mask.argb32.ref.png    | Bin 0 -> 569 bytes
 test/reference/rectilinear-grid.mask.rgb24.ref.png     | Bin 0 -> 569 bytes
 .../rectilinear-miter-limit.mask.argb32.ref.png        | Bin 0 -> 145 bytes
 .../rectilinear-miter-limit.mask.rgb24.ref.png         | Bin 0 -> 145 bytes
 test/reference/rectilinear-stroke.mask.argb32.ref.png  | Bin 0 -> 172 bytes
 test/reference/rectilinear-stroke.mask.rgb24.ref.png   | Bin 0 -> 172 bytes
 test/reference/reflected-stroke.mask.argb32.ref.png    | Bin 0 -> 5119 bytes
 test/reference/reflected-stroke.mask.rgb24.ref.png     | Bin 0 -> 5119 bytes
 test/reference/rel-path.mask.argb32.ref.png            | Bin 0 -> 197 bytes
 test/reference/rel-path.mask.rgb24.ref.png             | Bin 0 -> 216 bytes
 test/reference/rgb24-ignore-alpha.mask.argb32.ref.png  | Bin 0 -> 97 bytes
 test/reference/rgb24-ignore-alpha.mask.rgb24.ref.png   | Bin 0 -> 97 bytes
 ...rotate-clip-image-surface-paint.mask.argb32.ref.png | Bin 0 -> 331 bytes
 .../rotate-clip-image-surface-paint.mask.rgb24.ref.png | Bin 0 -> 331 bytes
 .../rotate-image-surface-paint.mask.argb32.ref.png     | Bin 0 -> 220 bytes
 .../rotate-image-surface-paint.mask.rgb24.ref.png      | Bin 0 -> 220 bytes
 test/reference/rotated-clip.mask.argb32.ref.png        | Bin 0 -> 3697 bytes
 test/reference/rotated-clip.mask.rgb24.ref.png         | Bin 0 -> 3697 bytes
 .../rounded-rectangle-fill.mask.argb32.ref.png         | Bin 0 -> 787 bytes
 .../rounded-rectangle-fill.mask.rgb24.ref.png          | Bin 0 -> 787 bytes
 .../rounded-rectangle-stroke.mask.argb32.ref.png       | Bin 0 -> 951 bytes
 .../rounded-rectangle-stroke.mask.rgb24.ref.png        | Bin 0 -> 951 bytes
 ...scale-down-source-surface-paint.mask.argb32.ref.png | Bin 0 -> 96 bytes
 .../scale-down-source-surface-paint.mask.rgb24.ref.png | Bin 0 -> 96 bytes
 test/reference/scale-offset-image.mask.argb32.ref.png  | Bin 0 -> 9748 bytes
 test/reference/scale-offset-image.mask.rgb24.ref.png   | Bin 0 -> 9748 bytes
 .../reference/scale-offset-similar.mask.argb32.ref.png | Bin 0 -> 9748 bytes
 test/reference/scale-offset-similar.mask.rgb24.ref.png | Bin 0 -> 9748 bytes
 .../scale-source-surface-paint.mask.argb32.ref.png     | Bin 0 -> 128 bytes
 .../scale-source-surface-paint.mask.rgb24.ref.png      | Bin 0 -> 117 bytes
 test/reference/select-font-face.mask.argb32.ref.png    | Bin 0 -> 2250 bytes
 test/reference/select-font-face.mask.rgb24.ref.png     | Bin 0 -> 2250 bytes
 test/reference/select-font-face.traps.argb32.ref.png   | Bin 0 -> 2250 bytes
 test/reference/select-font-face.traps.rgb24.ref.png    | Bin 0 -> 2250 bytes
 test/reference/self-copy-overlap.mask.argb32.ref.png   | Bin 0 -> 1140 bytes
 test/reference/self-copy-overlap.mask.rgb24.ref.png    | Bin 0 -> 213 bytes
 test/reference/self-copy.mask.argb32.ref.png           | Bin 0 -> 257 bytes
 test/reference/self-copy.mask.rgb24.ref.png            | Bin 0 -> 257 bytes
 test/reference/self-intersecting.mask.argb32.ref.png   | Bin 0 -> 168 bytes
 test/reference/self-intersecting.mask.rgb24.ref.png    | Bin 0 -> 168 bytes
 test/reference/set-source.mask.argb32.ref.png          | Bin 0 -> 101 bytes
 test/reference/set-source.mask.rgb24.ref.png           | Bin 0 -> 101 bytes
 .../reference/shape-general-convex.mask.argb32.ref.png | Bin 0 -> 2742 bytes
 test/reference/shape-general-convex.mask.rgb24.ref.png | Bin 0 -> 2742 bytes
 test/reference/shape-sierpinski.mask.argb32.ref.png    | Bin 0 -> 63714 bytes
 test/reference/shape-sierpinski.mask.rgb24.ref.png     | Bin 0 -> 63714 bytes
 test/reference/show-glyphs-advance.mask.argb32.ref.png | Bin 0 -> 1394 bytes
 test/reference/show-glyphs-advance.mask.rgb24.ref.png  | Bin 0 -> 1394 bytes
 .../reference/show-glyphs-advance.traps.argb32.ref.png | Bin 0 -> 1394 bytes
 test/reference/show-glyphs-advance.traps.rgb24.ref.png | Bin 0 -> 1394 bytes
 test/reference/show-glyphs-many.mask.argb32.ref.png    | Bin 0 -> 96 bytes
 test/reference/show-glyphs-many.mask.rgb24.ref.png     | Bin 0 -> 96 bytes
 .../show-text-current-point.mask.argb32.ref.png        | Bin 0 -> 2151 bytes
 .../show-text-current-point.mask.rgb24.ref.png         | Bin 0 -> 2151 bytes
 .../show-text-current-point.traps.argb32.ref.png       | Bin 0 -> 2151 bytes
 .../show-text-current-point.traps.rgb24.ref.png        | Bin 0 -> 2151 bytes
 test/reference/skew-extreme.mask.argb32.ref.png        | Bin 0 -> 799 bytes
 test/reference/skew-extreme.mask.rgb24.ref.png         | Bin 0 -> 799 bytes
 test/reference/smask-fill.mask.argb32.ref.png          | Bin 0 -> 1197 bytes
 test/reference/smask-fill.mask.rgb24.ref.png           | Bin 0 -> 1197 bytes
 test/reference/smask-image-mask.mask.argb32.ref.png    | Bin 0 -> 619 bytes
 test/reference/smask-image-mask.mask.rgb24.ref.png     | Bin 0 -> 619 bytes
 test/reference/smask-mask.mask.argb32.ref.png          | Bin 0 -> 2353 bytes
 test/reference/smask-mask.mask.rgb24.ref.png           | Bin 0 -> 2353 bytes
 test/reference/smask-paint.mask.argb32.ref.png         | Bin 0 -> 2469 bytes
 test/reference/smask-paint.mask.rgb24.ref.png          | Bin 0 -> 2469 bytes
 test/reference/smask-stroke.mask.argb32.ref.png        | Bin 0 -> 1709 bytes
 test/reference/smask-stroke.mask.rgb24.ref.png         | Bin 0 -> 1709 bytes
 test/reference/smask-text.mask.argb32.ref.png          | Bin 0 -> 1660 bytes
 test/reference/smask-text.mask.rgb24.ref.png           | Bin 0 -> 1660 bytes
 test/reference/smask-text.traps.argb32.ref.png         | Bin 0 -> 1661 bytes
 test/reference/smask-text.traps.rgb24.ref.png          | Bin 0 -> 1661 bytes
 test/reference/smask.mask.argb32.ref.png               | Bin 0 -> 3413 bytes
 test/reference/smask.mask.rgb24.ref.png                | Bin 0 -> 3413 bytes
 test/reference/smask.traps.argb32.ref.png              | Bin 0 -> 3393 bytes
 test/reference/smask.traps.rgb24.ref.png               | Bin 0 -> 3393 bytes
 .../solid-pattern-cache-stress.mask.argb32.ref.png     | Bin 0 -> 87 bytes
 .../solid-pattern-cache-stress.mask.rgb24.ref.png      | Bin 0 -> 87 bytes
 test/reference/source-clip-scale.mask.argb32.ref.png   | Bin 0 -> 136 bytes
 test/reference/source-clip-scale.mask.rgb24.ref.png    | Bin 0 -> 136 bytes
 test/reference/source-clip.mask.argb32.ref.png         | Bin 0 -> 111 bytes
 test/reference/source-clip.mask.rgb24.ref.png          | Bin 0 -> 111 bytes
 .../source-surface-scale-paint.mask.argb32.ref.png     | Bin 0 -> 120 bytes
 .../source-surface-scale-paint.mask.rgb24.ref.png      | Bin 0 -> 114 bytes
 .../reference/spline-decomposition.mask.argb32.ref.png | Bin 0 -> 19520 bytes
 test/reference/spline-decomposition.mask.rgb24.ref.png | Bin 0 -> 19520 bytes
 test/reference/stride-12-image.base.argb32.ref.png     | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.base.rgb24.ref.png      | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.mask.argb32.ref.png     | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.mask.rgb24.ref.png      | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.traps.argb32.ref.png    | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.traps.rgb24.ref.png     | Bin 0 -> 81121 bytes
 test/reference/stroke-ctm-caps.mask.argb32.ref.png     | Bin 0 -> 942 bytes
 test/reference/stroke-ctm-caps.mask.rgb24.ref.png      | Bin 0 -> 942 bytes
 test/reference/stroke-image.mask.argb32.ref.png        | Bin 0 -> 1424 bytes
 test/reference/stroke-image.mask.rgb24.ref.png         | Bin 0 -> 1424 bytes
 test/reference/stroke-open-box.mask.argb32.ref.png     | Bin 0 -> 148 bytes
 test/reference/stroke-open-box.mask.rgb24.ref.png      | Bin 0 -> 148 bytes
 test/reference/stroke-pattern.base.argb32.ref.png      | Bin 0 -> 1487 bytes
 test/reference/stroke-pattern.base.rgb24.ref.png       | Bin 0 -> 1487 bytes
 test/reference/stroke-pattern.mask.argb32.ref.png      | Bin 0 -> 1491 bytes
 test/reference/stroke-pattern.mask.rgb24.ref.png       | Bin 0 -> 1491 bytes
 test/reference/stroke-pattern.traps.argb32.ref.png     | Bin 0 -> 1487 bytes
 test/reference/stroke-pattern.traps.rgb24.ref.png      | Bin 0 -> 1487 bytes
 .../subsurface-image-repeat.mask.argb32.ref.png        | Bin 0 -> 915 bytes
 .../subsurface-image-repeat.mask.rgb24.ref.png         | Bin 0 -> 915 bytes
 .../subsurface-modify-child.mask.argb32.ref.png        | Bin 0 -> 197 bytes
 .../subsurface-modify-child.mask.rgb24.ref.png         | Bin 0 -> 197 bytes
 .../subsurface-modify-parent.mask.argb32.ref.png       | Bin 0 -> 197 bytes
 .../subsurface-modify-parent.mask.rgb24.ref.png        | Bin 0 -> 197 bytes
 .../subsurface-outside-target.mask.argb32.ref.png      | Bin 0 -> 2063 bytes
 .../subsurface-outside-target.mask.rgb24.ref.png       | Bin 0 -> 1648 bytes
 .../subsurface-outside-target.traps.argb32.ref.png     | Bin 0 -> 2063 bytes
 .../subsurface-outside-target.traps.rgb24.ref.png      | Bin 0 -> 1648 bytes
 test/reference/subsurface-pad.mask.argb32.ref.png      | Bin 0 -> 181 bytes
 test/reference/subsurface-pad.mask.rgb24.ref.png       | Bin 0 -> 181 bytes
 test/reference/subsurface-reflect.mask.argb32.ref.png  | Bin 0 -> 210 bytes
 test/reference/subsurface-reflect.mask.rgb24.ref.png   | Bin 0 -> 210 bytes
 test/reference/subsurface-repeat.mask.argb32.ref.png   | Bin 0 -> 197 bytes
 test/reference/subsurface-repeat.mask.rgb24.ref.png    | Bin 0 -> 197 bytes
 test/reference/subsurface-scale.base.argb32.ref.png    | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.base.rgb24.ref.png     | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.mask.argb32.ref.png    | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.mask.rgb24.ref.png     | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.traps.argb32.ref.png   | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.traps.rgb24.ref.png    | Bin 0 -> 5921 bytes
 .../subsurface-similar-repeat.mask.argb32.ref.png      | Bin 0 -> 197 bytes
 .../subsurface-similar-repeat.mask.rgb24.ref.png       | Bin 0 -> 197 bytes
 test/reference/subsurface.mask.argb32.ref.png          | Bin 0 -> 1811 bytes
 test/reference/subsurface.mask.rgb24.ref.png           | Bin 0 -> 1811 bytes
 .../surface-pattern-big-scale-down.mask.argb32.ref.png | Bin 0 -> 191 bytes
 .../surface-pattern-big-scale-down.mask.rgb24.ref.png  | Bin 0 -> 191 bytes
 .../surface-pattern-operator.mask.argb32.ref.png       | Bin 0 -> 5217 bytes
 .../surface-pattern-operator.mask.rgb24.ref.png        | Bin 0 -> 1942 bytes
 ...-pattern-scale-down-extend-none.mask.argb32.ref.png | Bin 0 -> 329 bytes
 ...e-pattern-scale-down-extend-none.mask.rgb24.ref.png | Bin 0 -> 329 bytes
 ...e-pattern-scale-down-extend-pad.mask.argb32.ref.png | Bin 0 -> 320 bytes
 ...ce-pattern-scale-down-extend-pad.mask.rgb24.ref.png | Bin 0 -> 320 bytes
 ...ttern-scale-down-extend-reflect.mask.argb32.ref.png | Bin 0 -> 328 bytes
 ...attern-scale-down-extend-reflect.mask.rgb24.ref.png | Bin 0 -> 328 bytes
 ...attern-scale-down-extend-repeat.mask.argb32.ref.png | Bin 0 -> 330 bytes
 ...pattern-scale-down-extend-repeat.mask.rgb24.ref.png | Bin 0 -> 330 bytes
 .../surface-pattern-scale-down.mask.argb32.ref.png     | Bin 0 -> 1326 bytes
 .../surface-pattern-scale-down.mask.rgb24.ref.png      | Bin 0 -> 1326 bytes
 .../surface-pattern-scale-up.mask.argb32.ref.png       | Bin 0 -> 4020 bytes
 .../surface-pattern-scale-up.mask.rgb24.ref.png        | Bin 0 -> 4020 bytes
 test/reference/surface-pattern.mask.argb32.ref.png     | Bin 0 -> 11088 bytes
 test/reference/surface-pattern.mask.rgb24.ref.png      | Bin 0 -> 11088 bytes
 test/reference/svg-surface-source.mask.argb32.ref.png  | Bin 0 -> 377 bytes
 test/reference/svg-surface-source.mask.rgb24.ref.png   | Bin 0 -> 301 bytes
 test/reference/text-antialias-gray.mask.argb32.ref.png | Bin 0 -> 966 bytes
 test/reference/text-antialias-gray.mask.rgb24.ref.png  | Bin 0 -> 966 bytes
 .../reference/text-antialias-gray.traps.argb32.ref.png | Bin 0 -> 966 bytes
 test/reference/text-antialias-gray.traps.rgb24.ref.png | Bin 0 -> 966 bytes
 test/reference/text-antialias-none.mask.argb32.ref.png | Bin 0 -> 265 bytes
 test/reference/text-antialias-none.mask.rgb24.ref.png  | Bin 0 -> 265 bytes
 .../reference/text-antialias-none.traps.argb32.ref.png | Bin 0 -> 265 bytes
 test/reference/text-antialias-none.traps.rgb24.ref.png | Bin 0 -> 265 bytes
 .../text-antialias-subpixel-bgr.base.argb32.ref.png    | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-bgr.base.rgb24.ref.png     | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-bgr.mask.argb32.ref.png    | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-bgr.mask.rgb24.ref.png     | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-bgr.traps.argb32.ref.png   | Bin 0 -> 1005 bytes
 .../text-antialias-subpixel-bgr.traps.rgb24.ref.png    | Bin 0 -> 1005 bytes
 .../text-antialias-subpixel-rgb.base.argb32.ref.png    | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-rgb.base.rgb24.ref.png     | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-rgb.mask.argb32.ref.png    | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-rgb.mask.rgb24.ref.png     | Bin 0 -> 917 bytes
 .../text-antialias-subpixel-rgb.traps.argb32.ref.png   | Bin 0 -> 1013 bytes
 .../text-antialias-subpixel-rgb.traps.rgb24.ref.png    | Bin 0 -> 1013 bytes
 .../text-antialias-subpixel-vbgr.base.argb32.ref.png   | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vbgr.base.rgb24.ref.png    | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vbgr.mask.argb32.ref.png   | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vbgr.mask.rgb24.ref.png    | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vbgr.traps.argb32.ref.png  | Bin 0 -> 985 bytes
 .../text-antialias-subpixel-vbgr.traps.rgb24.ref.png   | Bin 0 -> 985 bytes
 .../text-antialias-subpixel-vrgb.base.argb32.ref.png   | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vrgb.base.rgb24.ref.png    | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vrgb.mask.argb32.ref.png   | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vrgb.mask.rgb24.ref.png    | Bin 0 -> 932 bytes
 .../text-antialias-subpixel-vrgb.traps.argb32.ref.png  | Bin 0 -> 1009 bytes
 .../text-antialias-subpixel-vrgb.traps.rgb24.ref.png   | Bin 0 -> 1009 bytes
 .../text-antialias-subpixel.base.argb32.ref.png        | Bin 0 -> 917 bytes
 .../text-antialias-subpixel.base.rgb24.ref.png         | Bin 0 -> 917 bytes
 .../text-antialias-subpixel.mask.argb32.ref.png        | Bin 0 -> 917 bytes
 .../text-antialias-subpixel.mask.rgb24.ref.png         | Bin 0 -> 917 bytes
 .../text-antialias-subpixel.traps.argb32.ref.png       | Bin 0 -> 1013 bytes
 .../text-antialias-subpixel.traps.rgb24.ref.png        | Bin 0 -> 1013 bytes
 test/reference/text-glyph-range.mask.argb32.ref.png    | Bin 0 -> 1928 bytes
 test/reference/text-glyph-range.mask.rgb24.ref.png     | Bin 0 -> 1928 bytes
 test/reference/text-glyph-range.traps.argb32.ref.png   | Bin 0 -> 1979 bytes
 test/reference/text-glyph-range.traps.rgb24.ref.png    | Bin 0 -> 1979 bytes
 test/reference/text-pattern.mask.argb32.ref.png        | Bin 0 -> 3455 bytes
 test/reference/text-pattern.mask.rgb24.ref.png         | Bin 0 -> 2684 bytes
 test/reference/text-rotate.mask.argb32.ref.png         | Bin 0 -> 16655 bytes
 test/reference/text-rotate.mask.rgb24.ref.png          | Bin 0 -> 16655 bytes
 test/reference/text-rotate.traps.argb32.ref.png        | Bin 0 -> 16597 bytes
 test/reference/text-rotate.traps.rgb24.ref.png         | Bin 0 -> 16597 bytes
 test/reference/text-transform.mask.argb32.ref.png      | Bin 0 -> 5579 bytes
 test/reference/text-transform.mask.rgb24.ref.png       | Bin 0 -> 5579 bytes
 test/reference/tiger.mask.argb32.ref.png               | Bin 0 -> 93916 bytes
 test/reference/tiger.mask.rgb24.ref.png                | Bin 0 -> 93916 bytes
 test/reference/transforms.mask.argb32.ref.png          | Bin 0 -> 348 bytes
 test/reference/transforms.mask.rgb24.ref.png           | Bin 0 -> 348 bytes
 .../translate-show-surface.mask.argb32.ref.png         | Bin 0 -> 96 bytes
 .../translate-show-surface.mask.rgb24.ref.png          | Bin 0 -> 96 bytes
 test/reference/trap-clip.mask.argb32.ref.png           | Bin 0 -> 6162 bytes
 test/reference/trap-clip.mask.rgb24.ref.png            | Bin 0 -> 5606 bytes
 test/reference/twin-antialias-gray.mask.argb32.ref.png | Bin 0 -> 3990 bytes
 test/reference/twin-antialias-gray.mask.rgb24.ref.png  | Bin 0 -> 3990 bytes
 .../reference/twin-antialias-mixed.mask.argb32.ref.png | Bin 0 -> 2230 bytes
 test/reference/twin-antialias-mixed.mask.rgb24.ref.png | Bin 0 -> 2230 bytes
 test/reference/twin-antialias-none.mask.argb32.ref.png | Bin 0 -> 690 bytes
 test/reference/twin-antialias-none.mask.rgb24.ref.png  | Bin 0 -> 690 bytes
 .../twin-antialias-subpixel.mask.argb32.ref.png        | Bin 0 -> 3990 bytes
 .../twin-antialias-subpixel.mask.rgb24.ref.png         | Bin 0 -> 3990 bytes
 test/reference/twin.mask.argb32.ref.png                | Bin 0 -> 3990 bytes
 test/reference/twin.mask.rgb24.ref.png                 | Bin 0 -> 3990 bytes
 test/reference/unaligned-box.mask.argb32.ref.png       | Bin 0 -> 496 bytes
 test/reference/unaligned-box.mask.rgb24.ref.png        | Bin 0 -> 496 bytes
 .../reference/unantialiased-shapes.mask.argb32.ref.png | Bin 0 -> 3926 bytes
 test/reference/unantialiased-shapes.mask.rgb24.ref.png | Bin 0 -> 3926 bytes
 test/reference/unbounded-operator.mask.argb32.ref.png  | Bin 0 -> 2666 bytes
 test/reference/unbounded-operator.mask.rgb24.ref.png   | Bin 0 -> 1300 bytes
 test/reference/unclosed-strokes.mask.argb32.ref.png    | Bin 0 -> 1901 bytes
 test/reference/unclosed-strokes.mask.rgb24.ref.png     | Bin 0 -> 1901 bytes
 test/reference/user-font-mask.mask.argb32.ref.png      | Bin 0 -> 5476 bytes
 test/reference/user-font-mask.mask.rgb24.ref.png       | Bin 0 -> 5476 bytes
 test/reference/user-font-proxy.mask.argb32.ref.png     | Bin 0 -> 16941 bytes
 test/reference/user-font-proxy.mask.rgb24.ref.png      | Bin 0 -> 16941 bytes
 test/reference/user-font-proxy.traps.argb32.ref.png    | Bin 0 -> 16854 bytes
 test/reference/user-font-proxy.traps.rgb24.ref.png     | Bin 0 -> 16854 bytes
 test/reference/user-font-rescale.mask.argb32.ref.png   | Bin 0 -> 14883 bytes
 test/reference/user-font-rescale.mask.rgb24.ref.png    | Bin 0 -> 14883 bytes
 test/reference/user-font-rescale.traps.argb32.ref.png  | Bin 0 -> 14883 bytes
 test/reference/user-font-rescale.traps.rgb24.ref.png   | Bin 0 -> 14883 bytes
 test/reference/user-font.mask.argb32.ref.png           | Bin 0 -> 6478 bytes
 test/reference/user-font.mask.rgb24.ref.png            | Bin 0 -> 6478 bytes
 test/reference/white-in-noop.mask.argb32.ref.png       | Bin 0 -> 95 bytes
 test/reference/white-in-noop.mask.rgb24.ref.png        | Bin 0 -> 95 bytes
 test/reference/world-map-fill.mask.argb32.ref.png      | Bin 0 -> 57308 bytes
 test/reference/world-map-fill.mask.rgb24.ref.png       | Bin 0 -> 57308 bytes
 test/reference/world-map-stroke.mask.argb32.ref.png    | Bin 0 -> 65149 bytes
 test/reference/world-map-stroke.mask.rgb24.ref.png     | Bin 0 -> 65149 bytes
 test/reference/world-map.mask.argb32.ref.png           | Bin 0 -> 70474 bytes
 test/reference/world-map.mask.rgb24.ref.png            | Bin 0 -> 70474 bytes
 test/reference/xcb-huge-image-shm.mask.argb32.ref.png  | Bin 0 -> 97 bytes
 test/reference/xcb-huge-image-shm.mask.rgb24.ref.png   | Bin 0 -> 97 bytes
 test/reference/xcb-snapshot-assert.mask.argb32.ref.png | Bin 0 -> 97 bytes
 test/reference/xcb-snapshot-assert.mask.rgb24.ref.png  | Bin 0 -> 97 bytes
 test/reference/xcb-stress-cache.mask.argb32.ref.png    | Bin 0 -> 97 bytes
 test/reference/xcb-stress-cache.mask.rgb24.ref.png     | Bin 0 -> 97 bytes
 test/reference/xcb-surface-source.mask.argb32.ref.png  | Bin 0 -> 377 bytes
 test/reference/xcb-surface-source.mask.rgb24.ref.png   | Bin 0 -> 301 bytes
 .../xcomposite-projection.mask.argb32.ref.png          | Bin 0 -> 1109 bytes
 .../reference/xcomposite-projection.mask.rgb24.ref.png | Bin 0 -> 1109 bytes
 test/reference/xlib-expose-event.mask.argb32.ref.png   | Bin 0 -> 40717 bytes
 test/reference/xlib-expose-event.mask.rgb24.ref.png    | Bin 0 -> 40717 bytes
 test/reference/xlib-surface-source.mask.argb32.ref.png | Bin 0 -> 377 bytes
 test/reference/xlib-surface-source.mask.rgb24.ref.png  | Bin 0 -> 301 bytes
 test/reference/zero-alpha.mask.argb32.ref.png          | Bin 0 -> 91 bytes
 test/reference/zero-alpha.mask.rgb24.ref.png           | Bin 0 -> 91 bytes
 test/reference/zero-mask.mask.argb32.ref.png           | Bin 0 -> 402 bytes
 test/reference/zero-mask.mask.rgb24.ref.png            | Bin 0 -> 382 bytes
 948 files changed, 0 insertions(+), 0 deletions(-)

commit 3d499ea901b3a76cd765ddce9f4e7d3acebd1bd3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:41:37 2012 +0000

    xlib: Replace obsolete disable-xrender with shiny new device debug interface
    
    As prototyped with xcb.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate-xlib.c | 54 +++++-----------------------------
 src/cairo-xlib-display.c             | 57 +++++++++++++++++++++++++++++++-----
 src/cairo-xlib.h                     |  5 ++++
 test/get-xrender-format.c            | 10 -------
 test/xlib-surface.c                  | 23 ++-------------
 5 files changed, 66 insertions(+), 83 deletions(-)

commit 73df8eb8db521585f1ac6abb053843b5717cd27e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:19:18 2012 +0000

    test/xlib: Remove stale reference images
    
    We know have a swrast reference compositor for xlib (test-traps) and so
    should not need these old xlib specific reference images.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a1-image-sample.xlib.argb32.ref.png       | Bin 122 -> 0 bytes
 test/reference/a1-image-sample.xlib.rgb24.ref.png        | Bin 122 -> 0 bytes
 test/reference/arc-direction.xlib.ref.png                | Bin 5864 -> 0 bytes
 .../clip-rotate-image-surface-paint.xlib.argb32.ref.png  | Bin 202 -> 0 bytes
 .../clip-rotate-image-surface-paint.xlib.rgb24.ref.png   | Bin 202 -> 0 bytes
 .../image-bug-710072-aligned.xlib.argb32.ref.png         | Bin 151 -> 0 bytes
 .../image-bug-710072-aligned.xlib.rgb24.ref.png          | Bin 151 -> 0 bytes
 .../image-bug-710072-unaligned.xlib.argb32.ref.png       | Bin 219 -> 0 bytes
 .../image-bug-710072-unaligned.xlib.rgb24.ref.png        | Bin 219 -> 0 bytes
 test/reference/image-surface-source.xlib.argb32.ref.png  | Bin 377 -> 0 bytes
 test/reference/image-surface-source.xlib.rgb24.ref.png   | Bin 301 -> 0 bytes
 test/reference/map-to-image-fill.xlib.argb32.ref.png     | Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.xlib.rgb24.ref.png      | Bin 103 -> 0 bytes
 .../rotate-clip-image-surface-paint.xlib.argb32.ref.png  | Bin 303 -> 0 bytes
 .../rotate-clip-image-surface-paint.xlib.rgb24.ref.png   | Bin 303 -> 0 bytes
 .../rotate-image-surface-paint.xlib.argb32.ref.png       | Bin 220 -> 0 bytes
 .../rotate-image-surface-paint.xlib.rgb24.ref.png        | Bin 220 -> 0 bytes
 test/reference/smask-image-mask.xlib.argb32.ref.png      | Bin 619 -> 0 bytes
 test/reference/smask-image-mask.xlib.rgb24.ref.png       | Bin 619 -> 0 bytes
 .../subsurface-image-repeat.xlib.argb32.ref.png          | Bin 915 -> 0 bytes
 .../reference/subsurface-image-repeat.xlib.rgb24.ref.png | Bin 915 -> 0 bytes
 test/reference/xcb-huge-image-shm.xlib.argb32.ref.png    | Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.xlib.rgb24.ref.png     | Bin 97 -> 0 bytes
 23 files changed, 0 insertions(+), 0 deletions(-)

commit b2132eed79c60b3a70b88e5b5bbac7c541355735
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:18:56 2012 +0000

    boilerplate/xlib: The xlib-fallback should be visually identical to image

 boilerplate/cairo-boilerplate-xlib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd4fd8a8028f3233dbfbfde283bca894700c833d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:11:16 2012 +0000

    test: Update traps for changes in reference font

 test/reference/clear-source.traps.argb32.ref.png   | Bin 779 -> 882 bytes
 test/reference/clear-source.traps.rgb24.ref.png    | Bin 779 -> 882 bytes
 test/reference/culled-glyphs.traps.argb32.ref.png  | Bin 435 -> 440 bytes
 test/reference/culled-glyphs.traps.rgb24.ref.png   | Bin 435 -> 440 bytes
 test/reference/fill-image.traps.argb32.ref.png     | Bin 1455 -> 1458 bytes
 test/reference/fill-image.traps.rgb24.ref.png      | Bin 1455 -> 1458 bytes
 ...large-twin-antialias-mixed.traps.argb32.ref.png | Bin 10740 -> 16660 bytes
 .../large-twin-antialias-mixed.traps.rgb24.ref.png | Bin 10740 -> 16660 bytes
 .../overlapping-glyphs.traps.argb32.ref.png        | Bin 2684 -> 2715 bytes
 .../overlapping-glyphs.traps.rgb24.ref.png         | Bin 1647 -> 1661 bytes
 .../partial-clip-text-bottom.traps.argb32.ref.png  | Bin 259 -> 261 bytes
 .../partial-clip-text-bottom.traps.rgb24.ref.png   | Bin 259 -> 261 bytes
 .../partial-clip-text-left.traps.argb32.ref.png    | Bin 293 -> 301 bytes
 .../partial-clip-text-left.traps.rgb24.ref.png     | Bin 293 -> 301 bytes
 test/reference/random-clip.traps.argb32.ref.png    | Bin 523342 -> 523346 bytes
 test/reference/random-clip.traps.rgb24.ref.png     | Bin 523342 -> 523346 bytes
 test/reference/stroke-image.traps.argb32.ref.png   | Bin 1458 -> 1467 bytes
 test/reference/stroke-image.traps.rgb24.ref.png    | Bin 1458 -> 1467 bytes
 test/reference/subsurface.traps.argb32.ref.png     | Bin 1281 -> 1811 bytes
 test/reference/subsurface.traps.rgb24.ref.png      | Bin 1281 -> 1811 bytes
 .../twin-antialias-gray.traps.argb32.ref.png       | Bin 4053 -> 4392 bytes
 .../twin-antialias-gray.traps.rgb24.ref.png        | Bin 4053 -> 4392 bytes
 .../twin-antialias-mixed.traps.argb32.ref.png      | Bin 1639 -> 2230 bytes
 .../twin-antialias-mixed.traps.rgb24.ref.png       | Bin 1639 -> 2230 bytes
 .../twin-antialias-none.traps.argb32.ref.png       | Bin 747 -> 738 bytes
 .../twin-antialias-none.traps.rgb24.ref.png        | Bin 747 -> 738 bytes
 .../twin-antialias-subpixel.traps.argb32.ref.png   | Bin 4053 -> 4392 bytes
 .../twin-antialias-subpixel.traps.rgb24.ref.png    | Bin 4053 -> 4392 bytes
 test/reference/twin.traps.argb32.ref.png           | Bin 4053 -> 4392 bytes
 test/reference/twin.traps.rgb24.ref.png            | Bin 4053 -> 4392 bytes
 test/reference/user-font.traps.argb32.ref.png      | Bin 5439 -> 6080 bytes
 test/reference/user-font.traps.rgb24.ref.png       | Bin 5439 -> 6080 bytes
 32 files changed, 0 insertions(+), 0 deletions(-)

commit c9f18bb034c31b37692b80db47b663f14f441f6a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 10:09:05 2012 +0000

    test: Update base reference images for new reference font
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/clear-source.base.argb32.ref.png     | Bin 779 -> 882 bytes
 test/reference/clear-source.base.rgb24.ref.png      | Bin 779 -> 882 bytes
 test/reference/clip-operator.base.argb32.ref.png    | Bin 8171 -> 8179 bytes
 test/reference/clip-operator.base.rgb24.ref.png     | Bin 3231 -> 3243 bytes
 test/reference/clip-text.base.argb32.ref.png        | Bin 899 -> 899 bytes
 test/reference/clip-text.base.rgb24.ref.png         | Bin 899 -> 899 bytes
 test/reference/culled-glyphs.base.argb32.ref.png    | Bin 435 -> 440 bytes
 test/reference/culled-glyphs.base.rgb24.ref.png     | Bin 435 -> 440 bytes
 test/reference/fill-image.base.argb32.ref.png       | Bin 1455 -> 1458 bytes
 test/reference/fill-image.base.rgb24.ref.png        | Bin 1455 -> 1458 bytes
 .../font-matrix-translation.base.argb32.ref.png     | Bin 874 -> 865 bytes
 .../font-matrix-translation.base.rgb24.ref.png      | Bin 874 -> 865 bytes
 .../ft-show-glyphs-positioning.base.argb32.ref.png  | Bin 3297 -> 3243 bytes
 .../ft-show-glyphs-positioning.base.rgb24.ref.png   | Bin 3297 -> 3243 bytes
 .../ft-show-glyphs-table.base.argb32.ref.png        | Bin 9893 -> 9975 bytes
 .../ft-show-glyphs-table.base.rgb24.ref.png         | Bin 9893 -> 9975 bytes
 .../glyph-cache-pressure.base.argb32.ref.png        | Bin 2863 -> 2858 bytes
 .../glyph-cache-pressure.base.rgb24.ref.png         | Bin 2863 -> 2858 bytes
 test/reference/halo-transform.base.argb32.ref.png   | Bin 15118 -> 15122 bytes
 test/reference/halo-transform.base.rgb24.ref.png    | Bin 15118 -> 15122 bytes
 test/reference/halo.base.argb32.ref.png             | Bin 8800 -> 8594 bytes
 test/reference/halo.base.rgb24.ref.png              | Bin 8800 -> 8594 bytes
 .../large-twin-antialias-mixed.base.argb32.ref.png  | Bin 10740 -> 16660 bytes
 .../large-twin-antialias-mixed.base.rgb24.ref.png   | Bin 10740 -> 16660 bytes
 test/reference/operator-clear.base.argb32.ref.png   | Bin 1070 -> 1071 bytes
 test/reference/operator-clear.base.rgb24.ref.png    | Bin 950 -> 950 bytes
 test/reference/operator-source.base.argb32.ref.png  | Bin 5630 -> 5625 bytes
 test/reference/operator-source.base.rgb24.ref.png   | Bin 3979 -> 3979 bytes
 .../overlapping-glyphs.base.argb32.ref.png          | Bin 2684 -> 2715 bytes
 .../reference/overlapping-glyphs.base.rgb24.ref.png | Bin 1647 -> 1661 bytes
 .../partial-clip-text-bottom.base.argb32.ref.png    | Bin 259 -> 261 bytes
 .../partial-clip-text-bottom.base.rgb24.ref.png     | Bin 259 -> 261 bytes
 .../partial-clip-text-left.base.argb32.ref.png      | Bin 293 -> 301 bytes
 .../partial-clip-text-left.base.rgb24.ref.png       | Bin 293 -> 301 bytes
 .../partial-clip-text-right.base.argb32.ref.png     | Bin 155 -> 155 bytes
 .../partial-clip-text-right.base.rgb24.ref.png      | Bin 155 -> 155 bytes
 .../partial-clip-text-top.base.argb32.ref.png       | Bin 173 -> 181 bytes
 .../partial-clip-text-top.base.rgb24.ref.png        | Bin 173 -> 181 bytes
 .../reference/pthread-show-text.base.argb32.ref.png | Bin 29759 -> 30199 bytes
 test/reference/pthread-show-text.base.rgb24.ref.png | Bin 29759 -> 30199 bytes
 test/reference/select-font-face.base.argb32.ref.png | Bin 2245 -> 2250 bytes
 test/reference/select-font-face.base.rgb24.ref.png  | Bin 2245 -> 2250 bytes
 .../show-glyphs-advance.base.argb32.ref.png         | Bin 1395 -> 1394 bytes
 .../show-glyphs-advance.base.rgb24.ref.png          | Bin 1395 -> 1394 bytes
 .../show-text-current-point.base.argb32.ref.png     | Bin 2185 -> 2151 bytes
 .../show-text-current-point.base.rgb24.ref.png      | Bin 2185 -> 2151 bytes
 test/reference/smask-text.base.argb32.ref.png       | Bin 1624 -> 1660 bytes
 test/reference/smask-text.base.rgb24.ref.png        | Bin 1624 -> 1660 bytes
 test/reference/smask.base.argb32.ref.png            | Bin 3404 -> 3393 bytes
 test/reference/smask.base.rgb24.ref.png             | Bin 3404 -> 3393 bytes
 test/reference/stroke-image.base.argb32.ref.png     | Bin 1458 -> 1467 bytes
 test/reference/stroke-image.base.rgb24.ref.png      | Bin 1458 -> 1467 bytes
 .../subsurface-outside-target.base.argb32.ref.png   | Bin 1149 -> 2063 bytes
 .../subsurface-outside-target.base.rgb24.ref.png    | Bin 1005 -> 1648 bytes
 test/reference/subsurface.base.argb32.ref.png       | Bin 1281 -> 1811 bytes
 test/reference/subsurface.base.rgb24.ref.png        | Bin 1281 -> 1811 bytes
 .../text-antialias-gray.base.argb32.ref.png         | Bin 975 -> 966 bytes
 .../text-antialias-gray.base.rgb24.ref.png          | Bin 975 -> 966 bytes
 test/reference/text-glyph-range.base.argb32.ref.png | Bin 1991 -> 1979 bytes
 test/reference/text-glyph-range.base.rgb24.ref.png  | Bin 1991 -> 1979 bytes
 test/reference/text-pattern.base.argb32.ref.png     | Bin 1695 -> 3497 bytes
 test/reference/text-pattern.base.rgb24.ref.png      | Bin 1397 -> 2707 bytes
 test/reference/text-rotate.base.argb32.ref.png      | Bin 16599 -> 16597 bytes
 test/reference/text-rotate.base.rgb24.ref.png       | Bin 16599 -> 16597 bytes
 .../twin-antialias-gray.base.argb32.ref.png         | Bin 4053 -> 4392 bytes
 .../twin-antialias-gray.base.rgb24.ref.png          | Bin 4053 -> 4392 bytes
 .../twin-antialias-mixed.base.argb32.ref.png        | Bin 1639 -> 2230 bytes
 .../twin-antialias-mixed.base.rgb24.ref.png         | Bin 1639 -> 2230 bytes
 .../twin-antialias-none.base.argb32.ref.png         | Bin 747 -> 738 bytes
 .../twin-antialias-none.base.rgb24.ref.png          | Bin 747 -> 738 bytes
 .../twin-antialias-subpixel.base.argb32.ref.png     | Bin 4053 -> 4392 bytes
 .../twin-antialias-subpixel.base.rgb24.ref.png      | Bin 4053 -> 4392 bytes
 test/reference/twin.base.argb32.ref.png             | Bin 4053 -> 4392 bytes
 test/reference/twin.base.rgb24.ref.png              | Bin 4053 -> 4392 bytes
 .../unbounded-operator.base.argb32.ref.png          | Bin 2756 -> 2764 bytes
 .../reference/unbounded-operator.base.rgb24.ref.png | Bin 1289 -> 1302 bytes
 test/reference/user-font-proxy.base.argb32.ref.png  | Bin 16798 -> 16854 bytes
 test/reference/user-font-proxy.base.rgb24.ref.png   | Bin 16798 -> 16854 bytes
 .../reference/user-font-rescale.base.argb32.ref.png | Bin 14852 -> 14883 bytes
 test/reference/user-font-rescale.base.rgb24.ref.png | Bin 14852 -> 14883 bytes
 test/reference/user-font.base.argb32.ref.png        | Bin 5439 -> 6080 bytes
 test/reference/user-font.base.rgb24.ref.png         | Bin 5439 -> 6080 bytes
 82 files changed, 0 insertions(+), 0 deletions(-)

commit da8841cc5ea0b45daba6b91227a2b7058a0120b7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 22 09:30:32 2012 +0000

    test/README: Update sha1sums for fonts used
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/README | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2d74eaf92f086a1e6119241b7dd34f44bf795967
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 20 21:02:55 2012 +0000

    image: Add the get-font-options callback again.
    
    In the midst of trying to simply export the
    _cairo_image_surface_get_font_options() for subclassing, I accidentally
    decoupled it from the image surface backend. Mea culpa.
    
    Fixes regression from 8bea52bb (Add preliminary damage tracking), which
    should not have even touched the backend structure except for an ugly
    rebasing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58f79a85b0d37ab9ccf9e6d706c202a6078e9140
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Sun Feb 19 18:25:06 2012 +0100

    perf: Don't use a boolean value as integer
    
    Although in this case the boolean values are guaranteed to be 1/0,
    using them as true/false (in an if condition) seems much saner than
    using them to limit the number of iterations on a for loop.
    
    Fixes:
    
    cairo-perf-micro.c:221:5: warning: cannot optimize possibly infinite
    loops [-Wunsafe-loop-optimizations]

 perf/cairo-perf-micro.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 86a7533d0a2bd5d3c9ce0c18074d11ed633162df
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Sun Feb 19 18:21:35 2012 +0100

    stroke-style: Silence gcc warning
    
    and make it more obvious that we're not doing OOB accesses.
    
    They were not possible because of the parity constraint, but by
    guarding the highest index with which we access the data in the loop,
    the correctness information is completely contained in the loop code.
    
    Fixes:
    
    cairo-stroke-style.c:199:2: warning: cannot optimize loop, the loop
    counter may overflow [-Wunsafe-loop-optimizations]

 src/cairo-stroke-style.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3b6e151a26de7cdf5b00cf3942e25185f4b6892
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Sun Feb 19 17:20:49 2012 +0100

    path-fixed: Silence gcc warnings
    
    _cairo_path_fixed_last_op() contains an assertion, which gcc doesn't
    like to inline. Since it is a static function, which basically
    accesses a value, gcc will inline it anyway when assertions are
    disabled, so remove the "inline" hint to reduce gcc warning noise when
    doing debug builds.
    
    Fixes:
    
    cairo-path-fixed.c: In function '_cairo_path_fixed_drop_line_to':
    cairo-path-fixed.c:373:1: warning: inlining failed in call to
    '_cairo_path_fixed_last_op.isra.5.part.6': call is unlikely and code
    size would grow [-Winline]
    cairo-path-fixed.c:400:1: warning: called from here [-Winline]
    ...

 src/cairo-path-fixed.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4908b3848aac2b66a7acafc60eeab0066bc1b1d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 20 11:24:17 2012 +0000

    test: Refresh reference images for antialiasing fix
    
    Having discovered that I had recreated the references images with a
    buggy rasteriser, we now need to recreate them with the correct reference
    settings.

 test/reference/a1-bug.argb32.ref.png                  | Bin 0 -> 3735 bytes
 test/reference/a1-bug.rgb24.ref.png                   | Bin 0 -> 3735 bytes
 test/reference/a1-clip-fill-equal.argb32.ref.png      | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill-equal.rgb24.ref.png       | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill.argb32.ref.png            | Bin 0 -> 120 bytes
 test/reference/a1-clip-fill.rgb24.ref.png             | Bin 0 -> 120 bytes
 test/reference/a1-clip-paint.argb32.ref.png           | Bin 0 -> 120 bytes
 test/reference/a1-clip-paint.rgb24.ref.png            | Bin 0 -> 120 bytes
 test/reference/a1-clip-stroke.argb32.ref.png          | Bin 0 -> 120 bytes
 test/reference/a1-clip-stroke.rgb24.ref.png           | Bin 0 -> 120 bytes
 test/reference/a1-fill.argb32.ref.png                 | Bin 0 -> 328 bytes
 test/reference/a1-fill.rgb24.ref.png                  | Bin 0 -> 328 bytes
 test/reference/a1-image-sample.argb32.ref.png         | Bin 0 -> 122 bytes
 test/reference/a1-image-sample.rgb24.ref.png          | Bin 0 -> 122 bytes
 .../a1-image-sample.xlib-fallback.rgb24.ref.png       | Bin 0 -> 122 bytes
 .../a1-image-sample.xlib-window.rgb24.ref.png         | Bin 0 -> 122 bytes
 test/reference/a1-image-sample.xlib.argb32.ref.png    | Bin 0 -> 122 bytes
 test/reference/a1-image-sample.xlib.rgb24.ref.png     | Bin 0 -> 122 bytes
 test/reference/a1-line-width.argb32.ref.png           | Bin 0 -> 154 bytes
 test/reference/a1-line-width.rgb24.ref.png            | Bin 0 -> 154 bytes
 test/reference/a1-mask-sample.argb32.ref.png          | Bin 0 -> 122 bytes
 test/reference/a1-mask-sample.rgb24.ref.png           | Bin 0 -> 122 bytes
 test/reference/a1-mask.argb32.ref.png                 | Bin 0 -> 106 bytes
 test/reference/a1-mask.rgb24.ref.png                  | Bin 0 -> 106 bytes
 .../a1-rasterisation-rectangles.argb32.ref.png        | Bin 0 -> 1729 bytes
 .../a1-rasterisation-rectangles.rgb24.ref.png         | Bin 0 -> 1729 bytes
 .../a1-rasterisation-triangles.argb32.ref.png         | Bin 0 -> 1729 bytes
 .../a1-rasterisation-triangles.rgb24.ref.png          | Bin 0 -> 1729 bytes
 test/reference/a1-rectilinear-grid.argb32.ref.png     | Bin 0 -> 207 bytes
 test/reference/a1-rectilinear-grid.rgb24.ref.png      | Bin 0 -> 207 bytes
 test/reference/a1-sample.argb32.ref.png               | Bin 0 -> 786 bytes
 test/reference/a1-sample.rgb24.ref.png                | Bin 0 -> 786 bytes
 test/reference/a1-tiger.argb32.ref.png                | Bin 0 -> 20328 bytes
 test/reference/a1-tiger.rgb24.ref.png                 | Bin 0 -> 20328 bytes
 test/reference/a1-traps-sample.argb32.ref.png         | Bin 0 -> 120 bytes
 test/reference/a1-traps-sample.rgb24.ref.png          | Bin 0 -> 120 bytes
 test/reference/a8-clear.argb32.ref.png                | Bin 0 -> 271 bytes
 test/reference/a8-clear.rgb24.ref.png                 | Bin 0 -> 271 bytes
 test/reference/a8-mask.argb32.ref.png                 | Bin 0 -> 103 bytes
 test/reference/a8-mask.rgb24.ref.png                  | Bin 0 -> 103 bytes
 test/reference/aliasing.argb32.ref.png                | Bin 0 -> 104324 bytes
 test/reference/aliasing.rgb24.ref.png                 | Bin 0 -> 104324 bytes
 test/reference/alpha-similar.argb32.ref.png           | Bin 0 -> 99 bytes
 test/reference/alpha-similar.rgb24.ref.png            | Bin 99 -> 88 bytes
 test/reference/api-special-cases.argb32.ref.png       | Bin 0 -> 95 bytes
 test/reference/api-special-cases.rgb24.ref.png        | Bin 0 -> 95 bytes
 test/reference/arc-direction.argb32.ref.png           | Bin 0 -> 6380 bytes
 test/reference/arc-direction.rgb24.ref.png            | Bin 0 -> 6380 bytes
 test/reference/arc-infinite-loop.argb32.ref.png       | Bin 0 -> 96 bytes
 test/reference/arc-infinite-loop.rgb24.ref.png        | Bin 0 -> 96 bytes
 test/reference/arc-looping-dash.argb32.ref.png        | Bin 0 -> 464 bytes
 test/reference/arc-looping-dash.rgb24.ref.png         | Bin 0 -> 464 bytes
 test/reference/big-line.argb32.ref.png                | Bin 0 -> 977 bytes
 test/reference/big-line.rgb24.ref.png                 | Bin 0 -> 977 bytes
 test/reference/big-little-triangle.argb32.ref.png     | Bin 408 -> 409 bytes
 test/reference/big-little-triangle.rgb24.ref.png      | Bin 324 -> 328 bytes
 test/reference/bilevel-image.argb32.ref.png           | Bin 0 -> 105 bytes
 test/reference/bilevel-image.rgb24.ref.png            | Bin 0 -> 105 bytes
 test/reference/bilevel-xlib-fallback.rgb24.ref.png    | Bin 0 -> 105 bytes
 test/reference/bilevel-xlib-window.rgb24.ref.png      | Bin 0 -> 105 bytes
 test/reference/bilevel-xlib.argb32.ref.png            | Bin 0 -> 105 bytes
 test/reference/bilevel-xlib.rgb24.ref.png             | Bin 0 -> 105 bytes
 test/reference/bitmap-font.argb32.ref.png             | Bin 0 -> 931 bytes
 test/reference/bitmap-font.rgb24.ref.png              | Bin 890 -> 871 bytes
 test/reference/bug-40410.argb32.ref.png               | Bin 0 -> 429 bytes
 test/reference/bug-40410.rgb24.ref.png                | Bin 0 -> 429 bytes
 test/reference/bug-bo-rectangular.argb32.ref.png      | Bin 0 -> 950 bytes
 test/reference/bug-bo-rectangular.rgb24.ref.png       | Bin 0 -> 950 bytes
 test/reference/bug-bo-ricotz.argb32.ref.png           | Bin 0 -> 2128 bytes
 test/reference/bug-bo-ricotz.rgb24.ref.png            | Bin 0 -> 2128 bytes
 test/reference/bug-extents.argb32.ref.png             | Bin 0 -> 9251 bytes
 test/reference/bug-extents.rgb24.ref.png              | Bin 0 -> 9251 bytes
 test/reference/bug-seams.argb32.ref.png               | Bin 0 -> 1647 bytes
 test/reference/bug-seams.rgb24.ref.png                | Bin 0 -> 1647 bytes
 test/reference/caps-joins-alpha.argb32.ref.png        | Bin 0 -> 2662 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png         | Bin 0 -> 2662 bytes
 test/reference/caps-joins-curve.argb32.ref.png        | Bin 0 -> 6217 bytes
 test/reference/caps-joins-curve.rgb24.ref.png         | Bin 0 -> 6217 bytes
 test/reference/caps-joins.argb32.ref.png              | Bin 0 -> 2893 bytes
 test/reference/caps-joins.rgb24.ref.png               | Bin 0 -> 2893 bytes
 test/reference/caps-sub-paths.argb32.ref.png          | Bin 0 -> 168 bytes
 test/reference/caps-sub-paths.rgb24.ref.png           | Bin 0 -> 168 bytes
 test/reference/caps-tails-curve.argb32.ref.png        | Bin 0 -> 53311 bytes
 test/reference/caps-tails-curve.rgb24.ref.png         | Bin 0 -> 53311 bytes
 test/reference/caps.argb32.ref.png                    | Bin 0 -> 2115 bytes
 test/reference/caps.rgb24.ref.png                     | Bin 0 -> 2115 bytes
 test/reference/checkerboard.argb32.ref.png            | Bin 0 -> 142 bytes
 test/reference/checkerboard.rgb24.ref.png             | Bin 0 -> 142 bytes
 test/reference/clear-source.argb32.ref.png            | Bin 0 -> 882 bytes
 test/reference/clear-source.rgb24.ref.png             | Bin 0 -> 882 bytes
 test/reference/clear.argb32.ref.png                   | Bin 539 -> 692 bytes
 test/reference/clear.rgb24.ref.png                    | Bin 484 -> 617 bytes
 test/reference/clip-all.argb32.ref.png                | Bin 0 -> 95 bytes
 test/reference/clip-all.rgb24.ref.png                 | Bin 0 -> 95 bytes
 .../reference/clip-complex-shape-eo-aa.argb32.ref.png | Bin 0 -> 325 bytes
 test/reference/clip-complex-shape-eo-aa.rgb24.ref.png | Bin 0 -> 325 bytes
 .../clip-complex-shape-eo-mono.argb32.ref.png         | Bin 0 -> 325 bytes
 .../clip-complex-shape-eo-mono.rgb24.ref.png          | Bin 0 -> 325 bytes
 test/reference/clip-contexts.argb32.ref.png           | Bin 0 -> 98 bytes
 test/reference/clip-contexts.rgb24.ref.png            | Bin 0 -> 98 bytes
 test/reference/clip-disjoint-hatching.argb32.ref.png  | Bin 0 -> 9022 bytes
 test/reference/clip-disjoint-hatching.rgb24.ref.png   | Bin 0 -> 9022 bytes
 test/reference/clip-disjoint.argb32.ref.png           | Bin 0 -> 5399 bytes
 test/reference/clip-disjoint.rgb24.ref.png            | Bin 0 -> 5399 bytes
 test/reference/clip-empty-group.argb32.ref.png        | Bin 0 -> 103 bytes
 test/reference/clip-empty-group.rgb24.ref.png         | Bin 0 -> 103 bytes
 test/reference/clip-empty-save.argb32.ref.png         | Bin 0 -> 95 bytes
 test/reference/clip-empty-save.rgb24.ref.png          | Bin 0 -> 95 bytes
 test/reference/clip-empty.argb32.ref.png              | Bin 0 -> 95 bytes
 test/reference/clip-empty.rgb24.ref.png               | Bin 0 -> 95 bytes
 test/reference/clip-fill-eo-unbounded.argb32.ref.png  | Bin 3970 -> 4197 bytes
 test/reference/clip-fill-eo-unbounded.rgb24.ref.png   | Bin 3409 -> 3551 bytes
 test/reference/clip-fill-no-op.argb32.ref.png         | Bin 0 -> 152 bytes
 test/reference/clip-fill-no-op.rgb24.ref.png          | Bin 0 -> 152 bytes
 test/reference/clip-fill-nz-unbounded.argb32.ref.png  | Bin 3970 -> 4197 bytes
 test/reference/clip-fill-nz-unbounded.rgb24.ref.png   | Bin 3409 -> 3551 bytes
 .../clip-fill-rule-pixel-aligned.argb32.ref.png       | Bin 0 -> 176 bytes
 .../clip-fill-rule-pixel-aligned.rgb24.ref.png        | Bin 184 -> 165 bytes
 test/reference/clip-fill-rule.argb32.ref.png          | Bin 371 -> 437 bytes
 test/reference/clip-fill-rule.rgb24.ref.png           | Bin 338 -> 393 bytes
 test/reference/clip-fill.argb32.ref.png               | Bin 0 -> 1031 bytes
 test/reference/clip-fill.rgb24.ref.png                | Bin 0 -> 1031 bytes
 ...lip-group-shapes-aligned-rectangles.argb32.ref.png | Bin 0 -> 378 bytes
 ...clip-group-shapes-aligned-rectangles.rgb24.ref.png | Bin 0 -> 378 bytes
 .../clip-group-shapes-circles.argb32.ref.png          | Bin 0 -> 1525 bytes
 .../reference/clip-group-shapes-circles.rgb24.ref.png | Bin 0 -> 1525 bytes
 ...p-group-shapes-unaligned-rectangles.argb32.ref.png | Bin 0 -> 415 bytes
 ...ip-group-shapes-unaligned-rectangles.rgb24.ref.png | Bin 0 -> 415 bytes
 test/reference/clip-image.argb32.ref.png              | Bin 0 -> 2677 bytes
 test/reference/clip-image.rgb24.ref.png               | Bin 0 -> 2677 bytes
 test/reference/clip-intersect.argb32.ref.png          | Bin 0 -> 200 bytes
 test/reference/clip-intersect.rgb24.ref.png           | Bin 0 -> 200 bytes
 test/reference/clip-mixed-antialias.argb32.ref.png    | Bin 0 -> 1084 bytes
 test/reference/clip-mixed-antialias.rgb24.ref.png     | Bin 0 -> 1084 bytes
 test/reference/clip-nesting.argb32.ref.png            | Bin 1080 -> 1044 bytes
 test/reference/clip-nesting.rgb24.ref.png             | Bin 954 -> 937 bytes
 test/reference/clip-polygons.argb32.ref.png           | Bin 0 -> 1352 bytes
 test/reference/clip-polygons.rgb24.ref.png            | Bin 0 -> 1352 bytes
 test/reference/clip-push-group.argb32.ref.png         | Bin 0 -> 164 bytes
 test/reference/clip-push-group.rgb24.ref.png          | Bin 0 -> 164 bytes
 test/reference/clip-rectilinear.argb32.ref.png        | Bin 0 -> 439 bytes
 test/reference/clip-rectilinear.rgb24.ref.png         | Bin 0 -> 439 bytes
 .../clip-rotate-image-surface-paint.argb32.ref.png    | Bin 0 -> 202 bytes
 .../clip-rotate-image-surface-paint.rgb24.ref.png     | Bin 0 -> 202 bytes
 ...te-image-surface-paint.xlib-fallback.rgb24.ref.png | Bin 0 -> 202 bytes
 ...tate-image-surface-paint.xlib-window.rgb24.ref.png | Bin 0 -> 202 bytes
 ...lip-rotate-image-surface-paint.xlib.argb32.ref.png | Bin 0 -> 202 bytes
 ...clip-rotate-image-surface-paint.xlib.rgb24.ref.png | Bin 0 -> 202 bytes
 test/reference/clip-shape.argb32.ref.png              | Bin 0 -> 3073 bytes
 test/reference/clip-shape.rgb24.ref.png               | Bin 0 -> 3073 bytes
 test/reference/clip-stroke-no-op.argb32.ref.png       | Bin 0 -> 152 bytes
 test/reference/clip-stroke-no-op.rgb24.ref.png        | Bin 0 -> 152 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png   | Bin 3887 -> 4128 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png    | Bin 3408 -> 3546 bytes
 test/reference/clip-stroke.argb32.ref.png             | Bin 0 -> 1522 bytes
 test/reference/clip-stroke.rgb24.ref.png              | Bin 0 -> 1522 bytes
 test/reference/clip-text.argb32.ref.png               | Bin 0 -> 928 bytes
 test/reference/clip-text.rgb24.ref.png                | Bin 0 -> 928 bytes
 test/reference/clip-twice-rectangle.argb32.ref.png    | Bin 0 -> 323 bytes
 test/reference/clip-twice-rectangle.rgb24.ref.png     | Bin 0 -> 323 bytes
 test/reference/clip-twice.argb32.ref.png              | Bin 1068 -> 1358 bytes
 test/reference/clip-twice.rgb24.ref.png               | Bin 1022 -> 1195 bytes
 test/reference/clip-unbounded.argb32.ref.png          | Bin 0 -> 100 bytes
 test/reference/clip-xlib-fallback.rgb24.ref.png       | Bin 0 -> 2686 bytes
 test/reference/clip-xlib-window.rgb24.ref.png         | Bin 0 -> 2686 bytes
 test/reference/clip-xlib.argb32.ref.png               | Bin 0 -> 2686 bytes
 test/reference/clip-xlib.rgb24.ref.png                | Bin 0 -> 2686 bytes
 test/reference/clipped-group.argb32.ref.png           | Bin 0 -> 342 bytes
 test/reference/clipped-group.rgb24.ref.png            | Bin 0 -> 342 bytes
 test/reference/clipped-surface.argb32.ref.png         | Bin 0 -> 345 bytes
 test/reference/clipped-surface.rgb24.ref.png          | Bin 0 -> 345 bytes
 .../reference/close-path-current-point.argb32.ref.png | Bin 0 -> 2324 bytes
 test/reference/close-path-current-point.rgb24.ref.png | Bin 0 -> 2324 bytes
 test/reference/close-path.argb32.ref.png              | Bin 0 -> 294 bytes
 test/reference/close-path.rgb24.ref.png               | Bin 0 -> 294 bytes
 ...osite-integer-translate-over-repeat.argb32.ref.png | Bin 0 -> 334 bytes
 ...posite-integer-translate-over-repeat.rgb24.ref.png | Bin 0 -> 334 bytes
 .../composite-integer-translate-over.argb32.ref.png   | Bin 0 -> 13998 bytes
 .../composite-integer-translate-over.rgb24.ref.png    | Bin 0 -> 13998 bytes
 .../composite-integer-translate-source.argb32.ref.png | Bin 0 -> 13998 bytes
 .../composite-integer-translate-source.rgb24.ref.png  | Bin 0 -> 13998 bytes
 test/reference/copy-disjoint.argb32.ref.png           | Bin 0 -> 1098 bytes
 test/reference/copy-disjoint.rgb24.ref.png            | Bin 0 -> 1098 bytes
 test/reference/copy-path.argb32.ref.png               | Bin 0 -> 616 bytes
 test/reference/copy-path.rgb24.ref.png                | Bin 0 -> 616 bytes
 test/reference/create-from-png-stream.argb32.ref.png  | Bin 0 -> 96 bytes
 test/reference/create-from-png-stream.rgb24.ref.png   | Bin 0 -> 96 bytes
 test/reference/create-from-png.argb32.ref.png         | Bin 0 -> 96 bytes
 test/reference/create-from-png.rgb24.ref.png          | Bin 0 -> 96 bytes
 test/reference/culled-glyphs.argb32.ref.png           | Bin 0 -> 440 bytes
 test/reference/culled-glyphs.rgb24.ref.png            | Bin 0 -> 440 bytes
 test/reference/curve-to-as-line-to.argb32.ref.png     | Bin 0 -> 109 bytes
 test/reference/curve-to-as-line-to.rgb24.ref.png      | Bin 0 -> 109 bytes
 test/reference/dash-caps-joins.argb32.ref.png         | Bin 0 -> 5157 bytes
 test/reference/dash-caps-joins.rgb24.ref.png          | Bin 0 -> 5157 bytes
 test/reference/dash-curve.argb32.ref.png              | Bin 0 -> 41040 bytes
 test/reference/dash-curve.rgb24.ref.png               | Bin 0 -> 41040 bytes
 test/reference/dash-infinite-loop.argb32.ref.png      | Bin 0 -> 877 bytes
 test/reference/dash-infinite-loop.rgb24.ref.png       | Bin 0 -> 877 bytes
 test/reference/dash-no-dash.argb32.ref.png            | Bin 0 -> 119 bytes
 test/reference/dash-no-dash.rgb24.ref.png             | Bin 0 -> 119 bytes
 test/reference/dash-offset-negative.argb32.ref.png    | Bin 0 -> 129 bytes
 test/reference/dash-offset-negative.rgb24.ref.png     | Bin 0 -> 129 bytes
 test/reference/dash-offset.argb32.ref.png             | Bin 0 -> 794 bytes
 test/reference/dash-offset.rgb24.ref.png              | Bin 0 -> 794 bytes
 test/reference/dash-scale.argb32.ref.png              | Bin 0 -> 8913 bytes
 test/reference/dash-scale.rgb24.ref.png               | Bin 0 -> 8913 bytes
 test/reference/dash-state.argb32.ref.png              | Bin 0 -> 8027 bytes
 test/reference/dash-state.rgb24.ref.png               | Bin 0 -> 8027 bytes
 test/reference/dash-zero-length.argb32.ref.png        | Bin 0 -> 230 bytes
 test/reference/dash-zero-length.rgb24.ref.png         | Bin 218 -> 210 bytes
 test/reference/degenerate-arc.argb32.ref.png          | Bin 0 -> 653 bytes
 test/reference/degenerate-arc.rgb24.ref.png           | Bin 0 -> 653 bytes
 test/reference/degenerate-arcs.argb32.ref.png         | Bin 0 -> 120 bytes
 test/reference/degenerate-arcs.rgb24.ref.png          | Bin 0 -> 120 bytes
 test/reference/degenerate-curve-to.argb32.ref.png     | Bin 0 -> 280 bytes
 test/reference/degenerate-curve-to.rgb24.ref.png      | Bin 0 -> 280 bytes
 test/reference/degenerate-dash.argb32.ref.png         | Bin 0 -> 2086 bytes
 test/reference/degenerate-dash.rgb24.ref.png          | Bin 0 -> 2086 bytes
 .../degenerate-linear-gradient.argb32.ref.png         | Bin 0 -> 336 bytes
 .../degenerate-linear-gradient.rgb24.ref.png          | Bin 0 -> 336 bytes
 test/reference/degenerate-path.argb32.ref.png         | Bin 253 -> 250 bytes
 test/reference/degenerate-path.rgb24.ref.png          | Bin 212 -> 219 bytes
 test/reference/degenerate-pen.argb32.ref.png          | Bin 0 -> 1019 bytes
 test/reference/degenerate-pen.rgb24.ref.png           | Bin 0 -> 1019 bytes
 .../degenerate-radial-gradient.argb32.ref.png         | Bin 0 -> 428 bytes
 .../degenerate-radial-gradient.rgb24.ref.png          | Bin 0 -> 428 bytes
 test/reference/degenerate-rel-curve-to.argb32.ref.png | Bin 0 -> 277 bytes
 test/reference/degenerate-rel-curve-to.rgb24.ref.png  | Bin 0 -> 277 bytes
 .../reference/device-offset-fractional.argb32.ref.png | Bin 0 -> 266 bytes
 test/reference/device-offset-fractional.rgb24.ref.png | Bin 0 -> 266 bytes
 test/reference/device-offset-positive.argb32.ref.png  | Bin 0 -> 120 bytes
 test/reference/device-offset-positive.rgb24.ref.png   | Bin 130 -> 111 bytes
 test/reference/device-offset-scale.argb32.ref.png     | Bin 0 -> 109 bytes
 test/reference/device-offset-scale.rgb24.ref.png      | Bin 0 -> 109 bytes
 test/reference/device-offset.argb32.ref.png           | Bin 0 -> 118 bytes
 test/reference/device-offset.rgb24.ref.png            | Bin 130 -> 111 bytes
 test/reference/drunkard-tails.argb32.ref.png          | Bin 0 -> 6116 bytes
 test/reference/drunkard-tails.rgb24.ref.png           | Bin 0 -> 6116 bytes
 test/reference/extend-pad-border.argb32.ref.png       | Bin 0 -> 495 bytes
 test/reference/extend-pad-border.rgb24.ref.png        | Bin 0 -> 495 bytes
 test/reference/extend-pad-similar.argb32.ref.png      | Bin 0 -> 279 bytes
 test/reference/extend-pad-similar.rgb24.ref.png       | Bin 0 -> 279 bytes
 test/reference/extend-pad.argb32.ref.png              | Bin 0 -> 279 bytes
 test/reference/extend-pad.rgb24.ref.png               | Bin 0 -> 279 bytes
 test/reference/extend-reflect-similar.argb32.ref.png  | Bin 0 -> 133406 bytes
 test/reference/extend-reflect-similar.rgb24.ref.png   | Bin 0 -> 133406 bytes
 test/reference/extend-reflect.argb32.ref.png          | Bin 0 -> 133406 bytes
 test/reference/extend-reflect.rgb24.ref.png           | Bin 0 -> 133406 bytes
 test/reference/extend-repeat-similar.argb32.ref.png   | Bin 0 -> 108603 bytes
 test/reference/extend-repeat-similar.rgb24.ref.png    | Bin 0 -> 108603 bytes
 test/reference/extend-repeat.argb32.ref.png           | Bin 0 -> 108603 bytes
 test/reference/extend-repeat.rgb24.ref.png            | Bin 0 -> 108603 bytes
 test/reference/extended-blend-solid.argb32.ref.png    | Bin 4071 -> 4063 bytes
 test/reference/extended-blend.argb32.ref.png          | Bin 4071 -> 4063 bytes
 test/reference/fallback.argb32.ref.png                | Bin 3139 -> 4070 bytes
 test/reference/fallback.image16.rgb24.ref.png         | Bin 0 -> 2642 bytes
 test/reference/fallback.rgb24.ref.png                 | Bin 2490 -> 3141 bytes
 test/reference/fill-alpha-pattern.argb32.ref.png      | Bin 0 -> 3381 bytes
 test/reference/fill-alpha-pattern.rgb24.ref.png       | Bin 0 -> 3381 bytes
 test/reference/fill-alpha.argb32.ref.png              | Bin 0 -> 2736 bytes
 test/reference/fill-alpha.rgb24.ref.png               | Bin 0 -> 2736 bytes
 .../fill-and-stroke-alpha-add.argb32.ref.png          | Bin 0 -> 556 bytes
 .../reference/fill-and-stroke-alpha-add.rgb24.ref.png | Bin 0 -> 556 bytes
 test/reference/fill-and-stroke-alpha.argb32.ref.png   | Bin 0 -> 508 bytes
 test/reference/fill-and-stroke-alpha.rgb24.ref.png    | Bin 0 -> 508 bytes
 test/reference/fill-and-stroke.argb32.ref.png         | Bin 269 -> 312 bytes
 test/reference/fill-and-stroke.rgb24.ref.png          | Bin 252 -> 283 bytes
 .../fill-degenerate-sort-order.argb32.ref.png         | Bin 1929 -> 2400 bytes
 .../fill-degenerate-sort-order.rgb24.ref.png          | Bin 1689 -> 2049 bytes
 test/reference/fill-disjoint.argb32.ref.png           | Bin 0 -> 1098 bytes
 test/reference/fill-disjoint.rgb24.ref.png            | Bin 0 -> 1098 bytes
 test/reference/fill-image.argb32.ref.png              | Bin 0 -> 1315 bytes
 test/reference/fill-image.rgb24.ref.png               | Bin 0 -> 1315 bytes
 test/reference/fill-missed-stop.argb32.ref.png        | Bin 0 -> 455 bytes
 test/reference/fill-missed-stop.rgb24.ref.png         | Bin 382 -> 382 bytes
 test/reference/fill-rule.argb32.ref.png               | Bin 0 -> 2065 bytes
 test/reference/fill-rule.rgb24.ref.png                | Bin 1591 -> 1803 bytes
 test/reference/fill-xlib-fallback.rgb24.ref.png       | Bin 0 -> 1458 bytes
 test/reference/fill-xlib-window.rgb24.ref.png         | Bin 0 -> 1458 bytes
 test/reference/fill-xlib.argb32.ref.png               | Bin 0 -> 1458 bytes
 test/reference/fill-xlib.rgb24.ref.png                | Bin 0 -> 1458 bytes
 test/reference/filter-bilinear-extents.argb32.ref.png | Bin 0 -> 1210 bytes
 test/reference/filter-bilinear-extents.rgb24.ref.png  | Bin 0 -> 1210 bytes
 test/reference/filter-nearest-offset.argb32.ref.png   | Bin 0 -> 201 bytes
 test/reference/filter-nearest-offset.rgb24.ref.png    | Bin 0 -> 201 bytes
 .../filter-nearest-transformed.argb32.ref.png         | Bin 0 -> 514 bytes
 .../filter-nearest-transformed.rgb24.ref.png          | Bin 0 -> 514 bytes
 test/reference/finer-grained-fallbacks.argb32.ref.png | Bin 993 -> 1167 bytes
 test/reference/finer-grained-fallbacks.rgb24.ref.png  | Bin 786 -> 891 bytes
 test/reference/font-matrix-translation.argb32.ref.png | Bin 0 -> 865 bytes
 test/reference/font-matrix-translation.rgb24.ref.png  | Bin 0 -> 865 bytes
 .../ft-show-glyphs-positioning.argb32.ref.png         | Bin 0 -> 3243 bytes
 .../ft-show-glyphs-positioning.rgb24.ref.png          | Bin 0 -> 3243 bytes
 test/reference/ft-show-glyphs-table.argb32.ref.png    | Bin 0 -> 9975 bytes
 test/reference/ft-show-glyphs-table.rgb24.ref.png     | Bin 0 -> 9975 bytes
 test/reference/ft-text-antialias-none.argb32.ref.png  | Bin 0 -> 295 bytes
 test/reference/ft-text-antialias-none.rgb24.ref.png   | Bin 0 -> 295 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png      | Bin 0 -> 3062 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png       | Bin 0 -> 3062 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png      | Bin 0 -> 3610 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png       | Bin 0 -> 3610 bytes
 test/reference/get-group-target.argb32.ref.png        | Bin 0 -> 113 bytes
 test/reference/get-group-target.rgb24.ref.png         | Bin 0 -> 113 bytes
 test/reference/glyph-cache-pressure.argb32.ref.png    | Bin 0 -> 2858 bytes
 test/reference/glyph-cache-pressure.rgb24.ref.png     | Bin 0 -> 2858 bytes
 test/reference/gradient-alpha.argb32.ref.png          | Bin 0 -> 125 bytes
 test/reference/gradient-constant-alpha.argb32.ref.png | Bin 0 -> 111 bytes
 test/reference/gradient-zero-stops.argb32.ref.png     | Bin 0 -> 86 bytes
 test/reference/gradient-zero-stops.rgb24.ref.png      | Bin 105 -> 86 bytes
 test/reference/group-clip.argb32.ref.png              | Bin 0 -> 191 bytes
 test/reference/group-clip.rgb24.ref.png               | Bin 0 -> 191 bytes
 test/reference/group-paint.argb32.ref.png             | Bin 0 -> 95 bytes
 test/reference/group-paint.rgb24.ref.png              | Bin 0 -> 95 bytes
 test/reference/group-unaligned.argb32.ref.png         | Bin 0 -> 427 bytes
 test/reference/group-unaligned.rgb24.ref.png          | Bin 0 -> 427 bytes
 test/reference/halo-transform.argb32.ref.png          | Bin 0 -> 15063 bytes
 test/reference/halo-transform.rgb24.ref.png           | Bin 0 -> 15063 bytes
 test/reference/halo.argb32.ref.png                    | Bin 0 -> 8726 bytes
 test/reference/halo.rgb24.ref.png                     | Bin 0 -> 8726 bytes
 test/reference/hatchings.argb32.ref.png               | Bin 0 -> 92730 bytes
 test/reference/hatchings.rgb24.ref.png                | Bin 0 -> 92730 bytes
 test/reference/horizontal-clip.argb32.ref.png         | Bin 0 -> 113 bytes
 test/reference/horizontal-clip.rgb24.ref.png          | Bin 0 -> 113 bytes
 test/reference/huge-linear.argb32.ref.png             | Bin 0 -> 1600 bytes
 test/reference/huge-linear.rgb24.ref.png              | Bin 0 -> 1600 bytes
 test/reference/huge-radial.argb32.ref.png             | Bin 0 -> 41702 bytes
 test/reference/huge-radial.rgb24.ref.png              | Bin 0 -> 41702 bytes
 .../reference/image-bug-710072-aligned.argb32.ref.png | Bin 0 -> 151 bytes
 test/reference/image-bug-710072-aligned.rgb24.ref.png | Bin 0 -> 151 bytes
 ...age-bug-710072-aligned.xlib-fallback.rgb24.ref.png | Bin 0 -> 151 bytes
 ...image-bug-710072-aligned.xlib-window.rgb24.ref.png | Bin 0 -> 151 bytes
 .../image-bug-710072-aligned.xlib.argb32.ref.png      | Bin 0 -> 151 bytes
 .../image-bug-710072-aligned.xlib.rgb24.ref.png       | Bin 0 -> 151 bytes
 .../image-bug-710072-unaligned.argb32.ref.png         | Bin 0 -> 212 bytes
 .../image-bug-710072-unaligned.rgb24.ref.png          | Bin 0 -> 212 bytes
 ...e-bug-710072-unaligned.xlib-fallback.rgb24.ref.png | Bin 0 -> 219 bytes
 ...age-bug-710072-unaligned.xlib-window.rgb24.ref.png | Bin 0 -> 219 bytes
 .../image-bug-710072-unaligned.xlib.argb32.ref.png    | Bin 0 -> 219 bytes
 .../image-bug-710072-unaligned.xlib.rgb24.ref.png     | Bin 0 -> 219 bytes
 .../image-surface-source.xlib-fallback.rgb24.ref.png  | Bin 0 -> 301 bytes
 .../image-surface-source.xlib-window.rgb24.ref.png    | Bin 0 -> 301 bytes
 .../image-surface-source.xlib.argb32.ref.png          | Bin 0 -> 377 bytes
 .../reference/image-surface-source.xlib.rgb24.ref.png | Bin 0 -> 301 bytes
 test/reference/implicit-close.argb32.ref.png          | Bin 0 -> 251 bytes
 test/reference/implicit-close.rgb24.ref.png           | Bin 0 -> 251 bytes
 test/reference/infinite-join.argb32.ref.png           | Bin 0 -> 164 bytes
 test/reference/infinite-join.rgb24.ref.png            | Bin 0 -> 164 bytes
 test/reference/joins-loop.argb32.ref.png              | Bin 0 -> 4492 bytes
 test/reference/joins-loop.rgb24.ref.png               | Bin 0 -> 4492 bytes
 test/reference/joins-retrace.argb32.ref.png           | Bin 0 -> 4997 bytes
 test/reference/joins-retrace.rgb24.ref.png            | Bin 0 -> 4997 bytes
 test/reference/joins-star.argb32.ref.png              | Bin 0 -> 4914 bytes
 test/reference/joins-star.rgb24.ref.png               | Bin 0 -> 4914 bytes
 test/reference/joins.argb32.ref.png                   | Bin 0 -> 6970 bytes
 test/reference/joins.rgb24.ref.png                    | Bin 0 -> 6970 bytes
 test/reference/large-clip.argb32.ref.png              | Bin 0 -> 305 bytes
 test/reference/large-clip.rgb24.ref.png               | Bin 0 -> 305 bytes
 test/reference/large-font.argb32.ref.png              | Bin 0 -> 6117 bytes
 test/reference/large-font.rgb24.ref.png               | Bin 0 -> 6117 bytes
 test/reference/large-source-roi.argb32.ref.png        | Bin 0 -> 93 bytes
 test/reference/large-source-roi.rgb24.ref.png         | Bin 0 -> 93 bytes
 test/reference/large-source.argb32.ref.png            | Bin 0 -> 112 bytes
 test/reference/large-source.rgb24.ref.png             | Bin 0 -> 112 bytes
 .../large-twin-antialias-mixed.argb32.ref.png         | Bin 0 -> 16660 bytes
 .../large-twin-antialias-mixed.rgb24.ref.png          | Bin 0 -> 16660 bytes
 test/reference/leaky-dash.argb32.ref.png              | Bin 0 -> 197 bytes
 test/reference/leaky-dash.rgb24.ref.png               | Bin 0 -> 197 bytes
 test/reference/leaky-dashed-rectangle.argb32.ref.png  | Bin 0 -> 357 bytes
 test/reference/leaky-dashed-rectangle.rgb24.ref.png   | Bin 0 -> 357 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png     | Bin 0 -> 9387 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png      | Bin 0 -> 9387 bytes
 test/reference/leaky-polygon.argb32.ref.png           | Bin 0 -> 337 bytes
 test/reference/leaky-polygon.rgb24.ref.png            | Bin 0 -> 337 bytes
 .../line-width-large-overlap-flipped.argb32.ref.png   | Bin 0 -> 305 bytes
 .../line-width-large-overlap-flipped.rgb24.ref.png    | Bin 0 -> 305 bytes
 .../line-width-large-overlap-flopped.argb32.ref.png   | Bin 0 -> 305 bytes
 .../line-width-large-overlap-flopped.rgb24.ref.png    | Bin 0 -> 305 bytes
 .../line-width-large-overlap-offset.argb32.ref.png    | Bin 0 -> 305 bytes
 .../line-width-large-overlap-offset.rgb24.ref.png     | Bin 0 -> 305 bytes
 .../line-width-large-overlap-rotated.argb32.ref.png   | Bin 0 -> 427 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png    | Bin 0 -> 427 bytes
 .../reference/line-width-large-overlap.argb32.ref.png | Bin 0 -> 305 bytes
 test/reference/line-width-large-overlap.rgb24.ref.png | Bin 0 -> 305 bytes
 .../line-width-overlap-flipped.argb32.ref.png         | Bin 0 -> 324 bytes
 .../line-width-overlap-flipped.rgb24.ref.png          | Bin 0 -> 324 bytes
 .../line-width-overlap-flopped.argb32.ref.png         | Bin 0 -> 324 bytes
 .../line-width-overlap-flopped.rgb24.ref.png          | Bin 0 -> 324 bytes
 .../line-width-overlap-offset.argb32.ref.png          | Bin 0 -> 348 bytes
 .../reference/line-width-overlap-offset.rgb24.ref.png | Bin 0 -> 348 bytes
 .../line-width-overlap-rotated.argb32.ref.png         | Bin 0 -> 828 bytes
 .../line-width-overlap-rotated.rgb24.ref.png          | Bin 0 -> 828 bytes
 test/reference/line-width-overlap.argb32.ref.png      | Bin 0 -> 324 bytes
 test/reference/line-width-overlap.rgb24.ref.png       | Bin 0 -> 324 bytes
 test/reference/line-width-scale.argb32.ref.png        | Bin 0 -> 5721 bytes
 test/reference/line-width-scale.rgb24.ref.png         | Bin 0 -> 5721 bytes
 test/reference/line-width-tolerance.argb32.ref.png    | Bin 0 -> 168 bytes
 test/reference/line-width-tolerance.rgb24.ref.png     | Bin 0 -> 168 bytes
 test/reference/line-width.argb32.ref.png              | Bin 0 -> 178 bytes
 test/reference/line-width.rgb24.ref.png               | Bin 0 -> 178 bytes
 test/reference/linear-gradient-extend.argb32.ref.png  | Bin 0 -> 371 bytes
 test/reference/linear-gradient-extend.rgb24.ref.png   | Bin 0 -> 371 bytes
 test/reference/linear-gradient-large.argb32.ref.png   | Bin 0 -> 4076 bytes
 test/reference/linear-gradient-large.rgb24.ref.png    | Bin 0 -> 4076 bytes
 test/reference/linear-gradient-reflect.argb32.ref.png | Bin 0 -> 185 bytes
 test/reference/linear-gradient-reflect.rgb24.ref.png  | Bin 0 -> 185 bytes
 test/reference/linear-gradient-subset.argb32.ref.png  | Bin 0 -> 820 bytes
 test/reference/linear-gradient-subset.rgb24.ref.png   | Bin 0 -> 820 bytes
 test/reference/linear-gradient.argb32.ref.png         | Bin 0 -> 974 bytes
 test/reference/linear-gradient.rgb24.ref.png          | Bin 0 -> 974 bytes
 test/reference/linear-uniform.argb32.ref.png          | Bin 0 -> 128 bytes
 test/reference/linear-uniform.rgb24.ref.png           | Bin 0 -> 128 bytes
 test/reference/long-dashed-lines.argb32.ref.png       | Bin 0 -> 2548 bytes
 test/reference/long-dashed-lines.rgb24.ref.png        | Bin 0 -> 2548 bytes
 test/reference/map-all-to-image.argb32.ref.png        | Bin 0 -> 86 bytes
 test/reference/map-all-to-image.rgb24.ref.png         | Bin 0 -> 86 bytes
 test/reference/map-all-to-xlib-fallback.rgb24.ref.png | Bin 0 -> 86 bytes
 test/reference/map-all-to-xlib-window.rgb24.ref.png   | Bin 0 -> 86 bytes
 test/reference/map-all-to-xlib.argb32.ref.png         | Bin 0 -> 86 bytes
 test/reference/map-all-to-xlib.rgb24.ref.png          | Bin 0 -> 86 bytes
 test/reference/map-bit-to-image.argb32.ref.png        | Bin 0 -> 103 bytes
 test/reference/map-bit-to-image.rgb24.ref.png         | Bin 0 -> 103 bytes
 test/reference/map-bit-to-xlib-fallback.rgb24.ref.png | Bin 0 -> 103 bytes
 test/reference/map-bit-to-xlib-window.rgb24.ref.png   | Bin 0 -> 103 bytes
 test/reference/map-bit-to-xlib.argb32.ref.png         | Bin 0 -> 103 bytes
 test/reference/map-bit-to-xlib.rgb24.ref.png          | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.argb32.ref.png       | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.rgb24.ref.png        | Bin 0 -> 103 bytes
 .../map-to-image-fill.xlib-fallback.rgb24.ref.png     | Bin 0 -> 103 bytes
 .../map-to-image-fill.xlib-window.rgb24.ref.png       | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.xlib.argb32.ref.png  | Bin 0 -> 103 bytes
 test/reference/map-to-image-fill.xlib.rgb24.ref.png   | Bin 0 -> 103 bytes
 test/reference/mask-alpha.argb32.ref.png              | Bin 596 -> 632 bytes
 test/reference/mask-alpha.rgb24.ref.png               | Bin 546 -> 589 bytes
 test/reference/mask-ctm.argb32.ref.png                | Bin 0 -> 110 bytes
 test/reference/mask-ctm.rgb24.ref.png                 | Bin 124 -> 105 bytes
 test/reference/mask-surface-ctm.argb32.ref.png        | Bin 0 -> 110 bytes
 test/reference/mask-surface-ctm.rgb24.ref.png         | Bin 124 -> 105 bytes
 test/reference/mask-transformed-image.argb32.ref.png  | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-image.rgb24.ref.png   | Bin 0 -> 3812 bytes
 .../reference/mask-transformed-similar.argb32.ref.png | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-similar.rgb24.ref.png | Bin 0 -> 3812 bytes
 .../mask-transformed-xlib-fallback.rgb24.ref.png      | Bin 0 -> 3809 bytes
 .../mask-transformed-xlib-window.rgb24.ref.png        | Bin 0 -> 3809 bytes
 test/reference/mask-transformed-xlib.argb32.ref.png   | Bin 0 -> 3809 bytes
 test/reference/mask-transformed-xlib.rgb24.ref.png    | Bin 0 -> 3809 bytes
 test/reference/mask.argb32.ref.png                    | Bin 8193 -> 8579 bytes
 test/reference/mask.rgb24.ref.png                     | Bin 6985 -> 7127 bytes
 test/reference/mesh-pattern-accuracy.argb32.ref.png   | Bin 0 -> 8086 bytes
 test/reference/mesh-pattern-accuracy.rgb24.ref.png    | Bin 0 -> 8086 bytes
 test/reference/mesh-pattern-conical.argb32.ref.png    | Bin 0 -> 8655 bytes
 test/reference/mesh-pattern-conical.rgb24.ref.png     | Bin 0 -> 8655 bytes
 .../mesh-pattern-control-points.argb32.ref.png        | Bin 0 -> 10665 bytes
 .../mesh-pattern-control-points.rgb24.ref.png         | Bin 0 -> 10665 bytes
 test/reference/mesh-pattern-fold.argb32.ref.png       | Bin 0 -> 52980 bytes
 test/reference/mesh-pattern-fold.rgb24.ref.png        | Bin 0 -> 52980 bytes
 test/reference/mesh-pattern-overlap.argb32.ref.png    | Bin 0 -> 9129 bytes
 test/reference/mesh-pattern-overlap.rgb24.ref.png     | Bin 0 -> 9129 bytes
 .../reference/mesh-pattern-transformed.argb32.ref.png | Bin 0 -> 14463 bytes
 test/reference/mesh-pattern-transformed.rgb24.ref.png | Bin 0 -> 14463 bytes
 test/reference/mesh-pattern.argb32.ref.png            | Bin 0 -> 19566 bytes
 test/reference/mesh-pattern.rgb24.ref.png             | Bin 0 -> 19566 bytes
 test/reference/mime-data.argb32.ref.png               | Bin 0 -> 185 bytes
 test/reference/mime-data.rgb24.ref.png                | Bin 0 -> 185 bytes
 test/reference/miter-precision.argb32.ref.png         | Bin 0 -> 1030 bytes
 test/reference/miter-precision.rgb24.ref.png          | Bin 0 -> 1030 bytes
 test/reference/move-to-show-surface.argb32.ref.png    | Bin 0 -> 96 bytes
 test/reference/move-to-show-surface.rgb24.ref.png     | Bin 0 -> 96 bytes
 test/reference/negative-stride-image.argb32.ref.png   | Bin 0 -> 81121 bytes
 test/reference/negative-stride-image.rgb24.ref.png    | Bin 0 -> 81121 bytes
 test/reference/new-sub-path.argb32.ref.png            | Bin 331 -> 408 bytes
 test/reference/new-sub-path.rgb24.ref.png             | Bin 303 -> 371 bytes
 test/reference/nil-surface.argb32.ref.png             | Bin 0 -> 88 bytes
 test/reference/nil-surface.rgb24.ref.png              | Bin 106 -> 87 bytes
 test/reference/operator-alpha-alpha.argb32.ref.png    | Bin 0 -> 3441 bytes
 test/reference/operator-alpha-alpha.rgb24.ref.png     | Bin 0 -> 3441 bytes
 test/reference/operator-alpha.argb32.ref.png          | Bin 0 -> 280 bytes
 test/reference/operator-alpha.rgb24.ref.png           | Bin 229 -> 205 bytes
 test/reference/operator-clear.argb32.ref.png          | Bin 1080 -> 1071 bytes
 test/reference/operator-clear.rgb24.ref.png           | Bin 948 -> 947 bytes
 test/reference/operator-source.argb32.ref.png         | Bin 5538 -> 5585 bytes
 test/reference/operator-source.rgb24.ref.png          | Bin 3876 -> 3954 bytes
 test/reference/operator.argb32.ref.png                | Bin 0 -> 238 bytes
 test/reference/operator.rgb24.ref.png                 | Bin 217 -> 189 bytes
 test/reference/over-above-source.argb32.ref.png       | Bin 0 -> 564 bytes
 test/reference/over-above-source.rgb24.ref.png        | Bin 421 -> 465 bytes
 test/reference/over-around-source.argb32.ref.png      | Bin 0 -> 618 bytes
 test/reference/over-around-source.rgb24.ref.png       | Bin 454 -> 501 bytes
 test/reference/over-below-source.argb32.ref.png       | Bin 0 -> 443 bytes
 test/reference/over-below-source.rgb24.ref.png        | Bin 372 -> 377 bytes
 test/reference/over-between-source.argb32.ref.png     | Bin 0 -> 593 bytes
 test/reference/over-between-source.rgb24.ref.png      | Bin 440 -> 460 bytes
 test/reference/overlapping-boxes.argb32.ref.png       | Bin 179 -> 210 bytes
 test/reference/overlapping-boxes.rgb24.ref.png        | Bin 170 -> 201 bytes
 test/reference/overlapping-dash-caps.argb32.ref.png   | Bin 0 -> 3986 bytes
 test/reference/overlapping-dash-caps.rgb24.ref.png    | Bin 0 -> 3986 bytes
 test/reference/overlapping-glyphs.argb32.ref.png      | Bin 2258 -> 2717 bytes
 test/reference/overlapping-glyphs.rgb24.ref.png       | Bin 1390 -> 1663 bytes
 test/reference/paint-clip-fill-aa.argb32.ref.png      | Bin 0 -> 327 bytes
 test/reference/paint-clip-fill-aa.rgb24.ref.png       | Bin 0 -> 327 bytes
 test/reference/paint-clip-fill-mono.argb32.ref.png    | Bin 0 -> 327 bytes
 test/reference/paint-clip-fill-mono.rgb24.ref.png     | Bin 0 -> 327 bytes
 test/reference/paint-repeat.argb32.ref.png            | Bin 0 -> 122 bytes
 test/reference/paint-repeat.rgb24.ref.png             | Bin 0 -> 122 bytes
 test/reference/paint-source-alpha.argb32.ref.png      | Bin 0 -> 224 bytes
 test/reference/paint-source-alpha.rgb24.ref.png       | Bin 0 -> 224 bytes
 .../paint-with-alpha-clip-mask.argb32.ref.png         | Bin 0 -> 340 bytes
 .../paint-with-alpha-clip-mask.rgb24.ref.png          | Bin 0 -> 340 bytes
 test/reference/paint-with-alpha-clip.argb32.ref.png   | Bin 0 -> 290 bytes
 test/reference/paint-with-alpha-clip.rgb24.ref.png    | Bin 0 -> 290 bytes
 .../paint-with-alpha-solid-clip.argb32.ref.png        | Bin 0 -> 248 bytes
 .../paint-with-alpha-solid-clip.rgb24.ref.png         | Bin 0 -> 248 bytes
 test/reference/paint-with-alpha.argb32.ref.png        | Bin 0 -> 224 bytes
 test/reference/paint-with-alpha.rgb24.ref.png         | Bin 0 -> 224 bytes
 test/reference/paint.argb32.ref.png                   | Bin 0 -> 93 bytes
 test/reference/paint.rgb24.ref.png                    | Bin 0 -> 93 bytes
 .../reference/partial-clip-text-bottom.argb32.ref.png | Bin 0 -> 261 bytes
 test/reference/partial-clip-text-bottom.rgb24.ref.png | Bin 0 -> 261 bytes
 test/reference/partial-clip-text-left.argb32.ref.png  | Bin 0 -> 301 bytes
 test/reference/partial-clip-text-left.rgb24.ref.png   | Bin 0 -> 301 bytes
 test/reference/partial-clip-text-right.argb32.ref.png | Bin 0 -> 155 bytes
 test/reference/partial-clip-text-right.rgb24.ref.png  | Bin 0 -> 155 bytes
 test/reference/partial-clip-text-top.argb32.ref.png   | Bin 0 -> 181 bytes
 test/reference/partial-clip-text-top.rgb24.ref.png    | Bin 0 -> 181 bytes
 .../partial-coverage-half-reference.argb32.ref.png    | Bin 0 -> 189 bytes
 .../partial-coverage-half-reference.rgb24.ref.png     | Bin 0 -> 189 bytes
 .../partial-coverage-reference.argb32.ref.png         | Bin 0 -> 202 bytes
 .../partial-coverage-reference.rgb24.ref.png          | Bin 0 -> 202 bytes
 ...al-coverage-three-quarter-reference.argb32.ref.png | Bin 0 -> 186 bytes
 ...ial-coverage-three-quarter-reference.rgb24.ref.png | Bin 0 -> 186 bytes
 test/reference/pass-through.argb32.ref.png            | Bin 0 -> 221 bytes
 test/reference/pass-through.rgb24.ref.png             | Bin 179 -> 158 bytes
 test/reference/path-append.argb32.ref.png             | Bin 0 -> 6144 bytes
 test/reference/path-append.rgb24.ref.png              | Bin 0 -> 6144 bytes
 test/reference/path-stroke-twice.argb32.ref.png       | Bin 0 -> 240 bytes
 test/reference/path-stroke-twice.rgb24.ref.png        | Bin 0 -> 240 bytes
 test/reference/pattern-getters.argb32.ref.png         | Bin 0 -> 87 bytes
 test/reference/pattern-getters.rgb24.ref.png          | Bin 0 -> 87 bytes
 test/reference/pixman-rotate.argb32.ref.png           | Bin 0 -> 260 bytes
 test/reference/pixman-rotate.rgb24.ref.png            | Bin 244 -> 225 bytes
 test/reference/pthread-same-source.argb32.ref.png     | Bin 0 -> 1000 bytes
 test/reference/pthread-same-source.rgb24.ref.png      | Bin 0 -> 1000 bytes
 test/reference/pthread-show-text.argb32.ref.png       | Bin 0 -> 30199 bytes
 test/reference/pthread-show-text.rgb24.ref.png        | Bin 0 -> 30199 bytes
 test/reference/pthread-similar.argb32.ref.png         | Bin 0 -> 170 bytes
 test/reference/pthread-similar.rgb24.ref.png          | Bin 0 -> 170 bytes
 test/reference/push-group-color.argb32.ref.png        | Bin 0 -> 2892 bytes
 test/reference/push-group-color.rgb24.ref.png         | Bin 0 -> 2892 bytes
 test/reference/push-group-path-offset.argb32.ref.png  | Bin 0 -> 186 bytes
 test/reference/push-group-path-offset.rgb24.ref.png   | Bin 0 -> 186 bytes
 test/reference/push-group.argb32.ref.png              | Bin 0 -> 3062 bytes
 test/reference/push-group.rgb24.ref.png               | Bin 2684 -> 2899 bytes
 test/reference/radial-gradient-mask.argb32.ref.png    | Bin 0 -> 286065 bytes
 test/reference/radial-gradient-mask.rgb24.ref.png     | Bin 0 -> 286065 bytes
 .../reference/radial-gradient-one-stop.argb32.ref.png | Bin 0 -> 6306 bytes
 test/reference/radial-gradient-one-stop.rgb24.ref.png | Bin 0 -> 6306 bytes
 test/reference/radial-gradient.argb32.ref.png         | Bin 0 -> 382283 bytes
 test/reference/radial-gradient.rgb24.ref.png          | Bin 0 -> 382283 bytes
 .../random-intersections-curves-eo.argb32.ref.png     | Bin 0 -> 245848 bytes
 .../random-intersections-curves-eo.rgb24.ref.png      | Bin 0 -> 245848 bytes
 .../random-intersections-curves-nz.argb32.ref.png     | Bin 0 -> 265249 bytes
 .../random-intersections-curves-nz.rgb24.ref.png      | Bin 0 -> 265249 bytes
 test/reference/random-intersections-eo.argb32.ref.png | Bin 0 -> 136632 bytes
 test/reference/random-intersections-eo.rgb24.ref.png  | Bin 0 -> 136632 bytes
 .../random-intersections-nonzero.argb32.ref.png       | Bin 0 -> 142139 bytes
 .../random-intersections-nonzero.rgb24.ref.png        | Bin 0 -> 142139 bytes
 test/reference/raster-source.argb32.ref.png           | Bin 0 -> 1209 bytes
 test/reference/raster-source.rgb24.ref.png            | Bin 0 -> 1209 bytes
 test/reference/record-fill-alpha.ref.png              | Bin 2171 -> 2839 bytes
 test/reference/record-paint-alpha-clip-mask.ref.png   | Bin 340 -> 333 bytes
 .../reference/rectangle-rounding-error.argb32.ref.png | Bin 0 -> 212 bytes
 test/reference/rectangle-rounding-error.rgb24.ref.png | Bin 0 -> 212 bytes
 test/reference/rectilinear-dash.argb32.ref.png        | Bin 0 -> 291 bytes
 test/reference/rectilinear-dash.rgb24.ref.png         | Bin 0 -> 291 bytes
 test/reference/rectilinear-fill.argb32.ref.png        | Bin 0 -> 151 bytes
 test/reference/rectilinear-fill.rgb24.ref.png         | Bin 0 -> 151 bytes
 test/reference/rectilinear-grid.argb32.ref.png        | Bin 0 -> 569 bytes
 test/reference/rectilinear-grid.rgb24.ref.png         | Bin 0 -> 569 bytes
 test/reference/rectilinear-miter-limit.argb32.ref.png | Bin 0 -> 145 bytes
 test/reference/rectilinear-miter-limit.rgb24.ref.png  | Bin 0 -> 145 bytes
 test/reference/rectilinear-stroke.argb32.ref.png      | Bin 0 -> 172 bytes
 test/reference/rectilinear-stroke.rgb24.ref.png       | Bin 0 -> 172 bytes
 test/reference/reflected-stroke.argb32.ref.png        | Bin 0 -> 5119 bytes
 test/reference/reflected-stroke.rgb24.ref.png         | Bin 0 -> 5119 bytes
 test/reference/rel-path.argb32.ref.png                | Bin 0 -> 197 bytes
 test/reference/rel-path.rgb24.ref.png                 | Bin 183 -> 216 bytes
 test/reference/rgb24-ignore-alpha.argb32.ref.png      | Bin 0 -> 97 bytes
 test/reference/rgb24-ignore-alpha.rgb24.ref.png       | Bin 0 -> 97 bytes
 .../rotate-clip-image-surface-paint.argb32.ref.png    | Bin 0 -> 331 bytes
 .../rotate-clip-image-surface-paint.rgb24.ref.png     | Bin 0 -> 331 bytes
 ...ip-image-surface-paint.xlib-fallback.rgb24.ref.png | Bin 0 -> 303 bytes
 ...clip-image-surface-paint.xlib-window.rgb24.ref.png | Bin 0 -> 303 bytes
 ...otate-clip-image-surface-paint.xlib.argb32.ref.png | Bin 0 -> 303 bytes
 ...rotate-clip-image-surface-paint.xlib.rgb24.ref.png | Bin 0 -> 303 bytes
 .../rotate-image-surface-paint.argb32.ref.png         | Bin 0 -> 220 bytes
 .../rotate-image-surface-paint.rgb24.ref.png          | Bin 0 -> 220 bytes
 ...te-image-surface-paint.xlib-fallback.rgb24.ref.png | Bin 0 -> 220 bytes
 ...tate-image-surface-paint.xlib-window.rgb24.ref.png | Bin 0 -> 220 bytes
 .../rotate-image-surface-paint.xlib.argb32.ref.png    | Bin 0 -> 220 bytes
 .../rotate-image-surface-paint.xlib.rgb24.ref.png     | Bin 0 -> 220 bytes
 test/reference/rotated-clip.argb32.ref.png            | Bin 0 -> 3773 bytes
 test/reference/rotated-clip.rgb24.ref.png             | Bin 0 -> 3773 bytes
 test/reference/rounded-rectangle-fill.argb32.ref.png  | Bin 0 -> 787 bytes
 test/reference/rounded-rectangle-fill.rgb24.ref.png   | Bin 0 -> 787 bytes
 .../reference/rounded-rectangle-stroke.argb32.ref.png | Bin 0 -> 951 bytes
 test/reference/rounded-rectangle-stroke.rgb24.ref.png | Bin 0 -> 951 bytes
 .../scale-down-source-surface-paint.argb32.ref.png    | Bin 0 -> 96 bytes
 .../scale-down-source-surface-paint.rgb24.ref.png     | Bin 0 -> 96 bytes
 test/reference/scale-offset-image.argb32.ref.png      | Bin 0 -> 9748 bytes
 test/reference/scale-offset-image.rgb24.ref.png       | Bin 0 -> 9748 bytes
 test/reference/scale-offset-similar.argb32.ref.png    | Bin 0 -> 9748 bytes
 test/reference/scale-offset-similar.rgb24.ref.png     | Bin 0 -> 9748 bytes
 .../scale-offset-xlib-fallback.rgb24.ref.png          | Bin 0 -> 9120 bytes
 test/reference/scale-offset-xlib-window.rgb24.ref.png | Bin 0 -> 9120 bytes
 test/reference/scale-offset-xlib.argb32.ref.png       | Bin 0 -> 9120 bytes
 test/reference/scale-offset-xlib.rgb24.ref.png        | Bin 0 -> 9120 bytes
 .../scale-source-surface-paint.argb32.ref.png         | Bin 0 -> 128 bytes
 .../scale-source-surface-paint.rgb24.ref.png          | Bin 136 -> 117 bytes
 test/reference/select-font-face.argb32.ref.png        | Bin 0 -> 2250 bytes
 test/reference/select-font-face.rgb24.ref.png         | Bin 0 -> 2250 bytes
 test/reference/self-copy.argb32.ref.png               | Bin 0 -> 257 bytes
 test/reference/self-copy.rgb24.ref.png                | Bin 0 -> 257 bytes
 test/reference/self-intersecting.argb32.ref.png       | Bin 0 -> 168 bytes
 test/reference/self-intersecting.rgb24.ref.png        | Bin 0 -> 168 bytes
 test/reference/set-source.argb32.ref.png              | Bin 0 -> 101 bytes
 test/reference/set-source.rgb24.ref.png               | Bin 120 -> 101 bytes
 test/reference/shape-general-convex.argb32.ref.png    | Bin 0 -> 2742 bytes
 test/reference/shape-general-convex.rgb24.ref.png     | Bin 0 -> 2742 bytes
 test/reference/shape-sierpinski.argb32.ref.png        | Bin 0 -> 63714 bytes
 test/reference/shape-sierpinski.rgb24.ref.png         | Bin 0 -> 63714 bytes
 test/reference/show-glyphs-advance.argb32.ref.png     | Bin 0 -> 1394 bytes
 test/reference/show-glyphs-advance.rgb24.ref.png      | Bin 0 -> 1394 bytes
 test/reference/show-glyphs-many.argb32.ref.png        | Bin 0 -> 96 bytes
 test/reference/show-glyphs-many.rgb24.ref.png         | Bin 0 -> 96 bytes
 test/reference/show-text-current-point.argb32.ref.png | Bin 0 -> 2151 bytes
 test/reference/show-text-current-point.rgb24.ref.png  | Bin 0 -> 2151 bytes
 test/reference/skew-extreme.argb32.ref.png            | Bin 0 -> 799 bytes
 test/reference/skew-extreme.rgb24.ref.png             | Bin 0 -> 799 bytes
 test/reference/smask-fill.argb32.ref.png              | Bin 0 -> 1197 bytes
 test/reference/smask-fill.rgb24.ref.png               | Bin 0 -> 1197 bytes
 test/reference/smask-image-mask.argb32.ref.png        | Bin 0 -> 619 bytes
 test/reference/smask-image-mask.rgb24.ref.png         | Bin 0 -> 619 bytes
 .../smask-image-mask.xlib-fallback.rgb24.ref.png      | Bin 0 -> 619 bytes
 .../smask-image-mask.xlib-window.rgb24.ref.png        | Bin 0 -> 619 bytes
 test/reference/smask-image-mask.xlib.argb32.ref.png   | Bin 0 -> 619 bytes
 test/reference/smask-image-mask.xlib.rgb24.ref.png    | Bin 0 -> 619 bytes
 test/reference/smask-mask.argb32.ref.png              | Bin 0 -> 2353 bytes
 test/reference/smask-mask.rgb24.ref.png               | Bin 0 -> 2353 bytes
 test/reference/smask-paint.argb32.ref.png             | Bin 0 -> 2469 bytes
 test/reference/smask-paint.rgb24.ref.png              | Bin 0 -> 2469 bytes
 test/reference/smask-stroke.argb32.ref.png            | Bin 0 -> 1709 bytes
 test/reference/smask-stroke.rgb24.ref.png             | Bin 0 -> 1709 bytes
 test/reference/smask-text.argb32.ref.png              | Bin 0 -> 1661 bytes
 test/reference/smask-text.rgb24.ref.png               | Bin 0 -> 1661 bytes
 test/reference/smask.argb32.ref.png                   | Bin 0 -> 3414 bytes
 test/reference/smask.rgb24.ref.png                    | Bin 0 -> 3414 bytes
 .../solid-pattern-cache-stress.argb32.ref.png         | Bin 0 -> 87 bytes
 .../solid-pattern-cache-stress.rgb24.ref.png          | Bin 0 -> 87 bytes
 test/reference/source-clip-scale.argb32.ref.png       | Bin 0 -> 136 bytes
 test/reference/source-clip-scale.rgb24.ref.png        | Bin 0 -> 136 bytes
 test/reference/source-clip.argb32.ref.png             | Bin 0 -> 111 bytes
 test/reference/source-clip.rgb24.ref.png              | Bin 0 -> 111 bytes
 .../source-surface-scale-paint.argb32.ref.png         | Bin 0 -> 120 bytes
 .../source-surface-scale-paint.rgb24.ref.png          | Bin 133 -> 114 bytes
 test/reference/spline-decomposition.argb32.ref.png    | Bin 0 -> 19520 bytes
 test/reference/spline-decomposition.rgb24.ref.png     | Bin 0 -> 19520 bytes
 test/reference/stride-12-image.argb32.ref.png         | Bin 0 -> 81121 bytes
 test/reference/stride-12-image.rgb24.ref.png          | Bin 0 -> 81121 bytes
 test/reference/stride-12-xlib-fallback.rgb24.ref.png  | Bin 0 -> 81121 bytes
 test/reference/stride-12-xlib-window.rgb24.ref.png    | Bin 0 -> 81121 bytes
 test/reference/stride-12-xlib.argb32.ref.png          | Bin 0 -> 81121 bytes
 test/reference/stride-12-xlib.rgb24.ref.png           | Bin 0 -> 81121 bytes
 test/reference/stroke-ctm-caps.argb32.ref.png         | Bin 0 -> 942 bytes
 test/reference/stroke-ctm-caps.rgb24.ref.png          | Bin 0 -> 942 bytes
 test/reference/stroke-image.argb32.ref.png            | Bin 0 -> 1424 bytes
 test/reference/stroke-image.rgb24.ref.png             | Bin 0 -> 1424 bytes
 test/reference/stroke-open-box.argb32.ref.png         | Bin 0 -> 148 bytes
 test/reference/stroke-open-box.rgb24.ref.png          | Bin 0 -> 148 bytes
 test/reference/stroke-pattern.argb32.ref.png          | Bin 0 -> 1491 bytes
 test/reference/stroke-pattern.rgb24.ref.png           | Bin 0 -> 1491 bytes
 test/reference/stroke-xlib-fallback.rgb24.ref.png     | Bin 0 -> 1467 bytes
 test/reference/stroke-xlib-window.rgb24.ref.png       | Bin 0 -> 1467 bytes
 test/reference/stroke-xlib.argb32.ref.png             | Bin 0 -> 1467 bytes
 test/reference/stroke-xlib.rgb24.ref.png              | Bin 0 -> 1467 bytes
 test/reference/subsurface-image-repeat.argb32.ref.png | Bin 0 -> 915 bytes
 test/reference/subsurface-image-repeat.rgb24.ref.png  | Bin 0 -> 915 bytes
 ...ubsurface-image-repeat.xlib-fallback.rgb24.ref.png | Bin 0 -> 915 bytes
 .../subsurface-image-repeat.xlib-window.rgb24.ref.png | Bin 0 -> 915 bytes
 .../subsurface-image-repeat.xlib.argb32.ref.png       | Bin 0 -> 915 bytes
 .../subsurface-image-repeat.xlib.rgb24.ref.png        | Bin 0 -> 915 bytes
 test/reference/subsurface-modify-child.argb32.ref.png | Bin 0 -> 197 bytes
 test/reference/subsurface-modify-child.rgb24.ref.png  | Bin 0 -> 197 bytes
 .../reference/subsurface-modify-parent.argb32.ref.png | Bin 0 -> 197 bytes
 test/reference/subsurface-modify-parent.rgb24.ref.png | Bin 0 -> 197 bytes
 test/reference/subsurface-pad.argb32.ref.png          | Bin 0 -> 181 bytes
 test/reference/subsurface-pad.rgb24.ref.png           | Bin 0 -> 181 bytes
 test/reference/subsurface-reflect.argb32.ref.png      | Bin 0 -> 210 bytes
 test/reference/subsurface-reflect.rgb24.ref.png       | Bin 0 -> 210 bytes
 test/reference/subsurface-repeat.argb32.ref.png       | Bin 0 -> 197 bytes
 test/reference/subsurface-repeat.rgb24.ref.png        | Bin 0 -> 197 bytes
 test/reference/subsurface-scale.argb32.ref.png        | Bin 0 -> 5921 bytes
 test/reference/subsurface-scale.rgb24.ref.png         | Bin 0 -> 5921 bytes
 .../subsurface-similar-repeat.argb32.ref.png          | Bin 0 -> 197 bytes
 .../reference/subsurface-similar-repeat.rgb24.ref.png | Bin 0 -> 197 bytes
 test/reference/subsurface.argb32.ref.png              | Bin 0 -> 1811 bytes
 test/reference/subsurface.rgb24.ref.png               | Bin 0 -> 1811 bytes
 .../surface-pattern-big-scale-down.argb32.ref.png     | Bin 0 -> 191 bytes
 .../surface-pattern-big-scale-down.rgb24.ref.png      | Bin 0 -> 191 bytes
 .../reference/surface-pattern-operator.argb32.ref.png | Bin 4807 -> 5217 bytes
 test/reference/surface-pattern-operator.rgb24.ref.png | Bin 1866 -> 1942 bytes
 ...face-pattern-scale-down-extend-none.argb32.ref.png | Bin 0 -> 329 bytes
 ...rface-pattern-scale-down-extend-none.rgb24.ref.png | Bin 0 -> 329 bytes
 ...rface-pattern-scale-down-extend-pad.argb32.ref.png | Bin 0 -> 320 bytes
 ...urface-pattern-scale-down-extend-pad.rgb24.ref.png | Bin 0 -> 320 bytes
 ...e-pattern-scale-down-extend-reflect.argb32.ref.png | Bin 0 -> 328 bytes
 ...ce-pattern-scale-down-extend-reflect.rgb24.ref.png | Bin 0 -> 328 bytes
 ...ce-pattern-scale-down-extend-repeat.argb32.ref.png | Bin 0 -> 330 bytes
 ...ace-pattern-scale-down-extend-repeat.rgb24.ref.png | Bin 0 -> 330 bytes
 .../surface-pattern-scale-down.argb32.ref.png         | Bin 0 -> 1326 bytes
 .../surface-pattern-scale-down.rgb24.ref.png          | Bin 0 -> 1326 bytes
 .../reference/surface-pattern-scale-up.argb32.ref.png | Bin 0 -> 4020 bytes
 test/reference/surface-pattern-scale-up.rgb24.ref.png | Bin 0 -> 4020 bytes
 test/reference/surface-pattern.argb32.ref.png         | Bin 0 -> 11088 bytes
 test/reference/surface-pattern.rgb24.ref.png          | Bin 0 -> 11088 bytes
 test/reference/text-antialias-gray.argb32.ref.png     | Bin 0 -> 966 bytes
 test/reference/text-antialias-gray.rgb24.ref.png      | Bin 0 -> 966 bytes
 test/reference/text-antialias-none.argb32.ref.png     | Bin 0 -> 265 bytes
 test/reference/text-antialias-none.rgb24.ref.png      | Bin 0 -> 265 bytes
 .../text-antialias-subpixel-bgr.argb32.ref.png        | Bin 0 -> 1005 bytes
 .../text-antialias-subpixel-bgr.rgb24.ref.png         | Bin 0 -> 1005 bytes
 .../text-antialias-subpixel-rgb.argb32.ref.png        | Bin 0 -> 1013 bytes
 .../text-antialias-subpixel-rgb.rgb24.ref.png         | Bin 0 -> 1013 bytes
 .../text-antialias-subpixel-vbgr.argb32.ref.png       | Bin 0 -> 985 bytes
 .../text-antialias-subpixel-vbgr.rgb24.ref.png        | Bin 0 -> 985 bytes
 .../text-antialias-subpixel-vrgb.argb32.ref.png       | Bin 0 -> 1009 bytes
 .../text-antialias-subpixel-vrgb.rgb24.ref.png        | Bin 0 -> 1009 bytes
 test/reference/text-antialias-subpixel.argb32.ref.png | Bin 0 -> 1013 bytes
 test/reference/text-antialias-subpixel.rgb24.ref.png  | Bin 0 -> 1013 bytes
 test/reference/text-glyph-range.argb32.ref.png        | Bin 0 -> 1928 bytes
 test/reference/text-glyph-range.rgb24.ref.png         | Bin 0 -> 1928 bytes
 test/reference/text-pattern.argb32.ref.png            | Bin 0 -> 3455 bytes
 test/reference/text-pattern.rgb24.ref.png             | Bin 0 -> 2684 bytes
 test/reference/text-rotate.argb32.ref.png             | Bin 0 -> 16655 bytes
 test/reference/text-rotate.rgb24.ref.png              | Bin 0 -> 16655 bytes
 test/reference/text-transform.argb32.ref.png          | Bin 0 -> 5579 bytes
 test/reference/text-transform.rgb24.ref.png           | Bin 0 -> 5579 bytes
 test/reference/tiger.argb32.ref.png                   | Bin 0 -> 93916 bytes
 test/reference/tiger.rgb24.ref.png                    | Bin 0 -> 93916 bytes
 test/reference/tighten-bounds.argb32.ref.png          | Bin 8972 -> 9127 bytes
 test/reference/tighten-bounds.rgb24.ref.png           | Bin 8188 -> 8433 bytes
 test/reference/transforms.argb32.ref.png              | Bin 0 -> 348 bytes
 test/reference/transforms.rgb24.ref.png               | Bin 0 -> 348 bytes
 test/reference/translate-show-surface.argb32.ref.png  | Bin 0 -> 96 bytes
 test/reference/translate-show-surface.rgb24.ref.png   | Bin 0 -> 96 bytes
 test/reference/trap-clip.argb32.ref.png               | Bin 0 -> 5810 bytes
 test/reference/trap-clip.rgb24.ref.png                | Bin 5328 -> 5433 bytes
 test/reference/twin-antialias-gray.argb32.ref.png     | Bin 0 -> 3990 bytes
 test/reference/twin-antialias-gray.rgb24.ref.png      | Bin 0 -> 3990 bytes
 test/reference/twin-antialias-mixed.argb32.ref.png    | Bin 0 -> 2230 bytes
 test/reference/twin-antialias-mixed.rgb24.ref.png     | Bin 0 -> 2230 bytes
 test/reference/twin-antialias-none.argb32.ref.png     | Bin 0 -> 690 bytes
 test/reference/twin-antialias-none.rgb24.ref.png      | Bin 0 -> 690 bytes
 test/reference/twin-antialias-subpixel.argb32.ref.png | Bin 0 -> 3990 bytes
 test/reference/twin-antialias-subpixel.rgb24.ref.png  | Bin 0 -> 3990 bytes
 test/reference/twin.argb32.ref.png                    | Bin 0 -> 3990 bytes
 test/reference/twin.rgb24.ref.png                     | Bin 0 -> 3990 bytes
 test/reference/unaligned-box.argb32.ref.png           | Bin 0 -> 496 bytes
 test/reference/unaligned-box.rgb24.ref.png            | Bin 0 -> 496 bytes
 test/reference/unantialiased-shapes.argb32.ref.png    | Bin 0 -> 3926 bytes
 test/reference/unantialiased-shapes.rgb24.ref.png     | Bin 0 -> 3926 bytes
 test/reference/unbounded-operator.argb32.ref.png      | Bin 2618 -> 2666 bytes
 test/reference/unbounded-operator.rgb24.ref.png       | Bin 1223 -> 1300 bytes
 test/reference/unclosed-strokes.argb32.ref.png        | Bin 0 -> 1901 bytes
 test/reference/unclosed-strokes.rgb24.ref.png         | Bin 0 -> 1901 bytes
 test/reference/user-font-mask.argb32.ref.png          | Bin 0 -> 5476 bytes
 test/reference/user-font-mask.rgb24.ref.png           | Bin 0 -> 5476 bytes
 test/reference/user-font-proxy.argb32.ref.png         | Bin 0 -> 16941 bytes
 test/reference/user-font-proxy.rgb24.ref.png          | Bin 0 -> 16941 bytes
 test/reference/user-font-rescale.argb32.ref.png       | Bin 0 -> 14883 bytes
 test/reference/user-font-rescale.rgb24.ref.png        | Bin 0 -> 14883 bytes
 test/reference/user-font.argb32.ref.png               | Bin 0 -> 6478 bytes
 test/reference/user-font.rgb24.ref.png                | Bin 0 -> 6478 bytes
 test/reference/white-in-noop.argb32.ref.png           | Bin 0 -> 95 bytes
 test/reference/white-in-noop.rgb24.ref.png            | Bin 0 -> 95 bytes
 test/reference/world-map-fill.argb32.ref.png          | Bin 0 -> 57308 bytes
 test/reference/world-map-fill.rgb24.ref.png           | Bin 0 -> 57308 bytes
 test/reference/world-map-stroke.argb32.ref.png        | Bin 0 -> 65152 bytes
 test/reference/world-map-stroke.rgb24.ref.png         | Bin 0 -> 65152 bytes
 test/reference/world-map.argb32.ref.png               | Bin 0 -> 70463 bytes
 test/reference/world-map.rgb24.ref.png                | Bin 0 -> 70463 bytes
 test/reference/xcb-huge-image-shm.argb32.ref.png      | Bin 0 -> 97 bytes
 test/reference/xcb-huge-image-shm.rgb24.ref.png       | Bin 0 -> 97 bytes
 .../xcb-huge-image-shm.xlib-fallback.rgb24.ref.png    | Bin 0 -> 97 bytes
 .../xcb-huge-image-shm.xlib-window.rgb24.ref.png      | Bin 0 -> 97 bytes
 test/reference/xcb-huge-image-shm.xlib.argb32.ref.png | Bin 0 -> 97 bytes
 test/reference/xcb-huge-image-shm.xlib.rgb24.ref.png  | Bin 0 -> 97 bytes
 test/reference/xcb-snapshot-assert.argb32.ref.png     | Bin 0 -> 97 bytes
 test/reference/xcb-snapshot-assert.rgb24.ref.png      | Bin 0 -> 97 bytes
 test/reference/xcb-stress-cache.argb32.ref.png        | Bin 0 -> 97 bytes
 test/reference/xcb-stress-cache.rgb24.ref.png         | Bin 0 -> 97 bytes
 test/reference/xcomposite-projection.argb32.ref.png   | Bin 0 -> 1108 bytes
 test/reference/xcomposite-projection.rgb24.ref.png    | Bin 0 -> 1108 bytes
 test/reference/xlib-expose-event.argb32.ref.png       | Bin 0 -> 40717 bytes
 test/reference/xlib-expose-event.rgb24.ref.png        | Bin 0 -> 40717 bytes
 test/reference/zero-alpha.argb32.ref.png              | Bin 0 -> 91 bytes
 test/reference/zero-alpha.rgb24.ref.png               | Bin 0 -> 91 bytes
 test/reference/zero-mask.argb32.ref.png               | Bin 0 -> 402 bytes
 807 files changed, 0 insertions(+), 0 deletions(-)

commit 01ea2d31cbbc12dafbe7831ef8c08a1bc78046a7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 18 21:46:31 2012 +1030

    type1-subset: ensure additional glyphs required by seac operator are parsed

 src/cairo-type1-subset.c | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 09b90611a1bca771968417c589df00c0b2d3c0e6
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 18 17:10:55 2012 +1030

    type1-subset: some fonts have "noaccess put" instead of NP in the Subrs

 src/cairo-type1-subset.c | 47 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 37 insertions(+), 10 deletions(-)

commit 6a90b407aafe6e7f4ed614fbcd1228c46b0af2a2
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Sat Feb 18 08:55:59 2012 +0100

    build: Make 'all' the default target in the base Makefile.win32 build
    
    Having the 'inform' target as default is misleading.

 Makefile.win32 | 2 ++
 1 file changed, 2 insertions(+)

commit 93b0fcffc7a098333aa219ce0d59b7f9d1ac35e6
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Thu Feb 16 19:53:56 2012 +0100

    test: Create output directory even on Win32
    
    This avoids cluttering the test directory with thousands of PNG files
    and makes the behavior more consistent with other OSes.

 test/cairo-test.c | 3 +++
 1 file changed, 3 insertions(+)

commit 80c46d400b0bc329ca3b09eb87684920ec1045ef
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Fri Nov 11 18:16:04 2011 +0100

    test: Fix any2ppm on MSVC
    
    C99 initialization is not allowed.
    
    Error macros are used even in the non-daemon version, hence errno.h
    should always be included.
    
    Fixes:
    
    any2ppm.c(107) : error C2065: 'EINTR' : undeclared identifier
    any2ppm.c(107) : error C2051: case expression not constant
    any2ppm.c(108) : error C2065: 'EAGAIN' : undeclared identifier
    any2ppm.c(108) : error C2051: case expression not constant
    any2ppm.c(271) : error C2059: syntax error : '.'

 test/any2ppm.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit b2d978a8150cb3f5bb66b3c3971fadc908d82e82
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Fri Nov 11 18:14:44 2011 +0100

    test: Compile any2ppm on Windows
    
    any2ppm is required in order to test the script backend.

 test/Makefile.win32 | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

commit ed803a193585544d2c4a290e95700cf9b68d0f10
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Thu Feb 16 19:21:47 2012 +0100

    build: Add 'clean' target to Makefile.win32 build system
    
    The Makefile.win32 in the subdirectories provide a working 'clean'
    target (defined in Makefile.win32.common), the central Makefile.win32
    'clean' target does not do anything.
    
    Replace the noop 'clean' target with one that cleans all the subdirs.

 Makefile.am                 |  1 +
 Makefile.win32              |  8 +++++++-
 build/Makefile.win32.common | 15 +--------------
 build/Makefile.win32.inform | 13 +++++++++++++
 4 files changed, 22 insertions(+), 15 deletions(-)

commit c60627e8af240189a16d7118230bf6df6d300f21
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Wed Feb 15 23:37:30 2012 +0100

    device: Minor documentation fixes
    
    Do not list CAIRO_DEVICE_TYPE_INVALID twice.
    
    CAIRO_DEVICE_TYPE_WIN32 does not indicate that the type is cogl, but
    win32.

 src/cairo.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 83af31f0f31bee5570148f51d9371e848b716486
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 15 19:48:07 2012 +0000

    win32: Cast the surface to an image-surface to find its parent (compile fix)
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df608e0fab542562eb00b4f3c84735946289226a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 15 18:25:35 2012 +0000

    win32: Fix lifetime tracking of create_similar_image()
    
    As we return the child image to the user and so perform the reference
    tracking on it and not the parent win32 display surface, we need to add
    a call to destroy the parent from the image surface. This of course
    complicates the normal scenario of destroying the parent first, and so
    in that case we need to unhook the image->parent before freeing the
    surface->image.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface-private.h       | 13 +++++++++++++
 src/cairo-image-surface.c               |  5 +++++
 src/win32/cairo-win32-display-surface.c |  6 +++++-
 3 files changed, 23 insertions(+), 1 deletion(-)

commit dfb8b131f54752462b7888fe6401b239aab89ff8
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Wed Feb 15 19:05:09 2012 +0100

    win32: Fix Makefile.win32 build
    
    The Makefile.win32 build system assumes that the files are in the same
    directory level. If this is not the case, the compiler fails when it
    tries to write the object files to a non-existing directory.
    
    This can be fixed simply by making sure that the destination directory
    always exists.
    
    Fixes:
    
    fatal error C1083: Cannot open compiler generated file:
    'release/win32/cairo-win32-debug.obj': No such file or directory

 build/Makefile.win32.common | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ae3319890eacd1c8282ca6df7b263ac74abb5f8d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 12 11:25:07 2012 +0000

    win32: Rebase on the new compositor infrastructure
    
    Try and undo all the damage that has acrued over the years by plugging
    into the compositor pipeline.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=42739
    References: https://bugs.freedesktop.org/show_bug.cgi?id=42821
    References: https://bugs.freedesktop.org/show_bug.cgi?id=33081
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources                               |    6 +-
 src/cairo-image-compositor.c                       |   39 +
 src/cairo-image-source.c                           |   25 +
 src/cairo-image-surface-private.h                  |    9 +
 src/cairo-image-surface.c                          |   25 +-
 src/cairo-surface-backend-private.h                |   10 +
 src/cairo-surface-private.h                        |   10 +
 src/cairo-surface.c                                |   20 +
 src/cairo-traps-compositor.c                       |   62 +
 src/cairo.h                                        |    2 +
 src/cairoint.h                                     |    6 +
 src/win32/cairo-win32-debug.c                      |   87 +
 src/win32/cairo-win32-device.c                     |  189 ++
 src/win32/cairo-win32-display-surface.c            | 1031 ++++++++++
 src/win32/cairo-win32-font.c                       |   23 +-
 src/win32/cairo-win32-gdi-compositor.c             |  646 +++++++
 src/win32/cairo-win32-printing-surface.c           |  324 ++--
 src/win32/cairo-win32-private.h                    |  183 +-
 src/win32/cairo-win32-surface.c                    | 1960 +-------------------
 src/{cairo-system.c => win32/cairo-win32-system.c} |    8 -
 20 files changed, 2534 insertions(+), 2131 deletions(-)

commit 92c0b37d04f9df8df53a455c8e8dda1946c84c87
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 12 10:17:12 2012 +0000

    win32: Move to separate directoy
    
    I suspect I may split the win32 code into a few more files, so move it
    to its own directory to reduce the clutter.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources                           | 12 ++++++++----
 src/{ => win32}/cairo-win32-font.c             |  0
 src/{ => win32}/cairo-win32-printing-surface.c |  0
 src/{ => win32}/cairo-win32-private.h          |  0
 src/{ => win32}/cairo-win32-surface.c          | 23 ++++++-----------------
 5 files changed, 14 insertions(+), 21 deletions(-)

commit 8bea52bb0b55e2b041fbd43bc36221b5eb07b863
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 12 12:32:49 2012 +0000

    Add preliminary damage tracking
    
    This is initially based around the requirements for handling internal
    fallbacks to the image compositor and reducing the number of pixels
    required to be transferred.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources        |   2 +
 src/cairo-compositor.c      |  21 +++++
 src/cairo-damage-private.h  |  82 +++++++++++++++++
 src/cairo-damage.c          | 214 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-image-surface.c   |   6 +-
 src/cairo-region-private.h  |   6 ++
 src/cairo-region.c          |  32 +++++++
 src/cairo-surface-private.h |   1 +
 src/cairo-surface.c         |  17 ++++
 src/cairo-types-private.h   |   1 +
 10 files changed, 379 insertions(+), 3 deletions(-)

commit c7d8ec72e6d14236d20b068a404d166496872a54
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sun Feb 12 10:36:17 2012 +0100

    doc: fix typo
    
    The pattern creation function call in the example code has one _mesh too
    much. This hopefully fixes the mesh mismatch mess :)
    
    Signed-off-by: Nis Martensen <nis.martensen@web.de>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-pattern.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f81940749b680c6e48d393fd13108775efa38eb
Author: Oleg Romashin <romaxa@gmail.com>
Date:   Sun Feb 12 01:34:34 2012 -0500

    qt: Fix compilation, also minor fix for building against Qt5
    
    Update to latest surface backend structure, removed obsolete functions
    and fixed functions API in order to be compatible with backend definition.
    
    Fixed compilation with Qt5

 boilerplate/cairo-boilerplate-qt.cpp |   4 +-
 src/cairo-default-context-private.h  |   4 +
 src/cairo-qt-surface.cpp             | 184 ++++-------------------------------
 3 files changed, 25 insertions(+), 167 deletions(-)

commit 76df401263a45881fec557396dd4895d0af540a3
Author: Nis Martensen <nis.martensen@web.de>
Date:   Sat Feb 11 23:24:27 2012 +0100

    doc: Fix pattern name mismatch
    
    In the example code, the mesh pattern variable was named "mesh" and
    "pattern". Just use "pattern".
    
    Signed-off-by: Andrea Canciani <ranma42@gmail.com>

 src/cairo-pattern.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 469994ac199179b40bafee951c92595706256cea
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Mon Jan 30 15:34:10 2012 +0100

    observer: Silence gcc warning
    
    GCC complains that:
    
    cairo-surface-observer.c:289:26: warning: ignoring return value of
    'cairo_device_acquire', declared with attribute warn_unused_result
    [-Wunused-result]
    
    Explain why it's safe to ignore it in a comment.

 src/cairo-surface-observer.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit f2567e95a164d3874909baf09b94b45288604e53
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Mon Jan 30 15:12:57 2012 +0100

    observer: Return status when printing the observed data
    
    Making cairo_surface_observer_print() and
    cairo_device_observer_print() return the status of the observer or of
    the stream makes it possible to correctly track what kind of error
    happens if the print is not successful.
    
    This makes the functions more consistent with existing API with a
    similar signature like cairo_surface_write_to_png_stream().

 src/cairo-surface-observer.c | 24 ++++++++++++------------
 src/cairo.h                  |  4 ++--
 2 files changed, 14 insertions(+), 14 deletions(-)

commit f7eaf37f0432952ce12708e32e0641fa97bfd715
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Feb 10 18:00:01 2012 +0100

    Wrapper: Don't translate clips extents' origin
    
    If a bounded recording surface doesn't have its extents .x and .y at the
    surface's origin, this code was translating all clips to make up for that.
    However, the clip already is in device space.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=41583
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface-wrapper.c | 4 ----
 1 file changed, 4 deletions(-)

commit 2f4645db84215f38ca0a19886de56971ce4f2d79
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Feb 10 17:52:45 2012 +0100

    xlib-xcb: Make this compile again
    
    There was a typo in commit 2061cd81f26.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-xcb-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 154e6b052bca4189ef067dc9385b224803e6f053
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 10 09:20:21 2012 +0000

    quartz: Add missing source hook
    
    Regression from 2061cd81f2.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=45866
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-quartz-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit 8960a5d0d0ca3f92b9e727d5e35caaefd68ecd59
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 10 00:03:51 2012 +0000

    analysis: replace open-coded _cairo_box_add_box()
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-analysis-surface.c | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

commit e809cea6d055cb91fff7913985a7eba967d58818
Author: Henry (Yu) Song <hsong@sisa.samsung.com>
Date:   Thu Feb 9 23:38:37 2012 +0000

    gl: initialize temporary surface with size same as subsurface
    
    Rather than the operation extents which may be larger. It would be
    beneficial to trim to the intersection instead and tweak the pattern
    matrices - however this is the fallback path and so hopefully less
    frequently trod!
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-operand.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 38bf7a6526e378175b62b9c0eb92ce65c5d0e630
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 23:26:14 2012 +0000

    gl: Transfer ownership of trapezoid mask to operand
    
    Signed-off-by: Henry (Yu) Song <hsong@sisa.samsung.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-traps-compositor.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 2886df60b040c6c8e7255a4385da5fb85531cbf3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 22:44:47 2012 +0000

    polygon-intersection: The edge direction is immaterial
    
    When checking for continuations on the right-hand edge, the actual
    direction of the edge is immaterial as it is sorted into ascending
    y-order and the direction is fixed up when emitting into the output
    polygon.
    
    Fixes assertion introduced with 658fa75a5c78c8.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-polygon-intersect.c | 1 -
 1 file changed, 1 deletion(-)

commit bb86e332da9a7837b6fd6476efd9be77572dd706
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 22:11:24 2012 +0000

    traps: composite_boxes() is not a mask constructor
    
    Since it doesn't combine the clip in a single pass, don't claim to.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3443ad903d2ccff7d63a9116df7629d69d87d673
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 22:08:41 2012 +0000

    spans: Pass unbounded operations to the spans compositors
    
    Only bail if we need to combine clipping with the spans (either for a
    bounded or unbounded operation).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit 3023ff86d58f97f3b2d3304c337920647bc8a147
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 22:08:08 2012 +0000

    clip: Apply the partial boxes for clip_combine_with_surface
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-clip-surface.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit fb3a193959bbfa71308338182f208e3221ddfa04
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 22:06:18 2012 +0000

    clip: Check whether an extents only clip contains the box
    
    If we steal the boxes, we leave behind an extents-only clip, i.e. only
    without a path or boxes, in which case do not return FALSE for the
    is-contained check on a rectangle.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-clip-boxes.c | 3 +++
 1 file changed, 3 insertions(+)

commit bbdb17fc1826ca50bdfc4e2666249d3e8e1fca4d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 9 19:43:18 2012 +0000

